Table of contents

Generalities

Overview
List of the features, version comparison
What's new in release 16.55 of 3DBrowser ?
Files formats recognized by 3DBrowser
Credits, thanks

Register 3DBrowser

License principles
Purchasing a license
Serial number entry
License activation
License deactivation
 Information on clear license advantages
License agreement

Contacts

Contacts, technical support

Creating catalogues

What is a catalogue ?
Opening a catalogue
Saving a catalogue
Read only catalogue
Making catalogue for files which are on a CD-ROM

Changing display mode
 Increase or decrease the thumbnails size
Filtering displayed files
Editing custom filter

Sorting files
Creating and displaying a custom sort order
Deleting a custom sort order
Group files
Group files by pages

Selecting columns to display in list mode

Updating catalogue

Using explorer and files with 3DBrowser

Generalities

Display the My Computer panel

Deleting selection
Renaming selection
Renaming a set of files

Folders

Opening a folder
Opening parent folder
Folders history
Creating a folder
Moving a folder to another folder

Files

Viewing one or more files with 3DBrowser
Opening a file using "Open With..."
Opening a file using "Open With Application..."
Playing an audio file
Editing a file using the fast applications access toolbar
Editing a file in another application using Drag & Drop
 Moving a file to another folder
Associated files

Others

Display Directory Size
Status bar icons meaning
Useful mouse and keyboard shortcuts
Command line options

Using favorites

Adding a favorite
Creating a favorite folder
Opening a favorite
Deleting a favorite
Organizing favorites by categories

Editing information

Overview
Information and album
Information and NTFS partition
Information and MP3 files

Information edition panel
Keywords edition panel
Properties edition panel

Export information
Import information

Creating albums

What is an album?
What operations can I do in an album?

Creating an album
Opening an existing album
Deleting an album

Copying files to an album
Deleting files from an album

Opening the directory that contains an album file

Searching for files

Overview
What is a search results and what can I do with it?

Searching a specific file
Search for files in a local network
Defining search criteria

Saving the search results
Opening an existing search results
Updating a search results

Opening the directory that contains a search results file
Open the directory that was opened before performing the search

Tags

Using tags to get access to files properties

Printing Catalogue

Overview
Printer and templates tab
Dimensions tab
Text/Image Position tab
Colors and Borders tab
Images tab
Text tab
Options tab
 Print Preview

Slide show

Selecting files to display
Editing text to display
Start and stop the slide show

2D viewer

File menu
Opening / closing an image from 3D Photo Browser
Open
Save
Save As
Print
Rename File
Delete File
Close

Edit menu

Modes & colors
Indexed Colors
Monochrome
Grayscale Image
Contrast
Invert
Gamma Settings
Modify HSL
Replace Color

Modify
Horizontal Flip
Vertical Flip
Rotate To Horizontal or Rotate To Vertical
Rotate 90°
Rotate -90°

Filters

Blur & sharpen
Unsharp Mask
Blur
Gaussian Blur
Median

Add & suppress noise
Add Noise
Despeckle
 Noise Reduction
Advanced Noise Reduction

Colors
Equalize
Normalize
Threshold
Solarize

Specials effects
Edges
Random Spread
Emboss
Charcoal
Shade
Oil Paint

Geometry
Offset
Implode
Wave
Swirl

JPEG Lossless
Vertical Flip
Horizontal Flip
Crop
Rotate -90°
Rotate 90°

Update the image thumbnail
Resize
Canvas Size
Crop
Automatic Crop
Undo
Redo

View menu

Images
Next Image
Previous Image
Slides Show

Display the images list
Play a video or an animated GIF
Extract images from a video or an animated GIF
Move
Zoom /2
Zoom x2
Zoom In / Out
Auto Fit On View
Zoom Lock
Actual Size
Fit On View
Full Screen

Changing the layer displayed

3D viewer

File menu
Opening / closing a 3D file in 3D Photo Browser
Save As
Transferring to 3DS Max
Save Scene as Image
Print
Rename File
Delete File

Tools menu
Changing the default point of view used for thumbnails creation
Replacing a thumbnail using a specific point of view

Polygon Cruncher

Navigating in the scene
Pan
Rotate
Zoom

Preferences
General Preferences
Colors and Lights
Textures
Textures Directories
View menu
Scenes
Next and Previous scene
Slides Show

Display the scenes list
 Show/Hide Objects
Displaying information on objects
 Show/hide Materials
Display information on materials
Predefined points of view
OpenGL display mode
 Enable Texturing
Enable Vertexs Colors
Fit on Screen
Full Screen

Import images from a scanner or a digital camera

TWAIN Import
WIA Import

Batch command processing

Overview
Select source files
Create and edit a batch command
Select destination

HTML exportation

Overview
Source Files tab
HTML Templates and Destination tab
Images Format and Options tab

Creating HTML templates - Overview
Where should I put the template in order to make it recognized by the application?
How can I check that the template is correct?
3DBrowser specific tags and attributes list
Tags to insert files in the HTML pages
Tags to define the kind of generated links and exported files
Conditional tags, loop tags
Redirecting tags when using a set of frames
Tags for linking with the generated pages (table of contents)
Other tags

Screen Capture

Quick Start
Configuration Dialog Box
Running and Exiting
Navigation summary

Capture types

Capture modes

Full screen
Dialog box
Window
Region
Fixed size region
Cropping and adjusting

Capture States

Keyboard-only state
 Méthode combinée
Application-live state

Options

Include the pointer
Display information window
Activate capture at startup
Fixed size region settings

Image capture options

File Format

Image file name
Destination directory
Image format

Custom Profiles

Saving Captures

Keep mode active
Capture preview

Video capture options

Video capture overview
Video format
 Video options

3DBrowser plugins

Internet tools
Send an Email

Internet tools
Lossless JPEG

Video & animation tools
Create AVI File
Create Animated GIF File

File tools
Uppercase/Lowercase File Name
 Split a File
Merge Files

Preferences settings

"Catalogues" tab

  • Catalogues saving
  • Create hidden catalogues files
  • Catalogues contents
  • Saving quality

"Fast applications access" tab

  • Create a fast access
  • Delete a fast acces
  • Create defaults access
  • Fast access parameters

"Display" tab

  • Background image
  • Icons display and position
  • Colors
    • Screen background
    • Thumbnails background and opacity
    • 3D scenes background
    • Text
    • Defaults colors
  • Tooltips information
    • Display mode selection
    • Tooltips text
      • Files category
      • Tags insertion
      • Open Wordpad
      • Text importation
      • Width
      • Default text

"Custom display" tab

  • Thumbnails size
  • Custom display text edition
    • Files category
    • Tags insertion
    • Open Wordpad
    • Text importation
    • Text position
    • Default text

"Extensions and Windows shell" tab

  • Add and remove 3DBrowser to/from the explorer Open with menu
  • Associate 3DBrowser to an extension
  • Define the application to use with the Open and Open with... command

"Network repository and search" tab

  • Gather catalogues in a repository folder in order to perform network searches
  • Define a directories list for seaching files

"Other" tab

  • Create independent window for viewing
  • Copy / Delete / Rename files
  • Automatically add directory to favorites
  • Use large icons for toolbar
  • Minimize 3DBrowser in the systray
  • 3DBrowser hot key
  • Select the current language

3DBrowser plugin for Lightwave

Using the 3DBrowser plugin for Lightwave

3DBrowser plugin for 3DS Max


3DBrowser / 3DBrowser Pro Overview

3DBrowser
3DBrowser Pro (including Polygon Cruncher)

Overview

3DBrowser is an application dedicated to the management and optimization for your 3D content. It includes a 3D viewer, an image viewer linked to a powerful file explorer. Thanks to its agility and efficiency, 3DBrowser can be integrated into very different production pipelines: architecture, video games, scientific data, 3D printing, etc.

Fast and efficient, it allows you to organize your 3D model libraries with the help of large customizable preview thumbnails. You can display, filter, sort, organize, search among your 3D scenes and images in order to find the exact model you need in few seconds.

To make it easier to organize large 3D collections, you can document, annotate, categorize all your content to find them on your computer or local network.

3DBrowser facilitates interoperability between different 3D software. It will perfectly fit into a production pipeline including, for example, 3ds Max, Maya or Sketchup in conjunction with Unreal Engine or Unity. Exportation to all major 3D formats, simplification of polygonal meshes (Pro version), and batch processing enable the diffusion and sharing of your 3D content.

3DBrowser recognizes most image formats and many 3D formats:

  • Fbx (Autodesk FBX)
  • GLTF / GLTB
  • Blender
  • Skp (Sketchup)
  • C4d (Cinema 4D)
  • 3ds (3D Studio)
  • Obj (Wavefront)
  • Max (3DS Max using the provided plugin)
  • Xsi (Softimage using Crosswalk)
  • Dae (Collada)
  • Mb, Ma (Maya using the provided plugin)
  • Stl (Stereolithography)
  • Lwo, Lws (Lightwave)
  • Lxo (Modo)
  • And also Dxf, Kmz, Ply, Wrl, Vrml, A3d (Amapi), Cob (Truespace)…

Visualize in detail all your digital models

3DBrowser integrates a powerful 3D viewer: the motorway to the heart of the 3D content of a scene. You'll never get lost in your 3D view and find the ideal angle to check every detail. With an intuitive navigation tool, you will be able to inspect a complex model very easily: targeted zoom, orbital rotation around an object, instant re-centering, provides very effective navigation at the microscopic and macroscopic zoom level. No more problems to examine the scene in detail or more globally. You can save specific points of view and get them back later if necessary.

Complex scenes are sometimes compounded of several thousand objects. It becomes a nightmare to find your way around the tree structure. A quick filtering tool, offering logical operators, makes it easy to navigate through complex hierarchies and to show or hide particular objects in a flash.

The viewer displays textures, vertex colors but also takes into account user normals. You can choose among many display modes to highlight your content (vignetting, mirroring, shadows) or bring out the relevant information (normal map, wireframe or cutting plan view (Pro version).

The viewer works in conjunction with the file explorer (of both 3DBrowser and Windows). You have a global or case-by-case control on the preview thumbnails shown when browsing folders. You can thus define a specific viewpoint and a particular display mode for a single 3D file, a whole directory, or a given 3D format.

You drill down to the heart of the information: display normal, point or face indexes, detailed information on topology, face material assignation, UV values... All of these elements make 3DBrowser a complete diagnostic tool that sorts out many of the problems you may be facing.

3DBrowser (Pro version) comes with annotation features that facilitate information sharing, especially for project follow-ups. Annotate objects in the 3D view using the right angle of view and make your projects run more smoothly. Annotations are visible in all versions of 3DBrowser.

3DBrowser allows you to merge 3D projects distributed over several files within the same scene, which is common in CAD. The creation of batch processing commands automates repetitive tasks, making it possible, for example, to export a 3D content into different formats in one operation.

3DBrowser is the hinge between your different production tools (3ds Max, Maya, Sketchup, Cinema 4D, Blender...) and broadcast tools (Unreal Engine, Unity or other). 3DBrowser simplifies interoperability by supporting export to the main 3D formats (fbx, gtlf, collada, wavefront, sketchup, cinema 4D, modo and others).

3DBrowser (Pro version) includes advanced functions to prepare your 3D assets. It includes advanced functions to pack them in the best way: mesh optimization (using Polygon Cruncher, whose StandAlone version is part of the license), object merging, object reorganization by material, separation of objects that are not topologically connected, etc.

The list of features described here is not exhaustive and you will discover by yourself many other very useful functions: confused point welding, triangulation, 3D view printing, animated gif exportation…

Simplify your scenes with Polygon Cruncher (Pro version)

Polygon Cruncher reduces the number of faces of your objects while maintaining the quality of their details. You also keep the textures of the object as well as the color information of the vertices.

By viewing the scene as it is optimized, you can choose the level of optimization that fits your needs.

It is possible to batch optimize scenes contained in a directory and automatically reduce them to different levels of detail.

Polygon Cruncher's MagicCruncher function automatically determines the ideal optimization level for each object in a scene. You don't have to do anything, everything is then automatic.

3DBrowser Pro also includes the license to use Polygon Cruncher StandAlone, an independent application dedicated to polygonal mesh optimization.

View your textures and images

An image viewer integrates the main functions to explore and modify your photos or textures. It displays the image layers (with or without transparency) and integrates the essential tools to perform basic operations on images:

  • Crop and resize
  • Export in different formats
  • Rotation to rectify the horizontal axis of an image
  • Color Adjustment
  • Liquid Rescale, deformations
  • Filters
  • Printing...

Efficiently explore your 3D digital library

3DBrowser is also a powerful tool for exploring 3D files, images or libraries stored on your computer or local network. Thus, you have at your disposal efficient functions to browse and explore:

  • Preview 3D files, images, even when they are in zip archives. These previews are shared with the Windows file explorer (thumbnail view and preview panel).
  • Flat folder view that enables you to view all the contents of a folder's sub-folders at once.
  • Fast file filtering
  • Compact or customizable view to display the metadata associated with the files (materials, number of polygons, EXIF...)
  • Creation and organization of favorite directories
  • An advanced search to quickly find a specific file among your collections
  • User specific sorting and grouping files according to a specific property

3DBrowser also provides rich features to quickly rename a set of files, hide useless parts of the folder tree structure, display folder and sub-folders sizes, create zip files…

Organize your 3D content

3DBrowser allows you to describe your 3D or image libraries. For this purpose, you can quickly associate keywords, notes or categorize your files.

It is then possible to access this metadata from different tools of the application. For example :

  • In the search tool to find all the models with a particular category or a specific keyword
  • In the customizable display mode to spotlight useful information (3D or EXIF metadata for images)
  • In the print tool to produce contact sheets with notes and comments
  • In the annotation tool of the 3D viewer, in the slideshow...

Albums allow you to extract collections of files from different directories. Albums consist of references to these files. They allow you to gather some 3D assets in different ways, without changing the underlying organization of your files.

3DBrowser (Pro version) allows annotation within a 3D file. Annotations allow you to associate a comment to an object under the chosen viewing angle. Notes are visible in the 3D view and you can navigate from one note to another. This process simplifies the exchange of information within your teams.

Automate your 3D production chain

Besides offering functions to convert scenes or resize images from an entire directory in a few clicks, 3DBrowser also allows the creation of more complex tasks.

You can automate specific tasks by creating batch processing commands.

Most 3D and image processing are scriptable. Generate images from your 3D scenes? Convert images to JPEG 60 quality? Convert scenes in different formats ?

Select one of the predefined commands or create the one adapted to your needs.

3DBrowser (Pro version) includes Polygon Cruncher batch processing module. This tool automatically generates LOD versions from your high-resolution scenes. For a file or all files in a directory, you can export low-resolution versions optimized at 50%, 80% and 95% or at the level automatically determined by MagicCruncher. By calculating the optimal optimization ratio, MagicCruncher fully automates the process.

Tools to share your data

3DBrowser integrates many additional tools to share your data more easily.

The printing tool produces contact sheets from your 3D libraries or images. In conjunction with Ghostscript you can export to PDF. You have full control over the layout: size and fonts, colors, number of images, header and footer, texts associated with the images (size, description, title...). You can choose from predefined templates or define your own.

You can easily create an animated GIF from your scenes, a quick and easy way to share visuals via instant messaging.

You can produce a slideshow from your 3D libraries or display your models while the computer is idle.

Snap specific details of your scenes with the screen capture tool and share these images (or videos) with third parties by e-mail, or by copy-pasting them to your instant messaging thread.

It is also possible to export all the metadata linked to your files to a text file for reintegration in a database for example.

The zip creation tool allows you to compress in 1 click a set of files or a complete tree structure.

And much more...

Find and try other features of 3DBrowser and 3DBrowser Pro. You dispose of a 30-day evaluation period in the full version to adopt the software definitively.


List of features for the 3DBrowser / 3DBrowser Pro version

List of features
Version comparison

3DBrowser includes all the functions to view your images and 3D files, convert them, modify them, including batch processing functions.

3DBrowser Pro also includes Polygon Cruncher, Polygon Cruncher StandAlone and other advanced 3D specific features.

3DBrowser | 3DBrowser Pro | 3D visualization
 |  | OpenGL viewer with many display modes
 |  | Import / Export / Merge scenes from multiple files
 |  | Scene tree filtering with logical operators
 |  | In-depth information (indexes, UVs, material assignment...)
 |  | Creation of thumbnail preview with user-defined point of view
 |  | Triangulation, normal invert tools...
 |  | Advanced reorganization of the scene (object merging, merge by materials...)
 |  | Annotation tools
 |  | Display annotation
 |  | Cutting plan
 |  | Printing
 |  | Polygon Cruncher
 |  | Integration within 3DBrowser
 |  | MagicCruncher
 |  | Polygon Cruncher StandAlone
 |  | Batch optimization
 |  | Image viewer
 |  | Import / Export
 |  | Resize, crop, rotation, filters and other features
 |  | Printing
 |  | Exploration
 |  | Preview for 3D and image files
 |  | Zip content preview
 |  | Share preview with Windows Explorer (icons and preview pane support)
 |  | Flattened view of a multiple directory selection
 |  | Quick filtering
 |  | Customizable view mode to display user-defined metadata
 |  | Search by criteria or among metadata
 |  | User-defined sorting and grouping
 |  | Organization
 |  | Metadata edition (author, category, title, notes...)
 |  | Keywords edition
 |  | Albums (references to files from different directories)
 |  | Mesh annotations in the 3D viewer
 |  | Automation
 |  | Creation of batch commands
 |  | Batch processing with Polygon Cruncher
 |  | Converting a set of 3D files
 |  | Resize and convert a set of images or textures
 |  | Share
 |  | Printing of contact sheets
 |  | HTML Export
 |  | Screen or video capture
 |  | Creation of animated gif from a scene
 |  | Zip creation in 1 click
 |  | Metadata Import / Export
 |  | Send e-mails with integrated image resizing


What's new in release 16.55?

Version 16.55

04/2024 - Free upgrade from version 16.00 and later

3ds Max and Maya plugins

- Add support for 3ds Max 2025
- Add support for Maya 2025

3DBrowser

- Support backward and forward mouse buttons
- Add support for Maya 2025
- Improvement: partial support of KHR_materials_transmission extension in GLTF
- Fix: the application sometimes freezes in detail view mode
- Fix: contact sheet print dialog no longer works correctly
- Fix: renaming a UNC directory doesn't work properly

Version 16.50

02/2024 - Free upgrade from version 16.00 and later

3DBrowser features

- Higher status bar and larger icons for easier application launch
- Add Shortcut to Catalogue Settings command and icon in the status bar when keep settings is on
- Update catalogue: it is now possible to only refresh image or 3d files
- Ghost directory, Unghost directory, Select direct folders, Select all subfolders, Expand all now work on directory selection

3D features

- Improved 3ds Max exchange plugin and ability to save in 3ds Max format for conversion or batch processing.
- Collada, lxo, vrml97, vrml now support unicode name
- Texture paths dialog in preferences now add a feature to help fixing texture broken link
- Improved: #980: GLTF now set correctly unit when reading and now correctly export in meter
- Improved: #980: GLTF, VRML, LXO, LWO, SKP does not export correctly camera if an unit is specified
- Improved: GLTF now react faster when changing directory (support of ShouldCancelThread)
- Improved: #985 Wavefront format now support texture options as specified in obj specification documentation
- Improved: sketchup now add an option to export hidden edge and export a correct default camera if no camera exists in the scene

Polygon Cruncher features

- Add -face-count and -point-count new switches in the command line version

Fixes

- 3dsmax plugin: #982 plugin close unexpectedly
- 3dsmax plugin: #983 saving to 3dsmax format is now possible and using batch tools with an export to 3dsmax now work
- 3D: some camera created if a scene is already opened scene and it has some user cameras
- 3D: zoom out command is not working
- 3D: #905 Merge files looses textures (embedded textures)
- 3D: #980 exported GLTF files are not readable in adobe dimension or Windows viewer
. - 3D: user camera might be selected unexpectedly when reopening the viewer
- 3D: #908 shortcuts command don't work when object tree panel has the focus
- 3D: #922 changing scene file with next file / prev file might crash the viewer
- 3D: #906 viewer might crash at return if polygon cruncher opened from it
- 3D: #906 materials are missing in the viewer when returning from polygon cruncher
- 3D: #969 YUP orbit axis is lost when switching from a camera to another one
- 3D: #969 fix different problem with Update Thumbnail menu
- 3D: viewer might crash if a material is missing
- 3D: materials are not always updated in the view when modified
- 3D: baking does not save maps in the folder if a relative path is defined
- 3D: #968 texture path are betterly displayed in material info dialog
- 3D: #989 updating the 3d viewer afert Polygon Cruncher can be very slow
- 3D: #1000 adding some new selection feature to contextual menu and fix a problem with show selection only / hide selection only
- 3D: #986 viewer does not always refresh correctly (ie when showing point and face index)
- 3D: GLTF does now always delete temporary texture files after reading
- 3D: #989 performance improvement (C3DLayerGeom::UpdateCache is very slow)
- 3D: Sketchup does not import correctly sketchup GUID
- 3D: #992: SKP crash when using Merge options from the import dialog
- 3D: #1004: sketchup export now show 2021 and more
- 3DB: network drive might be missing when initializing the application
- 3DB: #973 changing folder might crash the application
- 3DB: #902 status bar does not report correctly current display mode when keep settings is on for Catalogue
- 3DB: 3DBrowser might crash at exif initialization
- 3DB: 3DBrowser might crash when at initialization on Sketchup file
- 3DB: explorer tree displays rar file
- 3DB: #621 changing meta data might result in many refresh event on the current catalogue
- 3DB: pusing metadata to image fails when user edit some empty meta data
- 3DB: drop down folder incorrectly displayed the favorites
- 3DB: #944: improvements in zip compression (right click zip on folder tree / folder compression in vignette view)
- 3DB: #1005: invalid text in YUP for catalogue thumbnail update
- 3DB: #974: a catalogue might be lock when updating thumbnails
- 3DB: #966: it's now possible to cancel album deletion
- All: combo box does not display correctly selected item in light mode
- All: #981: notification dialog might be located on the wrong screen
- All: #970 bottom of some letters might be incorrectly displayed in dark mode
- All: dark mode improvements when displaying a disable static control
- All: sliders does not have correct color in light theme
- Setup: #971 3DBrowserContextMenu_x64.dll might not be deleted

Version 16.21

11/2023 - Free upgrade from version 16.00 and later

- Polygon Cruncher/3DBrowser: dark mode for 3DBrowser / Polygon Cruncher
- Polygon Cruncher/3DBrowser: end of OpenGL2 support. The application uses only the most recent version of OpenGL from now
- Polygon Cruncher/3DBrowser: improved tabbed dialogs
- Polygon Cruncher/3DBrowser: end of plug-in support for 3ds Max 9.0, 2008 and 2009 as well as Maya 2008, 2009
- Polygon Cruncher/3DBrowser: texture directory settings is suggested if a texture is missing
- Polygon Cruncher: Improved appearance of Polygon Cruncher plugin dialogs in 3ds Max & Maya
- Polygon Cruncher: better handling of user abandonment of file optimization during batch operation
- 3DBrowser: improved file updating. Updating is based on file size and screen visibility
- 3DBrowser: better readability of files yet to be updated
- 3DBrowser: improved slideshow/screensaver fluidity (since version 16.11)
- 3DBrowser: add IPTC town, state and country will synchronizing meta data

Corrections

- 3D: potential crash of MagicCruncher when optimizing a complex scene
- 3D: UVs verification mode not displayed. It is necessary to change the display mode for the parameter to be taken into account
- 3D: notes don't seem to be deleted when using the note deletion tool
- FBX: fixed problem with vertex color import
- 3DBrowser: Potential crash when closing the application after an update

Version 16.11

09/2023 - Free upgrade from version 16.00 and later

3DBrowser features

- The thumbnail view now scrolls more smoothly
- it is now possible to drag and drop several folders from the folder tree
- the search for similar files is now multithreaded. A number of problems have been corrected, making the command less effective
- Many improvements in zip file support (fewer updates, copying to or from...)
- The preview thumbnail for ZIP files has been improved

3D features

- Display performance has been improved, particularly if the scene has objects with non-triangular faces
- New selection command based on the size of the bounding box, for filtering small elements in a scene, for example
- The delete objects command is now scriptable. Combined with the filter selection command, it is now possible to create a batch command that automatically deletes small items from a set of files
- Reading of all text formats (wavefront, stl...) is 2 to 3 times faster
- LWO: improved support for recognising a larger number of files
- OBJ: the absence of a materials library no longer leads to the display of a modal dialog
- The export dialog has been improved and now restores the default options correctly
- The material properties dialog can be used to display faces with the selected material

Polygon Cruncher features

- MagicCruncher: improved optimisation speed when simplifying a single object (up to 6 times faster with 16 cores)

Fixes

- 3D: displaying the object properties dialog can considerably slow down rendering performance
- 3D: the orientation of normals is not taken into account when resampling normals in the normals baking function
- 3D: object might appear black if normal map display is enabled and no uv channel is available
- 3D: the unify normals function does not take user normals into account
- 3D: imported scenes sometimes contain an unnamed material
- 3D - Sketchup: saving in sketchup format can cause scenes with many objects to crash
- 3D - Lightwave: the interpretation of references between objects is sometimes incorrect and materials are lost
- 3D: bounding boxes are incorrectly displayed in the case of animation
- 3DBrowser : too many refresh of the directory panel leads to decrease performance
- 3DBrowser : Adding an application in the Open with dialog box does not always work correctly
- 3DBrowser : directories are not removed from the thumbnails when moved elsewhere
- 3DBrowser : zip files can't be removed from the folder tree
- 3DBrowser : directory panel continues to scroll when a drag and drop operation displays a dialog box
- 3DBrowser : the keywords panel doesn't allow to add predefined keywords or to modify the keywords list
- 3DBrowser : switching to Group mode is very slow in the thumbnails view
- 3DBrowser : group mode causes a permanent refresh of the thumbnails display
- 3DBrowser : moving a folder sometimes makes a copy instead of a move when the copy is made on the same disk
- 3DBrowser : the folder tree refresh is very slow for the temporary folders directory, which can stop the application performance in some circumstances
- 3DBrowser : some dialog boxes sometimes create a flash between windows, due to incorrect focus restoration
- 3DBrowser : the rename pattern of the Rename files function is sometimes incorrectly initialized
- 3DBrowser : Updates appear more clearly
- 3DBrowser : Display improved when using a gradient background
- 3DBrowser : Text is misaligned in some information dialogues

Version 16.03

06/2023 - Free upgrade from version 16.00 and later

- Polygon Cruncher Command Line: New switches (-output-embedmedia, -output-ascii, -output-fbxconvertmat, -output-gltfcompression, -output-gltftextureformat, -input-skpcollapselivecom, -input-skpcollapsegroup, -input-skpcollapsedef, -input-skpaffine, -input-fbxpassword, -output-fbxpassword)
- Fix: resampling of normal maps does not take orientation settings into account in create normal baking command
- Fix: crash on particular Lightwave files

Version 16.00

04/2023 - This version requires an update of your serial number

3DBrowser

- New: 64-bit zips support
- New: zips decompression feature
- Improved opening menu with 3DBrowser in Windows 11

3D

- New: create normal map feature
- New: generate normals feature
- New: UV mapping visualization function
- New: edit node transformations
- New: pivot edition and reset XForm
- New: improved non-modal material editor
- New: airplane mode to move in the scene
- New: ability to define a pivot point for rotation in orbit mode
- Improvement: render mode and extras displays improved menus
- Improvement: occlusion culling for point and face indexes
- FBX / GLTF: support for PBR materials
- GLTF: better control over map export format
- Sketchup: options to merge components or groups on import
- Sketchup keep instances when exporting
- Sketchup export of cameras
- Blender support new compression format
- VRML: support of unicode names
- Lighwave: various fixes
- 3ds Max 2024 Plugin
- Maya 2024 exchange plugin
- Use Sketchup 2023 SDK

Polygon Cruncher

- New: create a normal map function directly plugged in Polygon Cruncher
- Polygon Cruncher includes all the improvements described in the 3D section

Version 15.75

05/2022 - Free upgrade from version 15.00 and later

- 3ds Max 2023 Plugin
- Maya 2023 exchange plugin
- GLTF: now export curves
- GLTF: fix positioning problems that may occur on certain transformations
- Blender: occasional crash on some files

Version 15.70

02/2022 - Free upgrade from version 15.00 and later

3DBrowser

- Cursor is now a then end of the folder name when selecting a directory with keyboard in the drop down list

3D

- GLTF: import and export cameras
- VRML97: reading cameras
- Sketchup: support Sketchup 2022
- Scene graph: changing element with keyboard does not work

Polygon Cruncher

- Fix: reading an FBX file and saving it crash application

Image

- Support JPEG file with improper markers

Version 15.65

12/2021 - Free upgrade from version 15.00 and later

3DBrowser

- Improvement : shortcuts are handled in a better way when double clicking on them
- Fix: 3DBrowser might produces transparent icons for Windows task bar when png preview is enabled
- Fix: convert image file command does not take resize into account
- Fix: animated gif resize and crop does not changes output image size (the source is reduced and put somewhere inside that image)
- Fix: shortcut thumbnails are incorrect
- Fix: Some dialog text are incorrectly aligned

3D

- GLTF: now support lines, lines strip, lines loop
- Faster Display Selection, Hide selection from the scene tree panel
- Fix: curve bounding box are improperly computed
- Fix: welding is not applied any more to curves
- Fix: fbx export dialog can display update mode, whereas it should not be available
- Fix: free rotation mode can change while rotating

Polygon Cruncher

- Fix: command line version does not handle correctly switches
- Fix: Some options might be randomly not available

Image

- Fix: resizing / rotating / cropping then saving to PDF might produce improper image
- Fix: image exportation settings are incorrectly kept (jpeg compression, png compression...)

Version 15.60

11/2021 - Free upgrade from version 15.00 and later

3DBrowser

- Zip & folder thumbnails are now only updated when shown
- AutoRotate feature is now performed in background
- File conversion feature is now performed in background
- Improve current path edit field and prevent loose of focus
- Add network folder if hidden when entered from the current path edit field
- Fix: Setup does not write its key in the proper registry entry, making the use of plugin impossible
- Fix: Cannot add favorite to root when a favorite folder exist

3D

- FBX: does not modulate diffuse color and texture any more
- FBX: uses emissive instead ambiant when defined
- Can now modify camera FOV (Mouse wheel + Ctrl)
- Rotation tool improved with following shortcut keys:

  • Ctrl: horizontal constraint
  • Alt: vertical constraint
  • Shift: orbital / free rotation switch - or access to rotation tool in other tool

- Hidden face state is now shown in object property panel
- Fix: Can't attach note for some objects (ray intersect fails)

Polygon Cruncher

- Fix: Batch does not take selected folder into account

Version 15.55

10/2021 - Free upgrade from version 15.00 and later

- Setup: problem with Microsoft Redistributable package

3D

- Viewer: the double-sided/single-sided is taking into account when it is defined in materials or objects. This improves avoid face overlapping and improves the rendering of GLTF files in particular.
- Sketchup: some mesh appears might be hidden whereas they should not
- Sketchup: some texture filename might be incorrectly formated
- Sketchup: fix infinity value for UV on rare occasion
- Fix : UV, VC, Normal seams are sometimes incorrectly initialized when switching UVs, VCs, Normal settings
- Fix: rare crash when exporting on some formats due to too long object names

Polygon Cruncher

- Enabled Keep UVs and Keep VCs by default if the object has them
- User normals display now depends on the Keep Normals setting for clarity

Version 15.51

07/2021 - Free upgrade from version 15.00 and later

- New: normal map bumping display
- New: UV Checker tool
- New: keep default rotation axis by file format
- New: set the orientation or reset the point of view of one or more thumbnails from the catalog
- New: improved GLTF support for import and export to reduce file size
- New: update mode in GLTF to preserve advanced material properties and some animations
- New: installation of the software by major version number (several versions can be installed together). Recovery of the settings from the previous versions
- Improvement: better rendering in OpenGL3 (lighting, shadows and mirror, shading on the grid...)
- Improvement: FBX import/export support normal maps
- Improvement: Wavefront import support normal maps
- Improvement: GLTF is Z-UP oriented by default now
- Fix: image and 3D preview printing tools crashes the software

Version 15.25

06/2021 - Free upgrade from version 15.00 and later

- Keep user choice related to the update mode in the 3D export properties
- Hidden faces are now removed during export
- Polygon Cruncher keeps the hidden face attribute.

Version 15.20

05/2021 - Free upgrade from version 15.00 and later

- Your activations can be managed from the Mootools website
- It is now possible to drag files into a zip
- Orthographic camera mode can now be used to generate thumbnails
- Fix: too many tags appear in the tags menu
- Fix: when closing 3DBrowser, it sometimes stays in ghost process which prevents it from restarting
- Fix: when a panel is docked, double-clicking in the thumbnail window makes all panels disappear with no possibility to make them reappear

Polygon Cruncher

- MagicCruncher 2 to 3 times faster
- Improved UV optimization. Mirror UVs are now taken into account
- Improved optimization of flat surfaces
- Possibility to manage activations from your Mootools account
- Save As... icon in the toolbar
- The Protect / Exclude border mode is not taken into account (Visual Studio optimization bug)
- Occasional crash when entering the serial number
- Fix: save options are not kept
- Fix: icons may not appear correctly in the main window
- Fix: the Show/Hide Objects contextual command does not work correctly

3D

- File exchange support with 3ds Max 2022 / Maya 2022
- Fbx: added the ability to export to 2020 format
- Sketchup: added the ability to export to 2021 format
- Obj: files are now exported using the default UTF8 characters set in Windows
- 3ds, directX: texture information may be lost on conversion
- gltf: opening a file can be very slow if the object contains many objects
- Preferences allow to specify larger low-resolution texture size (between 128 and 8192)
- Clicking on an object name while pressing Alt+Ctrl displays its properties
- Fix: tags inserted in notes are not taken into account
- Fix: opening the gltf import dialog crashes the software

Version 15.05

01/2021 - Free upgrade from release 15.00 and following

3DBrowser

- 3DBrowser now save the window layout position
- New Reset Window Layout command

Fixes

- Updating a thumbnail in a zip fails

3D viewer

- GLTF: instanciation is handled in a better way, leading to reduced file size when importing / exporting back
- GLTF: reduced node number when importing a file
- Select Parents, Select Children new commands
- Faster selection when a scene contain a very large number of objects
- Now keeping collapsed / expanded state before and after name filtering

Fixes

- Invalid zoom when double click on a group
- SKP: crash when exporting scene with curves
- OBJ : crash in the case of a group or object (g or o) with an empty name

Polygon Cruncher

- Add Merge / Merge folder command
- Save window layout / Add Reset Window Layout

Version 15.03

01/2021 - Free upgrade from release 15.00 and following

3DBrowser

- 3DBrowser now keeps selection when modifying quick filter
- 3DBrowser keeps the Y-UP or Z-UP settings for each file

Fixes

- 3DBrowser registration fails if software run in 3DBrowser Pro mode and vice versa
- 3DBrowser can't run on Windows 7(missing GetOverLappedResultEx)
- Ghostscript setup not always recognized, which make PDF preview fails
- 3DBrowser keeps the history of directories in case of a crash

3D viewer

- FBX: now using SDK 2020.2
- OBJ: improves export of scene that contains non ascii characters in node name, texture name...
- GLTF: improved export, embed textures in the file option, compliance with web viewers, handle texture breaks and string conversion problems
- 3DS: export are not correctly reimported

Fixes

- Orbital rotation sometimes switches to free mode when opening a file.

Version 15.02

12/2020 - Free upgrade from release 15.00 and following

Fixes

3DBrowser

- Some dynamic menu are incorrectly handled
- Fix icons problems with some menu
- Albums cannot be user sorted

3D viewer

- PLY files were never saved
- C4D files lead to crash if a target is defined for camera

Version 15.01

12/2020 - Free upgrade from release 15.00 and following

Improvements

3DBrowser

- Send mail command can now send any kind of document

3D Viewer

- Sketchup: add option for concatenating Live Components

Image Viewer

- Update ExifTool

Fixes

3DBrowser

- Screen might be incorrectly drawn when launching the application
- Title bar does not always reflect correctly activation
- Two click are sometimes needed to collapse a part of the tree directory
- Conditional tag menu entry text is not correct
- Fix problem related to catalog repository gathering (dialog display too many time with incorrect texts)
- Crash sometime occurs in when exiting screen saver settings from the Windows panel
- Some file might miss in the search due to an incorrect refresh
- Connecting to a network drive which is not available does not lock the application for a while anymore
- backward compatibility for tagendifexist
- Occasional crash when editing file information, keywords or displaying properties

3D viewer

- A crash might occurs on NVidia graphic cards in wireframe display mode with vignetting. This crash locks each time the application when opening the viewer
- Sketchup: Cancel and OK button are hidden in option dialog
- Print margins are now taken into account and format paper can be selected

Image viewer

- Print margins are now taken into account and format paper can be selected

Version 15.00

12/2020 - This version requires an update of your serial number

This new version includes so many improvements and new features than only the main are reported in the following.

Improvements

3DBrowser main window

- New UI design
- Add new viewer feature to open several viewer easily, for comparing 3d files for example
- Larger directoy adress bar
- Improved file extension association
- Improved Drag & Drop file support - Dozens of minor improvements, bug fixes and stability issues

3D Viewer

- New UI design
- New rotation tool
- Note features to attach specific note and point of view to meshes
- Section cut view
- Matcap, Normal map, vignetting, mirror display mode
- Grid display
- 3D features operates on the selection and not on the whole scene as before
- GLTF import / export file support
- Blender import file support
- Sketchup 2021. Support image entities. Affine texture import by default
- Many improvements on 3d import and export file support
- Simplified 3d exportation dialog
- Advanced name filtering on the hierarchy
- Advanced contextual menu in the object tree panel for an easier selection
- Mesh information dialog is now modeless

Polygon Cruncher

- Cf. 3D Viewer
- MagicCruncher includes UltraMode for each similarity mode (nearly similar, similar, very similar). This gives better results when object dimension is narrow.
- MagicCruncher option to operate on the selection or the whole scene.
- Hidden meshes are displayed in italic.
- Right contextual menu improved in the tree menu.

Image viewer

- New UI design with simplified access to most common features.

Version 14.60

05/2020 - Free upgrade from release 14.00 and following

Improvements

3D

- 3ds Max 2021 support.

Fixes

- Sketchup version option is not taken into account at export.

Version 14.55

03/2020 - Free upgrade from release 14.00 and following

Improvements

3DBrowser

- Cancel pending update when changing directory.
- Better reactivity when a network connection is not available.
- Update zip and folder vignette only when they are displayed in the view
- A filename can now be entered in the path field
- Drag and drop improvements. Can now drop to a directory (bug #205)
- Copy/Paste improvements (paste items are now selected)
- Better detection of changes that occur on a network drive, an external SD card...
- Uninstall dialog improvements

Polygon Cruncher

- MagicCruncher now introduces ultra mode.

3D

- Maya 2020 support.
- Sketchup 2020 support including many improvements on the format support.
- FBX 2019.5 support
- Front and back face support improvements.
- Merge by materials improvements
- Reduce wavefront support memory requirements.

Bitmap

- Now support ghostscript 9.5 for PDF or EPS preview
- Play Numbered Sequence improvements: now save frame rate, and order in a better way the image sequence list

Others

- It's now possible to retrieve the computers on which you perform your activation from your mootools account.

Fixes

- OpenGL2 does not handle multiple UV channels correctly (Bug #245)
- Textures might disappear in the 3d viewer when rendering with smooth/flat+wireframe.
- Lightwave: read might crash when several a material contains several layers.
- Search / album files are now updated only once (synchronization failed when file came from a folder than does not contains catalogue file)
- Search results were not correctly saved (bug #83)
- Drop operation can be hidden by the main window (Bug #188)

Version 14.25

05/2019 - Free upgrade from release 14.00 and following

Improvements

3DBrowser

- Now generates thumbnails for files not recognized by 3DBrowser when possible (ie. AVI, PDF without Ghostscript...)

3D

- 3ds Max 2020 support.
- Performance for "Disconnect into Separate parts" has been greatly improved.
- Wavefront OBJ: improvement of the import for files that contain very long lines.
- Collada DAE: improvement of the import when the scene node has the same name as an other node.

Version 14.20

03/2019 - Free upgrade from release 14.00 and following

Improvements

3D

- Sketchup: reading up to 50% faster (when the file contains textures)
- Sketchup: less textures are generated when reading and convert files
- SKetchup: it's now possible to choose the exported sketchup format version (many users ask us for this!)
- Fbx: layer textures are now partially taken into account
- Fbx: it's now possible to choose the exported Fbx version format, to embed textures or to select text / binary format

Image

- Exif : MakerNote field is not anymore taken into account
- Raw format support has been updated through dcraw.exe (thanks to Dave Coffin)

Version 14.15

02/2019 - Free upgrade from release 14.00 and following

Improvements

3D

- Sketchup 2019 support
- Sketchup 2019 support
- Better handling of relative texture paths when exporting 3d scenes.

Fixes

- Language problems under German OS
- Toolbars might be still incorrectly displayed under circumstances on Windows 10
- Occasional crashes when closing viewer

Version 14.02

12/2018 - Free upgrade from release 14.00 and following

Improvements

3D

- LWO: file are read faster
- Object scene tree panel is filled faster

Fixes

- The software always report that a new version is available following the Mootools web site migration.
- Toolbars are incorrectly displayed after the computer wake up and when a scale factor is defined on Windows 10 screen settings.
- Preferences > Small Icon Toolbar setting is not correctly taken into account.

Version 14.05

10/2018 - Free upgrade from release 14.00 and following

This update fixes stability issues that might occur with R14.10.

Improvements

3D

- Merge by Materials now works with Sketchup files (when face have different front / back face materials)

Fixes

3DBrowser

- Some preferences are not taken into account (Catalogs saving option, thumbnail size...)
- Computing thumbnails might lead to an application crash, particularly when computing is performed concurrently on different core.
- Multi folders view does not display correctly the folders content.

- Saving Search Results does not work properly.

Polygon Cruncher

- UVW might be altered when w value is defined.

Plugin 3ds Max / Maya

- Using both Maya & 3ds Max plugin at the same time is not possible (ie for sending a Maya file to 3ds Max). The fix to this problem requires reinstalling 3ds Max & Maya plugin

3D

- Move textures option leads to a crash when exporting.
- Light is modified when zooming, leading to darker visualization.
- The view is incorrectly updated when objects are deleted.
- The view is incorrectly update when materials are shown or hidden.
- Wireframe view might be incorrect, particularly with Sketchup files (front / back face materials).
- FBX export: UVs are sometime incorrectly assigned to materials.
- FBX import: UVs are sometime incorrectly assigned (when a mesh has several UVs channels).
- FBX import: object position might be wrong (when GeometricTranslation is defined on a group).

Version 14.10

06/2018 - This version requires an update of your serial number

Improvements

3DBrowser

- New OpenGL viewer with improved performances and faster reactivity for huge meshes.
- 3ds Max 2019 plugin.

Polygon Cruncher

- New OpenGL viewer with improved performances.
- MagicCruncher is now x8 time faster.

3D

- Sketchup 2018 file support
- Lightwave 2018 file support
- Lightwave 2015 and before files are readed faster
- Wavefront files are readed faster.
- Faster triangulation
- Better handling of relative / absolute path when converting 3D files.

Fixes

3DBrowser

- Slide show / screen saver might crash when using random display mode.

3D

- SKP reduces the number of imported materials
- DXF : bug correction. Do not export anymore quadrangle when this is not needed
- FBX: some UV textures are loosed when reading (bad channel number assignation)
- JT: concurrent reading crash.

Version 13.51

11/2017 - Free upgrade from release 13.00 and following

Note: 32 bits version is not anymore available

Improvements

3DBrowser

- 3DBrowser does not lock removal of removable supports (USB key, external hard drive...).
- Thumbnail generation for Windows Explorer has been improved (and the support of thumbnail for 32 bits application is coming back).
- F key opens the folder containing the displayed file in the screen saver.

Polygon Cruncher

- Polygon Cruncher is now 30% faster on compund scene.
- OpenGL is faster.
- Flat rendering is used when moving optimization slider for a better feedback. Seams display is removed once optimization has been computed.
- MagicCruncher performance improvement.

3D

- Improving OpenGL viewer performance as well as many other 3D operations.
- Weld points: improving vertex welding for meshes which are locally highly detailed.
- 3ds Max: now exporting the whole hierarchy. Correcting object position problems.
- FBX: UVs import is better (less UVs imported). Fbx import is 30% faster. Fix a problem related to pivot (for FBX/3ds Max files)
- Collada: orientation problem for TriStrip and many minor corrections. Remove a random crash that occurs when reading simultaneously several Collada files.
- STL: now welding points when importing, making easier the optimization processing of such files.
- Lightwave LWO: correcting random crashes due to some specific materials.
- Lightwave LWS: importing correctly files that has several meshes in the same layer.
- Wavefront: format spécification improvements ('o' tag is now supported, multiple 'g' names support, no more limitation in name length, no default material by default...)
- LXO: improved material importation, faces / materials association improved, fix a bug related to file update that sometime prevent to open the exported file in modo.
- Sketchup: material files are not extracted any more when this is not needed.

Fixes

3DBrowser

- Correcting a problem related to menu shortcuts
- Improving folder tree refresh when a modification occurs outside the application.
- Copy-Cut/Paste of a folder is not always taken into account.
- Reactivating the whole panel set when using key F3/F6/F7/F8/Alt+Enter.
- Deleting several folders sometime freeze the application.

Version 13.20

09/2017 - Free upgrade from release 13.00 and following

Note: 32 bits version is not anymore available

Improvements

3DBrowser

- 3DBrowser Screen Saver new feature, which is available in the Windows screensaver list.

3D

- Maya 2018 plugin
- FBX: keep pivots information while updating fbx files after optimization.
- Collada: material transparency setting is better handled
- 3D viewer now displays node number.

Fixes

3D

- Collada: a crash can occurs when reading several files simultaneoulsy
- Hiding / showing materials from the material list panel does not work.
- Default material is not always displayed in material list panel.

Version 13.15

06/2017 - Free upgrade from release 13.00 and following

Note: 32 bits version is still here, but this is the last time!

Improvements

3D

- 3ds Max plugin : vray material support (textures are exported)
- 3ds max plugin : now exporting node matrix instead of global coordinates (this fix potential problem in face orientation)

Fixes

3DBrowser

- Escape key opens the thumbnails window instead of exiting when viewing a file from Windows Explorer.

3D

- Viewer preferences : settings are incorrectly saved
- Polygon Cruncher crashed when it is open from a 3D viewer.

Version 13.10

06/2017 - Free upgrade from release 13.00 and following

Note: 32 bits version of the software is provided for the last time
It will be give up in the next release.

Improvements

3D
- 3ds Max 2018 plugin support
- Fbx, Collada, Sketchup, Cinema 4D: now reading camera information. * (numeric pad key) allows to switches from one camera to the other.
- Fbx, Collada: now export camera.
- Fbx: embedded textures folders are now removed when closing 3D viewer.
- Fbx: embedded textures are now correctly reembedded after optimization.
- Lwo: faster loading for files with UVs.
- Lwo, C4D, Lxo, Collada: multithread access support.
- Sketchup: better instanciation of meshes and material support.
- Weld points command is now really more faster.

Fixes

3DBrowser

- General stability improvments.
- Add Paste Image command that was missing.

3D

- 3ds Max plugin: browsing file with 3DBrowser might lead to freezing the 3ds Max viewports.
- C4D: fix a crash on specific files.

Version 13.01

01/2017 - Free upgrade from release 13.00 and following

Improvements

3D

- Lightwave file now support clipping channel.

Fixes

3DBrowser

- Correct problem when starting application (crash if favorites corrupted)
- Crash can occurs in some circumstances when exporting information.
- Report view does not allow selection

3D
- Thumbnails menu is at the wrong place in the 3D view
- When OpenGL extension off, thumbnails have no transparencies when textures have alpha channel.
- 3ds Max files cannot be readed.
- Lxo: crash in some circumstances at reading.

Version 13.00

01/2017 - Requires a new serial number

Improvements

3DBrowser

Majors

- New interface panels which can be set anywhere you want.
- Faster thumbnail computation (use of the different computer cores).
- Improved thumbnail view (faster display, double buffer display to avoid flickering).
- Improved folder path field to retrieve quickly the most used folders.
- New Masked folder mode which allows to hide the folder you never use in the folder tree.

Minors

- Compact view display has been tuned and file information is now displayed quickly in this mode.
- More thumbnail size transition when using Ctrl++ and Ctrl+- functions.
- Alt+xxx key combination can be now used to add specific characters in information fields.
- Keyboard shortcuts improvements: Ctrl+D adds a bookmark, F4 allows to change the current directory...
- A tool icon is now displayed for the current thumbnail to notify specific option for the file.

Polygon Cruncher

Polygon Cruncher 11.10 is provided with 3DBrowser which means:

- It is now possible to adjust individually the level of details for each mesh of the scene.
- New interface that makes easier the mesh selection, material selection, or the optimization on a point selection.
- New optimisation mode that take care of the mesh corners, useful particularly for architectural scene.
- MagicCruncher feature which adjust automatically the optimal optimization level for each object in the scene.
- Ultra fast optimization on multi core computers (parallel algorithm).
- Algorithm improvements leading to better results (more compact faces, better handling of planar faces, less destructive constraints...)
- Better handling of the required point or face number.
- Camera support for an easier control of the optimization on specific part of the scene.
- New features related to object selection and show/hide features which simplifies optimization level adjustement on each object.
- New features for deleting a specific mesh, deconnecting mesh into separated elements.
- Improvement for displaying optimization constraints or hidding area which are left unoptimized.
- Batch optimization improvements including all the new optimization features and particularly MagicCruncher which allows automatic simplification.
- Command line improvements, including all the new optimization features and particularly MagicCruncher which allows automatic simplification.
- Control + (numpad), Control-Shift + (numpad), Control - (numpad), Control-Shift - (numpad) new key shortcuts to modify the optimization level by step of 10 faces or 1%

3D

Majors

- Merge File to Scene feature to add the file content to the current viewed scene.
- Merge Folders to Scene feature: merge a set of files and open them in the current viewer.
- Disconnect into separate parts features: create different meshes based on unconnected faces of a single mesh.
- FBX 2017 support.
- Sketchup 2016 support.

Minors
- Arrow keys now allow to rotate around the scene.
- Ctrl+Left arrow and Ctrl+Right arrow move from one file to the other.
- Camera: can add camera and switch from one point of view to the other.
- It's now possible to remove mesh from the scene graph.
- STL import does not perform points welding any more.
- Advanced mesh checking at import, which avoid some crashes under particular circumstances.

Image

- More raw formats supported using new dcraw version.

Autres

- Improved crash error dialog.

Fixes

3DBrowser

- Import Information from Txt File: keyword errors can occur.
- General stability improvements.

3D

- Sketchup improvements: improve material back face support.
- FBX : does not export correctly materials with specific characters.
- Vrml 2.0 can crash on specific files.

Image

- Adding Noise results in black image.
- Exif: some information can be incorrectly readed from the files.

Version 12.75

01/2016 - Free upgrade from release 12.5 and following

Improvements

3DBrowser

- Copy and paste image in browser explorer or image viewer now handles alpha channel.
- Image Drag & Drop now handles images that have an alpha channel, making convenient dropping images in 3DBrowser from a web browser for example.

3D

- Fbx: nurbs entities are now supported (converted to polygonal mesh)
- Fbx: Autodesk Revit materials are now handled. These materials are correctly assigned to the objects, which make easier material edition in a third party software. Revit material properties are set to default values as Revit encrypt these information. Anyway, in save update mode, which is available after optimizing a revit scene with Polygon Cruncher for example, all revit materials are kept with their properties.
- Fbx exports in version FBX 2014 format (not 2016) in order to make it compatible with older tool.
- Sketchup: Sketchup 2016 is now supported.

Image

- DCRaw update to V9.26 for a better support of RAW digital camera images.

Fixes

3DBrowser

- 3ds Max 2016 plugin: improvement around the plugin stability, but random crashes still occurs. This is due to a bug that has been introduced in 3ds Max 2016 (notified to Autodesk), which make 3ds Max crash randomly when loading file from script.

3D

- Fbx: mesh positions are bad for FBX files that come from Maya files.
- Fbx : update saving mode loses material assignation.
- Cinema4D: some specific files leads to a crash.

Version 12.71

09/2015 - Free upgrade from release 12.5 and following
Improvements

3D

- Fbx: FBX 2016 file format is now supported

Corrections

3D

- Update mode disappears when exporting a file (FBX, Collada...)

Version 12.7

07/2015 - Free upgrade from release 12.5 and following
Improvements

3DBrowser

- Add an option that allows catalogue saving in Zip. This saving is not anymore automatic if the setting is not checked in preferences.
- Status bar new information about folders, hidden and excluded files
- 3ds Max 2016 support
- Maya 2016 file support

Polygon Cruncher

- Batch processing: add a new option that allows to start from a given optimization ratio.
- Merge by materials command
- Printing feature
- 3DS Max 2016 support
- Maya 2016 support
- Lightwave 2015 support

3D

- Skp: Updating Sketchup lib
- Lxo: updating modo lib. Improving instanciation support and advanced texture search.

Fixes

3DBrowser

- Fix: potential crash or lock when changing folders

Polygon Cruncher

- Correction : l'optimiseur plante parfois après une fusion par objet

3D

- C4D: potential crash with invalid indexes

Version 12.61

03/2015 - Free upgrade from release 12.5 and following

Fixes

3DBrowser

- Fix: thumbnails display / file preview might be missing on Windows 64 bits system, when opening a file selector dialog box in a 32 bits application.

3DBrowser Light

- Fix: application crashes when right clicking on a thumbnail in multi-folder mode.

Polygon Cruncher

- Fix: optimize might crashes when scene has polygon which triangulation is particular.
- Fix: some object might disparears (rarely) when opening the optimizer.

Version 12.6

10/2014 - Free upgrade from release 12.5 and following

Improvements

3DBrowser

- Print Catalogue feature has been greatly improved (alpha support, margins and elements size information, better zoom and preview and many bug correction).
- New catalogue print templates are provided.
- Print feature in the image viewer now takes care of the alpha channel if alpha exist and alpha preview is turned on.
- Print feature in the 3D viewer now prints a larger image in a better resolution
- WIA Import is now called Image Importation and adds support to WIA 1.0 and WIA 2.0. Twain support is coming back and has been included in this command.

3D

- FBX 2015 has been integrated
- DXF import has been improved and is now based on FBX SDK support and Mootools DXF import code.
- C4D import has been improved (better instantiation support, better handling of the shown/hidden flags)
- OBJ: now exports the -d parameter in material file and allow a better support when exporting to 3ds Max which considere materials as transparent.
- Fit on view feature has been improved to work whatever the window format and does not truncate the scene in some particular case.

Image

- PDF: better PDF support.
- Better support for 8 bit gray file with alpha channel.
- Autocrop can now remove transparent background

Fixes

3DBrowser

- Send by email command was broken

3D

- C4D: part of the hierachy might be missing and update mode can lead to a crash.
- DXF: cannot save in DXF

Image

- Image printing can be impossible depending on the saved preferences

Version 12.51

06/2014 - Free upgrade from release 12.5 and following

Improvements

3DBrowser

- Easier registration process (information about serial number, activation)
- Easier update process .

3D

- C4D : reading improvements (taking care of cache information, better support of visibility state...)
- SKP : now supporting complex faces!

Fixes

3DBrowser

- Many bug fixes (thanks to users that send crash error reports!)
- Batch: correcting a crash that occured when using Setup Unit Command
- Batch : correcting a crash that occured when using batch several time.
- Search: correcting a crash that might occured while searching

Polygon Cruncher

- The version number was not updated, leading to a registration problem.

3D

- Correcting a crash that might occured on files without UVs.
- SKP: sketchup file support was incorrectly setup for x64 bit version of software
- 3DS: correct exportation of the scale factor.
- DAE: now supporting 3ds Max URI format.
- VRML: problem with the cube primitive.

Others

- Correcting a bug leading to a crash when reading 3DBrowser older catalogue formats.

Version 12.5

05/2014 - Requires a new serial number

Improvements

Polygon Cruncher

- Polygon Cruncher is now able to optimize extra large meshes (bigger than 115 Million of polygons!)
- Polygon Cruncher now optimizes all instances of a mesh in the same way.

3D

- FBX file support.
- Sketchup import/export has been rewritten and now supports Sketchup 2014 files.
- Sketchup now supports front and back materials without duplicating polygons.
- Collada has been highly improved.
- LXO file support has been highly improved.
- Lightwave now find texture files in most of the case.
- DXF file support has been rewritten.
- 3D engines now support instanciation.
- Unity and scale factor are now taken into account for most of parser.
- Unity and scale factor dialog.
- Collapse mesh by material new feature.
- Merge confused points has algorithm has been rewritten and now includes a channel optimization
- Merge faces now removes duplicated faces.
- 3D viewer left panel split position is now saved.
- Select All / Invert Selection / Reselect new commands
- Show All / Invert Displayed Objects / Reshow Objects
- 3ds Max 2015 plugin is now included
- Maya 2015 plugin is now included

Bitmap

- WIA image acquisition has been improved.
- Twain support has been removed.
- Video file reading is now performed using the default application.

Fixes

3DBrowser

- Error windows now only appears only when a crash occurs.
- Many bug fixes (thanks to users that send crash error reports!)

Polygon Cruncher

- Batch optimization did not take into account merge faces and merge points settings
- Batch optimization did not take into account weld factor.

3D

- Wavefront fails when file contains very large lines.
- Vrml97 textures path were not correctly read.
- 3ds: mesh position was not always correct when exporting.

Version 12.11

Improvements

Application

- Favorites opens with a simple click
- Improving stability by taking care of crash report errors
- Improves error report user experience.
- Video and audio extensions are not associated to 3DBrowser by default any more
- Improve Open File with 3DBrowser as it might fails when called from an external application (ie 7Zip)

3D

- Add support for Maya 2013 SP2.
- 3ds Max: improving normal conversion
- Sketchup: front / back materials are handled in a better way
- 3D Viewer displays scenes faster and improves speed when changing material show/hide state.

Bitmap

- Update ExifTool version. It corrects a bug that can make metadata retrieval fails.
- Update Digital Camera Raw support and add new raw file supports (RW2, MEF, NRW...)

Fixes

Application

- Open / Save file selector dialog crashes the application under some particular computer configuration.
- Show / hide toolbars removes the menu.
- opening several files from explorer fails when Recycle Viewers is unchecked in the preferences.
- Deleting a file in the viewer jump to the next file even when operation is canceled.
- The selection in the thumbnail view is not updated when the current file is changed from a viewer.
- Correct a bug related that occurs when clicking on the Explorer thumbnail preview checkboxes in Preferences / Extensions and Windows Shell.
- Commands are not called when a toolbar is in floating mode (undocked).
- Batch commands are not opened when called from the menu.

3D

- 3ds Max 2014: normals are incorrectly supported.
- 3ds Max file exchange plugin might crash in some circumstance. The stability has been improved.
- Merge Objects sometimes loses UV texturing.
- Merge Objects loses double face material properties (Sketchup files).
- Texture with path containing the / character might not be loaded.
- planar / spherical... texturing is sometime loses when performing specific 3D operations.
- The reset to default button is sometime shown even when default settings are selected in the 3D Exportation options dialog.
- Collada import: imports sometime crash.
- 3DS export: texture are renamed to 8.3 dos format when Move Texture to folder is checked in the exportation options.
- Wavefront import: long lines might be stripped, resulting in a loading failure.
- Import VRML97: textures which names contains the / character lead to loading failure.

Version 12.1

Improvements

Application
- Metadata: reading metadata using multithread with exif tool. This result is improving thumbnail computation.
- Preferences: tooltips now show the same text that the one which is defined for the custom view mode
- Preferences: preference display settings has been improved.
- Preferences: extension association dialog has been improved and association schema under Windows 8 has been improved
- Main window: Improvement in the folder tree multiselection with Ctrl key.
- Main window: fast file filtering is now removed when changing current folder
- Main window: contextual menu in the tree folder now shows zip compression command
- Setup: the application now appears in the Windows default application dialog.
- Setup: Setup is larger for a greater comfort
- Setup: shortcuts are created in a way that avoid double icons when pinned to Windows 7/8 taskbar

3D

- 3ds Max 2014 plugin is available
- Maya 2014 plugin is available
- Now reading Open Inventor files (iv files)
- Exportation: exportation dialog now allows to move associated textures to a particular folder.
- Viewer: Restore user defined point of view in 3D viewer when opening a file.
- Vrml97: now handling correctly normals, uvs, vertex colors (per face / per indexes)
- Vrml97: now support box, sphere, cone, cylinder primitives
- Vrml 1: now support box, sphere, cone, cylinder primitives
- Vrml 1: now handling transform nodes

Bitmap

- CMYK bitmap are now correctly displayed
- Viewer: image printing now include an option to print at real size when image resolution is defined.
- PDF is now limited in size when opening in the image viewer (image were sometime very large)

Polygon Cruncher StandAlone

- Option dialog is larger

Fixes

Application

- Main window: focus is correctly restored when using prev/next directory
- Main window: file shortcut thumbnails are not recognized correctly.
- Main window: the thumbnail view does not reset the scroller position when changing the vignette size.
- Main window: this is not possible anymore to move thumbnails position when using group mode. This previously result in the loss of the user custom sort.
- Main window: updating catalogs might crash using Catalog Update command
- Main window: sort correctly file names when displaying the content of several folders.
- Main window: updating shell explorer thumbnail sometime freezes 3DBrowser when using Update Catalogs feature
- Main window: searching files from search panel sometime crash the application. Flickering has been reduced when displaying found files. Founded files are updated in order to see the thumbnails
- Main window: Print catalog command does not show correctly header and footnote
- Main window: Printing can lead to a crash if default printer has been removed
- Main window: custom extension filter text is corrupted by fast file filtering text
- Main window: zip files can now be deleted from tree folder
- The crash dialog only appears if a useful file can be sent
- Albums: take care of the excluded file list when opening several folders.
- Albums: albums no handle correctly the user custom sort order.
- Preferences: catalogue repository preferences fixes (it was not working)
- Preferences: preferences draw transparency thumbnail setting was not taken into account.
- Viewers: application shortcuts are not display correctly when opening the viewer directly from Windows Explorer.
- Viewers: Prev/Next image does nothing if a file is not recognized.
- No more Tip of the day dialog at startup

3D

- Viewer: it now displays "Scene List" instead "Image List"
- Viewer: it now reflects correctly material changes
- Exportation: exportation dialog is sometime incorrectly displayed.
- Sketchup: Sketchup.exe now automatically exit after a given period of inactivity
- SKetchup: correct a path problem for sketchup that make file not always readed under x64 bit OS
- Sketchup: Sketchup.exe does not create plugin directory any more.
- Sketchup: scene is sometime badly exported (triangulation is now performed before exportation)
- Sketchup: face with different material on front and back are now supported without creating extra faces.
- Sketchup:randomly crash
- 3ds Max: Importing normal in 3ds Max can lead to a crash.
- 3ds Max: Importing vertex color in 3ds Max is now supported
- Vrml97: now support wrl97 and vrml extensions
- Ply: exportation fails when scene has UVs
- Truespace: UVs were incorrectly exported
- Wavefront: uppercases in some files make some files to be incorrectly readed.

Bitmap

- Viewer: Show Image Sequence shows nothing when image size is too large. Improving the text display.
- Viewer: can now use the zoom feature when cropping
- Viewer: image with alpha channel are now correctly displayed when zooming.
- PDF: files are now shown through Ghostscript even if the path contains unicode characters.
- Viewer: Resize command does not handle correctly use the largest/smallest dimension when batch resizing images.

Version 12.02

A lot of new features are available in this release and first of all the application has a new name: 3D Photo Browser becomes 3DBrowser. We will now try to give an exhaustive list of the new features...

Improvements

Application

- Catalogues are open faster. This allows to browse large folder more quickly.
- Directory change is now possible even when a preview is being computed. It is not necessary to wait the end of the preview calculation.
- Adding a new feature that provide a fast filtering of the files. This feature displays the files that contain a given text in its metada or in the filename.
- File metadata (jpeg images particularly) are now read or write using exiftool.
- Open With Explorer new feature to open the selected files in an explorer window.
- New dialog for updating the current catalog. The Scan directories feature has been removed and the feature has been merged with Update Catalogs feature.
- Right click on a folder now give a simplest menu. The feature Display Directory Size has been added in the menu as well as Select Direct Subfolders and Select All Subfolders.
- Previous /Next / Parent Folder features are now available in the main toolbar.
- New feature to show or hide the transparency on thumbnail of images.
- Fast application access toolbars are now available in the image and 3D viewers.
- It's now possible to open a lot of files in the viewer without waiting.
- The thumbnail selection is kept when closing a viewer.
- Keyboard shortcuts for Edit Information / Edit Keywords / Properties / Search now allow to retrieve the directory panel by pressing the key a second time.
- File preview now work when opening a file selector in an external application.
- Open With dialog now displays more application that can handle the selected file.
- It's now possible to drag and drop a file to the fast access application toolbar.
- A default file name is given to images paste from the clipboard in the thumbnails window.
- Enter key now opens 3DBrowser when opening a file from the explorer(Ctrl+Enter to exit the application without opening 3DBrowser)
- Right and left arrows now cycle through the viewer opened files (when several files are opened with a viewer).
- Files are now sorted by name in the viewers.
- It's now possible to rename a folder from the thumbnail view.
- Zip archive for folders is now created in the parent directory of the compressed folder.

Polygon Cruncher

Polygon Cruncher 10.1 is now available for 3DBrowser

- New Progressive optimization mode which takes into account the respective number of faces of each objects. Object with few faces are optimized last and are kept even at high optimization ratio
- New modes for optimizing UVs, vertex colors and normals. Points which are on UV seams, normal or vertex colors boundaries are no longer "frozen". This removes the spider web effect which appears at high optimization ratio in previous versions.
- New mode for keeping the material boundaries. Points that belong to the boundaries are no longer frozen.
- The line of symmetry is no longer frozen when optimizing using symmetric mode, thus avoiding a spider web effect along this line.
- A new setting allows to stop automatically the optimization when face deletion produces bad results.
- Adding Auto Calculate feature for Polygon Cruncher.
- Improved optimization for planar surfaces.
- Selecting the discontinuities for vertex colors has been improved.
- Memory requirements have been reduced by 30%
- New display mode for viewing the optimization constraints.
- Improved interface, improved tool tips. It is no possible to deactivate tooltips.

3D

- Plugins for 3ds Max 2013.
- Plugin for Maya 2013.
- Improved Collada I/O.
- LXO format support.
- VRML97 format support (read only).
- Sketchup format support (now read and write).
- DXF support improved.
- 3DS import now supports material or texture name longer than 13 chars.
- Material conversion has been improved when getting scene from 3ds Max.
- Add the Update mode when saving a file. This mode update the original file. It modifies only the geometry and keep all other information (animation, materials...). This mode is available for LXO, Collada, XSI.
- New normal calculation which result in an improved display.
- Print feature now propose automatic setting features.
- A default file name is given to the scene imported from 3ds Max.
- Default background color is now a grey color.

Image

- It's now possible to view an image and its transparency (alpha channel) on a checker.
- New feature to display a numbered image sequence smoothly.
- New feature to display the first and the last image of the image list.
- Print feature now propose automatic setting features.
- Bmp, ico, cur format are now betterly handled.
- The white frame around the image has been removed.
- Default background color is now a grey color.

Fixes

Application

- Custom file sort is now working again.
- Multiple folder selection is now working again.
- The crash dialog displayed something has been removed.

3D

- The point and face number was incorrect when the scene has some patch.
- Patch conversion now display objects correctly.

Version 11.04

Improvements

Application

- Update Catalogue (Ctrl+U) feature now allows to update the Windows Explorer thumbnails.
- Catalogues files are now completely hidden when hidden files is selected in the preferences settings.
- Exif is now supported for TIFF files.
- Pdf, ps, eps, ai (and many vectoriel formats) are now read and written through the free software GhostScript.

Fixes

Application
- File description (keywords, title...) were sometime lose when moving files.
- Album synchronisation was not always correctly performed.
- Application sometime crashed when exiting.
- Double click on the top left icon thumbnail sometime opened a menu with incorrect entries.
- Clicking on task bar Exit Application menu led to a crash.
- The application locked several folders making their deletion impossible from Windows explorer while its opened.

Explorer Thumbnails
- Several 3DBrowser instances were sometime launched.
- No more messages are displayed while updating thumbnails
- The application was sometime locked when updating the thumbnails.
- Zip thumbnails are generated at the correct size.

3D

- 3DS export might crashed when generating UV.
- 3DS Max plugins didn't update meshes when they belong to hierarchy.

Bitmap

- Image with non latin characters were not be readed /saved.
- Tiff files sometime crashed due to some particular exif information.

Polygon Cruncher 9.12

- 3ds Max plugins didn't update objects after optimization, if they belong to a hierarchy.
- Checking / unchecking optimization checkboxes (selection panel) led to a crash.
- Checking / unchecking optimization checkboxes (selection panel) made object disapear.
- Frozen faces display was incorrect in the viewer.
- Toolbar button state was not always updated.

Fixes

- Updating the thumbnails leads to a frozen application.

Version 11.02

Improvements

Application

- Add Buy application feature and a direct shortcut to application registration web page.
- Seach feature on file name (simple mode) and canceling a search has been improved.
- A single dialog box is displayed when some files are missing in an album.

3D

- Sketchup support now works under 3DBrowser x64 bits.
- 3ds Max plugins now works for both x32 and x64 bits version of 3DBrowser. This means that you can run 3ds Max x32 bits and send a file to 3DBrowser x64 bits (and vice versa).
- Same things for Maya plugin.
- 3ds Max 2012 plugin support
- Maya 2012 plugin support

Fixes

Application

- Le glisser déposer de fichiers peut conduire à un plantage.
- Explorer thumbnails: application deadlock occurs sometimes.
- Explorer thumbnails: application sometime displays some dialog box.
- Removing NTFS synchronization which produces application dead lock under some circumstances.

3D

- Lightwave LWS import: meshes are not correctly positioned when reading a Lightwave scene.
- Skethup import: textures might incorrectly handled under certains circumstances (different textures with the same file name).
- Collada export: material names might contains special characters which make the file unreadable for external software.

Image

- Resize feature: the settings are not correctly taken into account, except when using the ratio setting.

Version 11.01

Improvements

3D

- Wavefront : reading performance has been improved.
- Material name is now sort alphabetically..
- 3DS: object scale is now keep when reading and saving a 3ds file.
- Updating the thumbnails in 3DBrowser now generates a refresh of the Windows Explorer thumbnails.

Fixes

Application

- Explorer: a thumbnail computed for the explorer are not cached for 3DBrowser.
- XP: thumbnails are not displayed in Windows Explorer.
- XP: some toolbars are missing in the viewer and in Polygon Cruncher, making the feature unusable.
- Zip thumbnails are always recomputed each time a folder is opened.
- Exporting the information crashes the application.

3D

- Faces are incorrectly sorted when reading files, resulting in a possible degradation of the viewer performance.
- Collada: names contains illegal characters making the exported file not being readable in third party application.
- Viewer: the rotate control is not correctly drawn.
- 3D animation can't be played.

Version 11.00

Improvements

Application

- Add search file similarity feature for finding similar images or duplicated files.
- Windows File Explorer now displays 3DBrowser thumbnails.
- Improved preferences dialog for file association with the application.
- Add Windows 7 task bar shortcut support for a direct access to most popular folders.
- Twain feature has been improved (support of relative path and automatic folder creation)
- Fast access window (Tab key) is more readable

3D

- Sketchup file support (reading)
- XSI Softimage file support through Crosswalk 2011.5 (reading / writing)
- Select tool, which allows to get information on the selected object.
- Zoom Selection new feature.
- Transparency is fully supported as well as color modulation.
- Improved preferences for supporting OpenGl extensions.
- Lightwave import optimization (number of created materials and UV channel has been reduced) and handles correctly simultaneous UV and vertex colors channels.
- Wavefront I/O now support material transparency.
- Maya and 3ds Max exchange plugin requires less memory and allow exchanging bigger files.
- Material dialog allows to edit ambient, diffuse, transparency, specular and smooth factor.
- Face and point indexes are now displayed with a shaded color.

Polygon Cruncher

- Memory optimization and memory bottle neck suppress. It's now possible to optimize bigger meshes.
- The multiresolution mesh generation step is now faster.
- Optimization is now performed on the selected object, when you open Polygon Cruncher from a 3D viewer.

Image

- Add liquid rescale feature
- Add Exr HDR image file support.
- Support of the latest raw format (thanks Dave Coffin!)
- SVG file support.

Others

- Upgrade dialog has been relooked.
- Add full fullscreen mode (!) and a button for canceling the full screen mode.
- Improved crash support reports.

Fixes

Application

- Fix: tooltips are not displayed in some circumstances.
- Fix: the multi folder view does not work when the 'Save Catalogues in the catalogues application directory' preference option is set.
- Fix: files are sometime incorrectly sorted when using group mode display
- Fix: zip thumbnails are updated permanently.

3D
- Fix: Collada import might fails on particular files (ie. when visual_scene_instance is incorrectly defined)
- Fix: cubic mapping gives incorrect results
- Fix: lightwave import might crash due to an incorrect projection value and invalid UVW creation.
- Fix: lightwave scene import does not release memory correctly.
- Fix: some scenes are permanently updated in the 3D viewer, resulting in a slow display.
- Fix: mesh with reflection matrix are incorrectly lighten.
- Fix: directX import might fails with particular files.
- Fix: maya normals are incorrectly imported.

Polygon Cruncher

- Fix: the lock point setting is sometime reset

Image

- Fix: crop area of the crop feature is incorrectly displayed.
- Fix: the OK button of dialogs might be disabled under certain conditions.
- Fix: the move cursor is not displayed in preview control of dialogs.

Version 10.61

Improvements

Application

- Compact is a new display mode which shows thumbnails without file names.
- Fast application access bar has been improved (at the bottom of the screen): new access to filter / display / sort menu. New way for handling the thumbnails size settings.
- New dialog for defining the current catalogue settings (Read only mode and keep display settings option).
- Restore the previous display position when reopening a recently browsed folder.
- Right click on a favorite folder now shows its sub-folders.
- Windows task bar Application icon shows the progression state.
- Faster JPEG thumbnail preview.

3D viewer

- Improving Collada support.
- KMZ file support.
- New predefined point of views (isometrics). It is possible to define the angle view.
- New commands: move with keyboard (Shift+arrow) and rotate with keyboard (Ctrl+arrows)
- Improved 3D preferences management.
- Improved contextual help.

Image viewer

- Remove Red Eyes command.
- Improved contextual help.
- Improved displayed feedback (Crop, rotate to horizontal)
- Image operation have been parallelized on multicore computer.
- PSD layer preview support.
- Improved RAW (and similar format) file support. Faster reading.
- Improved JPEG export dialog.

Polygon Cruncher

- Polygon Cruncher is now available as a stand alone application.

Fixes

Application

- Split / Glue file command has been corrected.
- The application is more reactive when browsing slow devices (CD-Rom, network folder...)
- Improved Drag and drop icon display.

3D
- The viewer crashes when displaying faces which have vertex colors and which have more than 3 points.
- Double side face lighting when double side display is checked in the preferences.
- Sending a 3ds Max scene from 3DBrowser to 3DS Max might lead to a crash

Polygon Cruncher

- Incorrect Collada file update after a collada optimization.

Image

- Thumbnails generated by the shell have now a correct aspec ratio.
- Images which name contains particular characters (unicode) can now be read.
- Reading 1 bits BMP file has been corrected.
- Alpha channel is lost during particular operation (ie. rotation).

Version 10.5

Improvements

Application

- Design improved, using latest MFC package.
- Follow the UAC guidelines (Vista, Windows 7), simplifying life of user which has no administrator rights.
- Reading / saving catalogue is faster. Catalogue size is smaller.
- Adding popular folders list and easier access to favorites
- Files not recognized by 3DBrowser which are in a zip can be opened by a double click.
- album references to missing files are not automatically removed any more.
- Application shortcuts has been improved (the shortcut list can be sorted and it is not modified ane more when updating the software)
- Improving the drag & drop area
- The current folder is displayed in bold in the folder tree.

3D

- Adding Collada files support (*.dae)
- The viewer now displays antialisaed lines (wireframe display, for example).
- The viewer now supports transparent materials.
- 3ds Max plugins are now able to update files which is particularly useful when using with Polygon Cruncher for 3DBrowser.
- Information related to material and faces are more complete in the information panel.
- Improving 3D preferences (utilisation du PBuffer)

Image

- Using the latest dcraw version for a better digital camera raw support.

Polygon Cruncher

- Optimization has been greatly improved. Normal inversion is now extremely rare and polygon are better equilibrated.
- Optimization is more than 2 time faster.
- Optimization requires less memory (approximately 25% less).
- Optimizing textures does not require anymore to lock points, giving better results.
- Normal interpolation gives smooth results when optimizing normals.
- It's now possible to lock point position in the advanced panel.
- Polygon Cruncher now try to update files after optimization when this option is supported by the parser (3ds Max, Maya, Collada). This allows to keep more information (materials, animation...)

Others

- Maya 2010, Maya 2011, 3ds Max 2010, 3ds Max 2011 plugin support.

Fixes

Application
- Opening file has been improved for some kind of file (exe, html...)
- Drag & dropping a file does not change the current folder

Bitmap

- Watermark plugin fails if resize ratio is set to 100%
- The Exif tag menu now displays correct entries.

3D

- Lightwave: improvement on computing the texture mapping (planar projection)
- Wavefront correction: a full check of index overbounds is performed. Textures are now correctly exported when several maps exist on the same object.
- The object information dialog box reports incorrect matrix value.
- UV Map are now generated using less memory
- Bounding box computation correction
- The rendering image feature now take into account the rendering mode selected from the dialog.

Polygon Cruncher

- Browsing log file fails in batch module

Version 10.04

Improvements

Application

- Zip commands allow to create a zip from a selection, a directory or a directory and sub directories.

3D

- Support for 3ds Max 2010
- 3DS plugins have been improved and allow to update a scene imported to 3DBrowser and re-exported to 3ds Max. This allows to preserve more information particularly when using Polygon Cruncher from 3DBrowser.
- Patch conversion for objects which have quadrangular faces has been improved.

Correctifs

- Polygon Cruncher might crash when optimizing scene which include group.
- Patch conversion might lead to a crash.
- The application opens 2 viewers when the Do not recycle viewers is checked when clicking on a file from the Windows explorer.
- Zip browsing might fails when a zip contains another zip.

Version 10.03

Improvements

Application

- Batch command can be run from a command line.

ie:
- 3DBrowser.exe -batch /name "Shadow.bbr" /in "C:\tmp" /recursive /out "C:\tmp\batch"
- 3DBrowser.exe -batch /help to get more information on possible options.

- Drag & drop now follows Windows specifications: files are copied by default (and not moved any more) when they are drop to a folder located on a different drive.

Image

- Now supporting latest RAW image formats (cr2, crw...)

3D

- OpenGL extensions are now disabled if the graphic card does not correctly support it.

Polygon Cruncher

- Optimization improved for x32 bits version.
- Optimization improved for x64 bits version.
- Optimization quality are now the same between x32 and x64 bits versions.

Fixes

- On particular meshes, the x64 bits optimization creates flipped faces and lead to a bad vertex distribution over the optimized mesh.
- Lightwave 5.x import sometime crashed.
- The software sometime crash when it is closed.
- Some particular MP3 files crash the application.
- Screen capture crash the application at startup when "Run screen capture at startup" is checked.
- Adding a fast application shortcut does not work when the application is added using the Other... button from the application selection dialog box.
- The license is now deactivated only if the software is completely removed from the computer.

Version 10.02

Improvements

Application

- Application sometime crashes when it exits.
- Rotate To Horizontal and Crop commands crash when they are exited using the close dialog icon.

Image

- Some BMP (DIB type) are incorrectly readed.
- Some EXIF information are incorrectly readed and might cause a crash.

3D

- Dynamic exchange with 3ds Max: normals creations might crash the application if an object also has UV textures.
- Wavefront: some UV textures might be missing.
- Wavefront: some meshes might be missing when converting to this format.
- PBuffer initialisation might crashes the application when opening a 3D viewer.

Polygon Cruncher

- Normals optimisation has been improved when Optimize Texture and Optimize Normals are both checked.

Version 10.0

Improvements

Application

- Simplified search mode which allows to make a search based on file name and content very easily.
- Search list has been improved (Network preferences). It is now accessible through the search panel.
- Categories are now sorted. Pressing return key is not longer needed for validating a category.
- Progress dialog when automatically rotating jpeg files of a folder.
- Adding Paste in contextual menu.
- Back and forward features are clearest in contextual menu.
- Files are now decompressed when they are drag from a zip.
- Tree folders does not look for zip files on removable media (faster display).
- The title bar now gives information on the version and the license status.
- Improving the file association. Association are now done for the current user. Default Application choice has been added int the Extensions and Windows Shell preference settings. Finally, the Open With Application command simplifies the file association settings.
- Improved full screen mode and windows positionning when using several monitors.
- NTFS information is now saved in Unicode.
- Deactivating the application when uninstall it.

Image viewer

- Tool Display Numbered Sequence which allows to view a rendered image sequence for example.
- Add a cancel button on the JPEG, GIF, PNG option dialogs.

3D

- A particular thumbnail point of view can now be defined for each file format.
- Global / local coordinates support.
- User specified normals support.
- Maya 2009 support. Fastest loading when reading Maya object.
- ASCII Maya file support (was not accessible through save as in previous version).
- New PLY binary export.
- Animation support (3ds format, lightwave scene).
- LWS import improvements (hierachy support, faster loading...)
- Wavefront / STL / 3ds Max / Maya user normal support.
- Vertex colors support in dynamic exchange (Maya / 3ds Max plugins)
- Normal and bounding box display.

Polygon Cruncher

- Memory management greatly improved: this is now possible to optimize very large meshes.
- Adding normal optimization.
- Improving the batch module (merge faces and vertex settings simplified, log files, normal support...)

Fixes

Application

- Screen capture does not work correctly when using it on a several monitor configuration and when a monitor has negative coordinates.
- Left panel display improved (keeps the minimized state when switching the panel / shown when pressing F6 or F3 keys).
- Thread lock improved, removing potential dead lock.
- A bad message is displayed when a new version is ready.
- A Windows cannot find the file... is displayed sometime when opening a file from the Windows explorer.

Image

- Improving exception support when reading image (application might crash before...)

3D

- Patch conversion might lead to a crash.
- Fix in Lightwave parser. A crash might occurs on particular lightwave 5.x format. UV/VC are correctly saved when a same material is shared by several meshes.
- Vrml fix (last face might be invalid and this can lead to an application crash).

Version 9.31

Improvements

Application

- Intelligent sort for textual information in the thumbnails view (strings are sorted by number then sorted by string).
- WIA Import now import image from a scanner.
- More complete information in the error report.

Visualiseur d'images

- Reading DDS files (DirectX)

3D

- It is now possible to add all the subdirectories of a given folder in the texture path and LightWave scene path tabs of the viewer preferences.
- The 3d viewer init faster when the scene has a lot of meshes.

Fixes

Application

- The dialog box "The server is busy..." appears frequently.
- The x64 bits version sometime freezes when using the tree folder view.
- The screen capture tool sometime crashes when starting capture.
- Catalogue update sometime freezes the software.
- Auto rotation features does not work with non JPEG files (ie. PNG).

3D

- Lightwave import crashes frequently when reading UVs.
- 3ds import is slow when the scene has a lot of meshes.

Version 9.3

Improvements

3D

- Merge Coplanar Faces now handles correctly UVs.
- Wavefront I/O now reads several UVs for a given vertices.
- Lightwave Scene 9.2 format is now supported.
- Maya I/O keeps map names.
- STL import now welds confused vertices.
- Improved materials support when exchanging scenes with 3ds Max.
- Plugin 3DBrowser for 3DS Max 2009.

Polygon Cruncher

- Geometrical optimisation quality improved.
- UV optimisation greatly improved when textures breaks exists. Now Freeze UV discontinuities setting can't be let unactivated in most of case, which gives better optimization ratio. This setting is not anymore automatically activated when keeping UVs is selected.
- Symmetry has been improved (symmetry criteria is now based on topology, not only geometry).
- Last settings are kept for a better ergonomy.

Fixes

Application

- Non standard MP3 files can crash the application.
- Application crashes on particular images (ie. some png with exif)
- IFF files crash the application.
- HDRI files crash the application.
- Print catalogue: Printer Paper names are not correct.
- Application crashes when Corel X3 is setting up.
- Correcting 3D I/O: C4D, COB, DXF, VRML

3D

- Scene List panel scrambles thumbnails after a file save.

Version 9.2

Improvements

Application

- 3DBrowser is now available in x64 bits
- 3DBrowser is now an unicode application (asiatic or oriental languages are now supported). As a consequence, catalogue file format changed. Backward compatibilité is guaranted.

3D viewer

- Alpha channel can be used as a transparency mask. This option is available in the preference dialog (Tools > Preferences) of the 3D viewer.

Fixes

Application

- Dialogs are sometime displayed when a file is opened with 3DBrowser from the Windows explorer.
- Drag & drop to the folder tree has been improved.
- Batch command has been improved (result type (image or scene) is now checked, directory case is kept when recreating the folder tree, file name numeric information is kept).
- Folder tree selection disapears when the folder tree is activated by a click.
- The C char cannot be used when editing a file name.
- The browse button does not work in the Convert Files dialog.
- Reading MP3 information is very slow for large file.
- Exif support has been improved.

Image viewer

- The viewer sometime crashes when an user changes the current image from the image list.

3D viewer

- Obj parser improved: Obj failed when a scene had some objects textured and some not textured.
- Lwo parser improved for some non compliant files.
- 3DS parser improved (object without points).
- Fix: the default point of view is not correctly saved.
- The points coordinates are now checked when importing a file.

Version 9.12

Improvements

3D

- Save Scene as Image now export animation when it is used in a script. Moreover, it is now possible to select the custom point of view or the point of view defined in 3DBrowser.
- Improving the way alpha channel is used when printing a catalogue or exporting to HTML.
- Index point bounds is now checked at importation, improving the reading of peculiar scenes.
- DXF parser now handles planar coordinates (Polyline token).

Fixes

Application

- Correcting a display problem when using a gradient as background of the thumbnails view.
- Correcting a problem when displaying icons in report or detailled mode.
- The folder tree sometime crashes the application when a subfolder contains a zip.
- The folder tree has several problems (problem renaming an item, problem on right click contextual menu, problem on copy and paste when editing a label...)
- Selecting several folders sometime opens the temporary windows folder.
- A dialog box appears when browsing a folder containing files with a Unicode name.
- The application might crashes due to a bad implementation of hash functions.
- The catalogue does not keep the exclude file list when it contains only excluded files.

3D

- Rotation control, faces and points indexes are now displayed in OpenGL. This correct some display problems which appear on particular graphic cards.
- Generating a quad patch sometime crashes the application.
- DirectX : initialization fails when creating the DirectX device on particular computer.
- DXF: a crash sometime occurs when a file contain a closed polyline.
- 3DS: Group are created as curve when reading a 3DS file.
- 3DS: files are not read when a mesh has 10 characters or more.

Image

- Minor correction on AVI parser
- Stereo filter crashes when selecting the same image for left and right eyes. No file format appears in the dialog box.
- Noise filter doesn't modify image (it depends of the selected noise type).
- HTML preview is sometime truncated or sometime displays an unlimited number of dialog boxes.

Version 9.1

3D viewer

New features

  • Tools > Merge Coplanar Faces: this new command merges coplanar faces. You can also define a limit angle to merge faces which are nearly coplanar. This command is scriptable.
  • Maya 8.5 file support (read / write).

Polygon Cruncher

New features

  • Tools > Merge coplanar faces command in Polygon Cruncher viewer.
  • Merge faces option in Polygon Cruncher batch dialog.

Fixes

  • Improvement: add an entry to Polygon Cruncher forum in Help menu.
  • Fix: creating the tree folder sometime crash the application.
  • Fix: the \ character is not correctly handled when reading obj files.
  • Fix: clicking on the browse button in batch optimization dialog sometime leads to an infinite loop (Polygon Cruncher).
  • Fix: the custom sort order is lost when exporting a slides show.
  • Fix: images are not displayed in the Create Animated Gif dialog box.
  • Fix: buy 3DBrowser command is missing.
  • Fix: the link to compare different 3DBrowser release is invalid.
  • Fix: DirectX export fails when it is selected as default export format in the batch optimization module.
  • Fix: DirectX import fails when face indexes are stored on 32 bit values.

Version 9.06

Fixes

  • Improvement: folder preview are computed only when user choose to display folders.
  • Fix: Help > Activate command is enable even if no valid serial has been entered.
  • Fix/Windows Vista: the software sometime crashes when browsing folders.
  • Fix/Windows Vista: the selected language is not taken into account.
  • Fix: an invalid folder name makes the application enter in an infinite loop.

Version 9.05

Main window

New features

  • Use transparency to display thumbnails of 3D scenes and images with an alpha channel.
  • Preferences > Display: Use transparency for displaying thumbnails
  • Automatic checking online for new upgrade.
  • Preferences > Others: Check online regularly for an upgrade

Improvements

  • Preferences > Display: it's now possible to define a gradient for the background color.
  • A double click on the left panel name allows to switch from one panel to the other (ie. from the explorer panel to the properties panel)
  • The folders are now drawn using Windows thumbnails preview.
  • Print catalogue: transparency information are taken into account (if printer allows it).

Fixes

  • Internal improvement on the folder panel
  • Fix: zip files are not correctly handled in the tree view.
  • Fix: the software handles incorrectly large files (> 90 Mb)
  • Fix: a custom sort order is sometime created when moving contiguous thumbnails.
  • Fix: searching for keywords has been improved (searching for a complete keyword not for a part of a keyword).

3D viewer

Improvements

  • Preferences > Display: it's now possible to select an alternative OpenGL mode, which can solve problems on specific graphic cards (ie ATI Radeon).
  • Tools > Update Thumbnails now takes care of the current scene zoom factor.
  • Better support for decompressing textures for scenes which belong to zip.
  • File > Save Scene as Image: the feature now includes an alpha channel when the image format handles alpha channel (TGA, PNG...).

Fixes

  • Fix: LightWave reader improvement. A problem relative to layer hierachy has been corrected. This problems randomly crashed the application. Reading bad files has been also improved.
  • Fix: Improvement on HDR file support.
  • Fix: DirectX fails to initialize on some computers.
  • Fix: scene is not always correctly displayed when we zoom too close to the objects.
  • Fix: under particular circumstances, topologic and geometric cleaning might crash the application (Merge points feature, export polygon cruncher optimization).
  • Fix: merge points feature sometime gives incorrect result when using 0 as merging factor.
  • Fix: the "Plugin server not found" is displayed when using the Lightwave plugin

Image viewer

Improvements

  • Adding support for dng, arw, erf raw files formats

Fixes

  • Fix: Modes & Colors plugin is not setup (feature negative, gamma, contrast are missing).
  • Fix: white balance is not performed on raw images.
  • Fix: particular raw images are incorrectly readed.
  • Fix: mouse wheel is inactive (zoom, goto next / previous thumbnails with Ctrl).

Others

  • A validation period of 15 days now allows to use the software after entering a valid serial number.
  • Compatibility improvement for Windows Vista.

Version 9.01

Fixes

  • Fix: the software need to be reactivated when the internet connection is off.
  • Fix: 3D files are not supported if DirectX 9 is not setup on the computer.
  • Fix: Lightwave files with textures might be incorrectly readed.
  • Fix: DirectX export fails if the scene has group nodes.
  • Fix: criteria are not taken into account when performing search.
  • Fix: show directory size command displays nothing.
  • Fix: album area in the status bar does not work.
  • Fix: empty directories are created when running an independent slides show.

Version 9.0

3DBrowser for Windows 98 / Window NT 4.0 is not supported any more.

Main window

New features

  • Zip file are now supported. These file can be browsed and cataloges like any other folders.
  • New folder access window. This window contains sub folders of the current folder, recent browsed folders, favorites and albums. You get access to this window using the Tab key.
  • Files which are incorrectly readed are now excluded from the catalogue. This gives a better stability to the software.
  • Technical support has been improved. This is possible to send an error report.
  • Thumbnail icons are now active. Thumbnail contextual menu have been rearranged. Hide icon preference has been removed.
  • Deselect all, Invert selection, Copy path, Paste image new features.

Improvements

  • Drag and drop feedback improved.
  • Maximal thumbnail size increased. Simplified control on the thumbnails size. The extra large thumbnail preference has been removed.

Images related features

New features

  • HDRI file format support .
  • RLA / RLF format support.
  • Automatic JPEG file rotation (thumbnail automatic rotation or image automatic rotation).
  • Main Window > Tools > JPEG > Use shooting data feature which transfers the current shooting date to the file modified date (JPEG files).
  • Viewer > Edit > Filters > Colors > Add a Watermark / Retrieve a Watermak which allow to add an invisible signature to your pictures (scriptables).
  • Viewer > Edit > Filter > Colors > Sepia. This filter gives your images a sepia tone (scriptable).
  • Viewer > Edit > Special effects > Polaroïd. This filter tranforms your image to a polaroïd snapshot (scriptable).
  • Viewer > Edit > Special effects > Drop Shadow. This effect adds a shadow under your images (scriptable).
  • Viewer > Edit > Special effects > Sketch. This filter sketches your images (scriptable).

Improvements

  • Screen capture: screen capture tools greatly improved. particularly, it's now possible to preview your capture before saving it.
  • Preview speed increased.
  • Viewer > Edit > Modes & Colors > Contrast improved (contraste sigmoïdal).

3D related features

New features

  • Maya file are now support by a dynamic exchange. Maya should be setup on the computer. This gives the possibility to use Polygon Cruncher on Maya files.
  • STL file support (reading ASCII and binary files, writing binary files. VisCam, SolidView, Materialise Magics variants are supported).
  • Viewer > Tools > Invert Normals command.
  • Viewer > Tools > Unify Normals command.
  • Viewer > Tools > Merge Points: weld near or confused points.

Improvements

  • Option which allows to generate a conversion report when save a scene.
  • Lightwave object files are betterly find when reading LightWave scene (it's now possible to set relative path in the Preferences > Lightwave directories tab).
  • It's now possible to set relative path in the Preferences > Texture directories tab.
  • OBJ file support improved (now supporting faces which have many points).
  • 3DS file support improved (null object are now taken into account).
  • Preferences improved: it's now possible to define custom OpenGL settings.
  • Performances improved (normals computation, connections graph...)
  • Supporting unix or apple OBJ and DXF files.

Fixes

  • Fix / Batch Polygon Cruncher version: exclude borders mode does not work.
  • Fix / Batch Polygon Cruncher version: creating a file fails when the target directory does not exists.
  • Fix: LightWave fails when object has faces which materials does not exist in the scene (ie. default material).
  • Fix: Truespace exports too many materials.
  • Fix: search result is incomplete when user specifies EXIF criteria and the search directory does not already contains a 3DBrowser catalog file.
  • Fix: thumbnail type is now updated when catalog is updated.
  • Fix: reading TIFF files with a TIF extension.
  • Fix: 3DBrowser now displays the Open with an Application dialog when no application is associated to a given extension.
  • Fix: file selector loses the current directory when clicking on Display only common files checkbox.
  • Fix: file selector does not display any files whan All kind of files is selected.
  • Fix: importing information from a text file sometime fails.
  • Fix: capture has a black area when capturing a window which borders are out of the screen.
  • Fix: search pannel is not dynamically resized.
  • Fix: folder name is not correct when you right click on the main window background.
  • Fix: navigation toolboar disappears sometimes when you resize left panels.
  • Fix: Wave filter cuts a part of the image.
  • Fix: improving Implode dialog settings (negative values now simulate an image explosion).
  • Fix: converting object to patch makes textures and vertex colors invalids.

Version 8.51

From this version 3DBrowser Light Edition is not free anymore.

Image related features

  • Screen capture: profiles has been added to the feature (thanks to James Palik).

3D Viewer

  • Searching for texture files has been improved

Correctifs

  • Pannels: a dialog resize problem occurs when items are fold / unfold .
  • Patch : changing the patch level from preferences makes the application crashes.

Version 8.5

New features of the main window

3D features

  • Batch Polygon Cruncher: it's now possible to batch optimize a single file or a set of files. You control accurately the optimization levels you need. This command is available from the main window and from 3D viewer.
  • Replace thumbnail feature which allows replacing the 3D file's thumbnail by a render image (thanks to Antonio Prieto).

Main window feature improvements

General related features

  • Rename Files: file numbering is now optional when you use * character
  • Catalogue update: update occurs on the selected thumbnails. It's now possible to recompute thumbnails for only a part of the catalogue.

    Image related features

  • Screen capture: better ergonomics (thanks to James Palik).
  • Jpeg Lossless is faster when files are located on a CompactFlash flash or a memory card.

    3D related features

  • Polygon Cruncher is now available from the main window. You don't need anymore to open a 3D viewer for using it.
  • Triangulate, Convert to Patch, Convert to Polygonal Object commands are now scriptable.

Image viewer

  • Copy to Clipboard / Paste from Clipboard commands. These command are a simple way to transfer image to/from third party software (thank to Yves Monnier).

3D viewer

  • Adjust to Window command (thanks to Eric Caron)
  • It's now possible to perform a multi selection on objects or materials. It's easier to display or hide a set of materials or objects (thanks to Eric Caron).
  • Replace thumbnail feature which allows replacing the 3D file's thumbnail by a render image (thanks to Antonio Prieto).

    Import/Export

  • 3DBrowser now offers exportation settings.
  • DirectX import / export.
  • Texture exportation improved for WaveFront, 3DS, VRML, Truespace format.
  • Planar, spherical, cylindrical and cubic projection are now handled (thank to Eric J Bouchoc).
  • Texture image path can be relative.

Fixes

Main window

  • fix: groups are incorrectly displayed in group mode.
  • fix: 3DBrowser sometime crashes (ie. when ejecting a CD) when it has been opened by a double click on a file from the Windows explorer.
  • fix: album file references are lost when the album files are moved to a different location.
  • fix: sometime HTML exportation saves images with an incorrect name (thanks to Barrie and its virtual clock museum).
  • fix: tip of the day presentation enhancements (thanks again to James Palik)

    Image viewer

  • fix: crop feature runs incorrectly when the option panel is hidden.
  • fix: image preview does not work in dialogs.
  • fix: it's not always possible to go to the next or previous image when deleting the current image.
  • fix: option panel display choice is lost when pressing on the ESC key.
  • fix: Actual size and fit on view feature sometime fails.

    3D viewer

  • fix: triangulate feature crashes when an object has texture coordinates.
  • fix: converting patch to polygonal object crashes.
  • fix: LWS import sometime makes the application crashes.
  • fix: VRML import improved (by reducing the number of point imported, and assigning the correct material to faces).
  • fix: rendering mode names are incorrect.
  • fix: extra information display is improved (rotation circle, face indexes...)
  • fix: the left bar, on the left of the viewer, sometime stays visible, even if there is no information to display.
  • fix: the render mode used when opening a viewer is the thumbnail render mode. Now the last render mode used is restablished when opening a viewer.

Version 8.32

New features

  • It's now possible to visualize the content of several folders using a multiple selection in the folder tree
  • Expand All feature (contextual menu, using a left click on a folder)
  • Thumbnails are now antialiased when displayed in small size

Features improvements

  • Main view: smooth display of the thumbnail view (background drawing is better handled)
  • Preferences: it's now possible to disable the information synchronization which is done between 3DBrowser information and Windows summary information

3D viewer

  • Opening and computing thumbnail is 40% faster
  • Polygon Cruncher is 40% faster
  • Object information dialog has been improved: matrix information, materials used by object and other information are now displayed. It's also possible to rename the objects
  • Material information dialog has been improved: it's now possible to changed the material colors and texture files
  • Less Light Edition / More Light commands
  • New view menu organization
  • Fix: some objects might be invisibles on some graphics cards
  • Fix: VRML import improved. Transformations are now handled
  • Fix: 3DS import improved. Pivots are now handled
  • Fix: 3DS is incorrectly exported when hidding objects in the scene
  • Fix: Truespace import improved. Transformation matrix are better handled

Fixes

  • Fix: no trial period for the software
  • Fix: Open and Open With... association are not kept (Preferences / Extensions and Windows shell)
  • Fix: slides show dialog stays open after slide show to simplify parameters setting
  • Fix: Fixed size region does not work correctly in the screen capture tool
  • Fix: screen capture tool sometime switches to full screen capture mode
  • Fix: sort mode is lost when restarting the application
  • Fix: cannot change the current video frame from the image list in the image viewer

Version 8.2

New features

  • Stereo image: this command creates images for blue-red glasses

Features improvements

  • Screen capture: better ergonomy for the screen capture command (thanks to James Palik)
  • Crop (viewer 2D): it's now possible to choose a format to constraint the crop frame (thanks again James!)
  • Rotate to horizontal/vertical (viewer 2D): access to options dialog has been simplified
  • Read / save bitmap library has been upgraded, including a lot of fixes (tiff, bmp...)

Fixes

  • Fix: 3DS import forgot matrix transformation
  • Fix: 3DBrowser plugin for Lightwave fails
  • Fix: shortcut keys associated to status bar applications are now activated
  • Fix: the slides show runs on screen where 3DBrowser runs (multi monitor configuration)

Version 8.1

New features

  • Create slides show as an independent application (.exe) (Windows NT/2000/XP only)
  • Replace the Windows desktop background image (wallpaper)

Features improvements

  • Slides show: new transitions

3D Viewer

  • LWS format support (Lightwave scene)

2D Viewer

  • Image fits automatically the window when it is resized, using the Fit To View mode

3DBrowser Light Edition

The following features are now available in 3DBrowser Light Edition:

Main window

  • Custom display
  • Custom display preferences
  • Rename a set of files
  • Custom sort
  • Custom filter
  • Custom filter edition

Image viewer

  • Rotation, resize, crop commands
  • Mode & colors menu (color conversion, gamma, contrast, HLS)
  • Filters menu (special effect, geometric deformation, add noise...)
  • JPEG Lossless menu

Fix

  • 3DBrowser sometimes lost file associations to a third party application
  • Slides show: texts incorrectly displayed when using large fonts
  • Display Directory Size: a 24 hours delay has been added between to directory size computation.

Version 8.01

Localization

  • German translation have been done (all the best to Reiner Schug).
  • US texts have been corrected (many thanks to David Thomas).

New features of the main window

  • Application now opens quickly when you open a file from the Windows explorer.
  • Folders now opens quickly.
  • Display directory Size command (for 3D users and Image Edition version).
  • Fast access bar has been improved. A drag and drop area has been added. I simplifies moving files to albums or last used directories.
  • Upgrade 3DBrowser command.
  • 3DBrowser Light Edition: Slides show is now available at the main level of the application.
  • 3DBrowser Light Edition: information window on the number of files opened with the application and new contribution mode available.

    Fixes

  • Fix: Open and Open With... association are not kept (Preferences / Extensions and Windows shell)
  • Fix: Better reading for images (some images are not displayed, particularly when they didn't match exactly format specifications).
  • Fix: background transparency setting for slides show texts.

Existing features improvements

  • Slides show improved (fade-in fade-out transition). Viewers and main Slides show command have now the same functionalities.
  • Print Catalog... has been improved: it's now possible to print several copies of an image.
  • AVI export improved (settings kept).
  • Switching from Search files panel to My computer panel is clearer.

2D Viewer

  • RAW image format support (Thanks to Dave Coffin for its code).
  • Images are now displayed with antialiasing when a reduction is performed.
  • Images list is now displayed only when several images are opened.
  • Slides show command has been improved.
  • Close and Open 3DBrowser command when the viewer is open from the Windows explorer.
  • Open command allows opening several files.

    Fixes

  • Fix: Alpha channel is now displayed in the thumbnails list for animated Gif files.
  • Fix: playing animated Gif files works again.
  • Fix: filter preview does not always work.

3D Viewer

  • Save scene as image can exports an animation.
  • Show Faces Number and Show Points Number commands.
  • Scenes list is now displayed only when several scenes are opened.
  • Slides show command has been improved.
  • Close and Open 3D Photo Browser command when the viewer is open from the Windows explorer.
  • Open command allows opening several files.
  • It is now possible to modify material name in the material information dialog box.
  • 3DBrowser for 3DS Max 7 plugin.
  • 3DBrowser for Lightwave 8 plugin.

    Fixes

  • Fix: OpenGL implementation which improved compatibility with particular graphic cards.
  • Fix: crash related to UV and vertexes color reading on particular Lightwave files.
  • Fix: error related to 3DS Max menus when using the plugin for 3DS Max.
  • Fix: 3DS Max is frozen after using the plugin for 3DS Max.

Version 7.6

New features

  • Improved contextual menu
  • Convert files command

Improved features

  • Create AVI command allows to merge severals AVI files into a single file.
  • Advanced search feature on the help file

3D viewer

  • Patch support
  • Convert To Patch and Convert To Polygonal Object commands (3DBrowser for 3D Users only)
  • Texture speed has been increased when reading JPEG textures in low texture resolution mode.

Others

  • 3DBrowser Light Edition now allows using all commands as long as a trial period exists for 3DBrowser Image Edition or 3DBrowser for 3D Users.
  • Application size has been reduced

Fix

  • Fix: small icons are displayed in thumbnails display mode for unrecognized files.

Version 7.51
Improvements

  • New : SWF file support (thumbnails and playing in the viewer)
  • New : HTML file support improved (this is now possible to convert an HTML page to a bitmap file)
  • New : Enlarge images to fullscreen if needed option in the slideshow dialog box
  • New: F2 calls directly the Rename files dialog box if several files are selected
  • New: Shift+Mouse wheel shortcut changes the filter options
  • New: Show Options Dialog command (2D viewer)
  • Nouveau: information dialog when switching to full screen mode

Fix

  • Fix: some EXIF information are incorrectly readed
  • Fix: EXIF information lost when modifying and saving an image
  • Fix: summary information is not correctly written on NTFS partition (summary information are accessible using the file properties command from the Windows explorer)
  • Fix: Save and Save as features were removed in the 2D viewer (3DBrowser Light Edition)
  • Fix: can't remove a directory from the explorer tree
  • Fix: can't copy and paste a directory from the explorer tree
  • Fix: JPEG compression rate not taken into account (batch command, twain import, send email, screen capture...)
  • Fix: albums are not synchronized with catalogues
  • Fix: capture an image screen on a second monitor fails
  • Fix: crop dialog box parameters are invalid
  • Fix: sometimes template settings are lost (Catalogue printing)
  • Fix: background image offset in the footnote area (Catalogue printing)
  • Fix: application are not removed from the Windows explorer Open With menu (Preferences, Open With Application)
  • Fix: resize settings are modified when closing it, when using it in a batch command
  • Fix: some dialogs are not correctly centered when using several monitors
  • Fix: the move tool shorcut (Space key) does not work in the 2D viewer (P is the new shortcut to play a video)
  • Fix: opening several files with Internet Explorer fails (Open With, Open With Application)
  • Fix: status bar help not always displayed
  • Fix: contextual help is invalid when pressing F1 in a dialog box (Screen Capture, Print Catalogue)

Version 7.5

News features

  • It's now possible to define a network repository for catalogues, used when searching for files through an enterprise network
  • It's now possible to define a paths list to use when searching for files
  • Group display which allows to logically group files together
  • Group by page display mode which groups files depending on the last print template used
  • Windows files association allows to open files with 3DBrowser from the Windows Explorer
  • New sort modes: sort by author and by category
  • New columns: author and category columns
  • Windows XP themes are not supported when displaying dialogs

Tools improvements

  • Print Catalogue has a new ergonomy and improved features (background images can be integrated to templates, double sided printing...)

2D Viewer

  • Videos or animated GIFs can be played in the viewer
  • Possibility to open several images in the same viewer
  • A list clearly displays images which are opened in the viewer and their layers
  • This list also display thumbnails from video file or animated GIF
  • Image extraction from video file or animated GIF
  • It's now possible to select the thumbnail to use for displaying a video file in the 3DBrowser main window
  • Images files can be drag & dropped in the viewer
  • Zoom in/out is now centered on the mouse position

3D Viewer

  • Improved Lightwave import/export. Vertexs colors are now supported.
  • Improved exchange plugin with 3DS Max
  • Improved stability when reading/writing 3D files
  • Possibility to open several scenes in the same viewer
  • A list clearly displays scenes which are opened in the viewer
  • Scenes files can be drag & dropped in the viewer

Polygon Cruncher pour 3DBrowser

  • Fix: Save as command

Others

  • Fix: sort by 3D objects type, by materials, by faces and points number has been corrected
  • Fix: Saving images in TIFF format
  • Fix: crash when opening the album contextual menu
  • Minimize 3DBrowser in Systray has been improved
  • Keywords and categories are now saved in a separate keywords.prefs preference file

Version 7.03

3DBrowser Standard

The standard release has changed. It contains all the Pro feature (batch command, screen capture, print catalogue...) but does not allow anymore to view or open 3D files. This version is now dedicated to digital camera users, or graphic designer.

New features

  • Preferences are now saved for every users.
  • Préférences: it's now possible to minimize 3DBrowser in the systray.
  • Always visible mode for 3DBrowser main window
  • New options are available when right clicking on the 3DBrowser icon (task bar or systray).
  • Activate Custom Sort Automatically which allows to choose the default sort order mode or an existing custom order when opening a directory.
  • Number of images setting has been added to Create Avi File... command

2D Viewer

  • Crop command has now a dialog, which can be opened by pressing on the O key.
  • Crop command is now scriptable, and can be included in a batch command.
  • 2 new modes are available for the Resize command, when it's included in a batch command.

3D Viewer

  • Low resolution textures setting allows to specify the maximum image size to use.
  • Enable vertexs colors is now more accessible and has been included in the toolbar. It's also possible to display simultaneously textures and vertexs colors.

Others

  • Fix: registering the application when user have limited rights.
  • Fix: windows position when using several monitors.
  • Fix: information import/export when a field contains carriage return.
  • Fix: categories are lost when selecting several files.
  • Fix: genres are lost when selecting several MP3 files.

Version 7.02

Features improvements

  • Shortcuts to images, scenes or audio files are now displayed and can be used in most of features.

Viewer 2D

  • Lock zoom feature added
  • Constraint ratio when zooming

Viewer 3D

  • Truespace export
  • VRML 1.0 import / export
  • 3DS Max now export UV channel (using the plugin for 3DS Max)
  • Lighting improvement
  • Texturing display improvement
  • Reading texture for Wavefront OBJ

Others

  • Fix: catalogue not always saved, making unrequired update when reopening it.
  • Fix: search in CD-Rom catalogue, when CD is not inserted in the driver.
  • Fix: Polygon Cruncher: sometimes there can be a long delay between the moment when the optimization computation is done and the moment when the optimization slider is displayed.
  • Fix: Lightwave export on large model.
  • Fix: error concerning ole32.dll when launching the application on NT4.0
  • Fix: option Use default point of view does not work in the update dialog box (F4).
  • Fix: Show only common extension does not work in dialog box.
  • Fix: normal orientation when importing/exporting Lightwave file.
  • Fix: normal orientation when importing/exporting Wavefront OBJ file.
  • Fix: normal orientation (import/export) for 3DS file.
  • Fix: materials exportation for 3DS file.
  • Fix: 3DS exportation when an object has textures and faces with more than 4 points.
  • Fix: normal orientation when importing/exporting DXF file.

Version 7.0

New features

  • HTML export from your images, 3D scenes or files. Predefined HTML templates library and possibility to edit your own HTML templates.
  • Information and keyword panels to quickly edit files information.
  • Properties panel for a fast access to files properties.
  • Search for files panel to create albums from search criteria. Search results can be updated at any time when needed.
  • Read and save information from the Properties/Summary dialog (Windows explorer) when your files are on a NTFS partition.
  • MP3 information edition (album, title...)
  • Export/import information, keywords and properties to/from a database.
  • Album creation. An album contains references to files located in different directories.
  • 3DBrowser specifics folders in the My computer tree to have a fast access to your albums, search results and CD-Rom catalogues.
  • Contextual help. Press F1 opens the help file at the right heading.
  • Files attributes modification (read-only, hidden attributes) and possibility to update the creation and last modified date from the file properties panel.
  • Light Edition version: advertisements have been removed.
  • Light Edition version: Polygon Cruncher for 3DBrowser is available from the Light Edition version.

Features improvements

  • Rename automatically associated files when renaming a file.
  • Copy/move/delete automatically associated files.
  • Automatically add the extension when you rename a file and when the new name does not contains an extension.
  • The Custom filter mode now accepts wildcards (i.e. l*.gif displays gif files that begin with the l character).
  • Slide show feature allows text edition for displaying information during the screening. It also plays associated audio files.
  • Lowercase / uppercase name has been improved and can only modify file extension if needed.
  • Rename files can add lowercase extension when needed.
  • Application and viewers open faster using pre-calculated information.

Image files support

  • JPEG compression ratio is retrieve for an optimal used of the JPEG file format.
  • Keep profiles during data processing (icc, iptc, exif information) for JPEG, TIFF, PSD... files formats.

Viewer 3D

  • Polygon Cruncher V6.0

Display

  • New toolbar arrangement.
  • New icons.

Others

  • Improvement: popup menus for Previous and next directory and Batch processing features.
  • Modification: Ask for update and do not update catalogues mode have been removed from the preferences.
  • Fix: keyboard shortcuts fails sometime in the main window.
  • Fix: latent period after renaming a file.
  • Fix: text might be incorrectly displayed in Custom display mode.
  • Fix: Rotate to horizontal/vertical. Options accessible pressing O key are now taken into account.
  • Fix: Audio files update is done only once time.
  • Fix: crashes on some IFF files
  • Fix: non recognized Lightwave files (for examples, files which contains a procedural texture, which type is value)
  • Fix: index bounds checking for Truespace file format. Faces are no more created twice.
  • Fix: Wavefront import supports files which have negatives faces index values.
  • Improvement: texture reading improved in 3D viewer

Version 6.1

New features

  • Screen capture
  • Animated GIF creation feature

Others

  • Fix: fast access toolbar display
  • Fix: last tool is now correclty restored in the viewers
  • Fix: random crash on very large directory
  • Fix: keywords edition does not work when several files are selected
  • Fix: crash when creating AVI with specific CODEC
  • Fix: crash on some Lighwave files
  • Improvement: Create AVI feature now handles the current selection and the order of images.

Version 6.0

New features

  • Extra large thumbnail mode.
  • Custom display mode.
  • Customizable files filter feature.
  • Tooltip customization features.
  • Thumbnails zoom features in the main window (Larger / Smaller thumbnails function). Large icons display mode is now obsolete and has been removed.
  • Audio files support (mp3, wav, mid...)

Features improvement

  • Print contact sheet allows the use of rich text format.
  • New way of working for the fast access toolbar. It gives access to 25 applications and it is displayed only when needed.
  • Properties... dialog box improvement. It's now possible to change the current edited file for a quick edition. Thumbnail and information about each files is displayed when several files are selected.
  • New tags: conditionals tags, tag Kind of file, tag Name without extension... (tags are used in print contact sheet, custom display text, and tooltip text in preferences).
  • Tags organization improved.

Files support

  • Better reading and writing for Lightwave format (now support UV mapping for both reading and writing).
  • UV maps are now exported for 3D Studio and Lightwave file format.
  • Better reading for images (in release 5.51 some images were not displayed, particularly when they didn't match exactly format specifications).
  • Wavefront file (.obj) format is now supported.
  • JPEG files preview is three times faster.

Display

  • Improved presentation for the thumbnails window
  • Customizable display for the thumbnails window (background images, texts color, opacity settings...).
  • Better legibility for Tips of the day window.
  • Full screen new feature (for the main window).
  • Hide navigation pane new feature (Split feature has been removed)

2D viewer

  • Delete file new feature.
  • Rename file new feature.
  • Canvas size new feature.

3D viewer

  • Delete file new feature.
  • Rename file new feature.
  • Enable texturing feature.
  • Polygon Cruncher icon access.
  • New preferences setting: Activate accumulation buffer

Others

  • Memory requirements for viewing a directory has been divided by 2.
  • Left pane width is now restored when you run 3DBrowser.
  • Filter mode, sort mode and selection information are now displayed in status bar.
  • Favorites can be created by drag & dropping directories on the favorites window.
  • Drag & drop support improved (it's now possible to drop email attached files to the 3DBrowser window)
  • Fix: Polygon Cruncher for 3DBrowser crashes when scene has an hierarchy or patches
  • Fix: 3D viewer might crashes on some graphics cards in wireframe mode
  • Fix: Toolbar command (Window menu).
  • Fix: A custom sort mode is sometime created when dropping files in an external application.
  • Fix: thumbnails window scrollbar position is reinitialized when the directory content is externally modified.
  • Fix: bad directory for saving images in Twain Importation.
  • Fix: * joker in Rename files.
  • Fix: AVI file creation in Create AVI file.
  • Fix: access to directory which contains obsolete .obv file.

Version 5.51

New features

  • New catalogue printing tool (replace the old printing module)
  • Batch command processing which allows images or 3D scenes files format conversions or modifications
  • Send email features which include a resize and image format conversion feature
  • WIA images importation which allows to get images from a digital camera or a scanner (Windows ME/XP)
  • TWAIN importation to retrieve images from a TWAIN device (scanner...)
  • Custom thumbnails sort order
  • Split/merge file feature
  • New features in 2D and 3D viewers (Polygon Cruncher, print feature...)

Thumbnails and catalogues management improvement

  • Fast catalogue reading
  • Fast catalogue update when copying files from one directory to another one
  • Information are kept (author, comments...) when you move or copy files from one directory to another one
  • New management for viewer windows, which allows to open several viewers with automatic windows recycling if necessary
  • Picture-taking date sort
  • Now possible to view all files in thumbnails mode (recognized and unrecognized files)
  • EXIF information (issued from digitals cameras) are now read and write
  • Search feature improvement
  • Better reactivity when changing current directory during a catalogue update
  • Select language feature under Windows NT/XP
  • HTML, MPEG file preview
  • Bug correction when opening catalogue on a CDRom
  • JPEG Lossless features improvement (additional information such EXIF are kept)
  • Memory needs reduce
  • Faster viewers openings

Shell integration

  • Now possible to open files in external application using mouse with Shift and Control keys
  • 3DBrowser fast access has been added in the task bar

Interface

  • Tools menu new organization
  • New menu presentation which includes functions icons

3D Viewer

  • Polygon Cruncher is now included to the viewer (need a specific license)
  • Print scene feature
  • Save scene as an image feature
  • Scene hierachy is now supported
  • Texture are now displayed by default
  • ESC key now cancel full screen mode
  • Menu access using right mouse click
  • New formats are supported :
    • UV support for 3DS and Truespace formats
    • Lightwave importation improved, Lightwave export is now supported
    • Cinéma 4D, DXF are now supported (read/write)
    • 3DS export
    • 3DS Max 5.x support

2D viewer

  • Print image feature
  • JPEG Lossless improved (only applied when you want it)
  • Ask for save dialog box when image has been modified
  • ESC key now cancel full screen mode

Others

  • Registration improved and now integrated to the application
  • Current sort mode is now used to slides show files

Release 5.1

  • Technical support from the software
  • New setup for installing/uninstalling 3DBrowser
  • Uninstall options
  • Bugs corrections

Release 5.0

3DBrowser

File reading

  • A lot of new files formats are supported (JP2, FPX, AVI, PCD, TTF...)
  • Thread independent file update
  • All files can be displayed in the view whatever file type
  • Automatic file update when a change occurs in another application
  • Create folder function
  • Rename function can now rename a folder
  • Large and small icons display mode
  • Progress bar displayed in status bar
  • File number displayed in status bar

File browing

  • Parent folder function
  • Folder history (next / previous folders list)
  • Sort files function
  • Automatic update of folders tree when a change occurs in another application
  • Folders Drag & drop
  • New icons in toolbar (View mode, File filter...)
  • Show columns menu
  • "Window navigation" function
  • More information are displayed in tooltip when you move the mouse above a thumbnail

Shell integration

  • "Open" function which runs application associated to the selected file type
  • "Open with..." function which displays all applications associated to the selected file type
  • Hot keys to open application which have a 3DBrowser fast access
  • Fast access parameters and working directory can be defined
  • Automatic recall of an application when it was opened with a fast access
  • 3DBrowser activation/deactivation hot key

3DBrowser plugins

  • JPEG Lossless support : "Rotate 90°", "Rotate -90°", "Horizontal flip", "Vertical flip", "Others modification" plugins
  • Create an AVI plugin
  • Uppercase/lowercase file name plugin
  • "Rename file" plugin

Interface

  • New buttons for resizing My computer and Favorites windows
  • Toolbars in My computer and Favorites windows
  • Space between thumbnails has been reduced
  • 3DBrowser splash screen window

2D viewer

2D viewer is completely new. It's now possible to edit your image in the 2D viewer. Features of the previous release have been kept.

3D viewer

3D viewer is completely new, tools are now more accessible (menu, shortcuts...). Features of the previous release have been kept.

Release 4.0

  • 3DS Max 4.x is now supported
  • Lightwave 6 parser improved
  • Delete/Copy/Move files operations on 3DBrowser explorer
  • Directory content modification notification

Here is the list of 3DBrowser 4.0.3 new features/improvment:

New files formats support

  • Read new 2D files formats: ico (windows icons), cur & ani (windows cursors)
  • Read RLE bmp

Here is the list of 3DBrowser 4.0 new features/improvment:

New files formats support

  • Read new 2D files formats: psd, iff, gif et tga parse improvment (256 colors mode)
  • Fast files reading (memory read)
  • 2D file conversion new feature. Following formats are supported: tiff, jpeg, tga, bmp...
  • Conversion and exportation of Lightwave, Amapi, Truespace files to 3DS Max
  • Lightwave 6 file format now supported
  • Lightwave 5 multi layered files now supported

3DBrowser shell integration

  • Add an Open with 3DBrowser menu in the Windows explorer
  • Fast application access new features. Open files in 3DBrowser with the application you want.
  • Files rename function

3DBrowser catalogues

  • Local path support which allows to move/rename directories which contains 3DBrowser catalogues (ie: in order to record catalogues on a CD-ROM)
  • Possibility to record catalogues in each directory which contains recognized files or in the 3DBrowser catalogues directory
  • Smaller catalogues size
  • Possibility to only record 2D or 3D thumbnails in the catalogue
  • Fast catalogues display

Favorites

  • Automatic favorite creation improved (automatically sorted using the short directory name, the hard disk and files type contained by the directory)
  • Favorites menu simplification

Viewers

  • Possibility to use a single viewer to display files
  • Possibility to switch from a thumbnail to another one from the viewers
  • Full screen mode
  • Better viewer positioning in independant mode
  • Viewer are now open by a single click on the thumbnail
  • 3D Viewer:
    • Performances improvment (scene is now organized by objects)
    • Complete preferences
    • Textures display
    • New toolbar
    • Selection menu in the Materials and Objects list

Others

  • New slide show feature which allows the files contained in your favorites folders to be displayed
  • Scan computer feature improved (files search can be done in directory and it's sub directory)
  • Search results window improved (it's now possible to open a viewer on a find file from this window)
  • Explorer window improved (better network support)
  • New current directory edit box in the main window
  • Filter which allows all files, 2D files or 3D files only to be displayed
  • Tip of the day feature
  • Less restricting demo mode
  • Adaptation of the 3DBrowser plugin for Lightwave 6.0
  • New features to buy, register, or get technical support
  • Icons improvment (better lisibility)
  • New 3DBrowser preferences
  • New help file using the new Windows help system

Release 3.0

  • New recognized 3D file format: Truespace, Amapi.
  • 2D files format are know recognized: tga, bmp, tiff, jpef, rla, dei, pic, zpic
  • Improved OpenGL viewer:
    • New rotation controler.
    • OpenGL preferences (wireframe color, semi-transparent mode...)
    • Improved performances.
  • New 2D viewer:
    • "Zoom" tool, "Move" tool …
    • Layers image display feature
  • New favorites:
    • It's now possible to have several favorite directory level.
    • It's now possible to rename favorites.
  • New icons.
  • 3DS Max 3.0 plugin support.

Release 2.0

  • New OpenGL viewer:
    • Smooth view.
    • User defined smooth angle settings.
    • Smooth & Wireframe view.
    • Flat & Wireframe view.
    • Pan, zoom and rotation tool bar.
    • Objects informations.
    • Materials informations.
    • Show/Hide features on objets and materials.
    • 3DS Max file support
  • 3DBrowser plugin for 3DS Max.
  • Improved 3DBrowser plugin for Lightwave:
    • Drag and drop.
    • Launch 3DBrowser from Lightwave.
    • Load/Save feature synchronized with 3DBrowser.
  • New triangulation algorithm for better objects display in OpenGL.
  • Objects and favorites are now name sorted.
  • Tab key swap between favorites and explorer.
  • Ctrl+Tab key minimize 3DBrowser.
  • Small tool bar icons preferences setting.


Files formats recognized by 3DBrowser

Here is the list of the 2D, 3D and audio files formats recognized by 3DBrowser.
3DBrowser can also converts file from one format to another one. Conversions can be done from 2D and 3D viewers or using the batch command.
3DBrowser also recognized all files for which Windows has the capability to create a thumbnail (as you can see it in the Windows file explorer thumbnails mode).

2D files

3DBrowser 3DBrowser / 3DBrowser Pro can read/write followings 2D files formats.

Extension | Description | Notes
AI | Adobe Illustrator CS2 | Read/Write through Ghostscript
ANI | Windows animated cursor file |
ARW | Sony raw image format | Read only
AVI | Audio/Video Interleave image file |
AVS | AVS X image file |
BMP | Microsoft Windows bitmap image file |
BAY | Casio raw image format | Read only
CGM | Computer Graphics Metafile |
CMYK | Raw cyan, magenta, yellow, and black samples |
CUR | Windows cursor file |
CRW, CR2 | Canon raw image format | Read only
CLIP | MIFF clip mask | Read only
CMYK, CMYKA | CMYK and CMYKA raw image format | Read only
DCM | Digital Imaging and Communications in Medicine image file format | Read only
DCX | ZSoft IBM PC multi-page Paintbrush file |
DCR, KDC | Kodak raw image format | Read only
DEI | Defocus Dei ZBuffer file | Read only
DIB | Microsoft Windows bitmap image file |
DNG | Adobe Digital Negative raw image format | Read only
DPX | Digital Moving Picture Exchange |
EPI, EPS, EPSF | Encapsulated PostScript Interchange format | Read / Write through Ghostscript
PS2, PS3, EPS2, EPS3 | Level II/III Encapsulated PostScript file | Write only through Ghostscript
EPT, EPT2, EPT3 | Encapsulated PostScript Level I/II/III Interchange format with TIFF preview | Read / Write through Ghostscript
ERF | Epson raw image format | Read only
EXR | High Dynamic-range (HDR) |
FAX | Group 3 |
FITS | Flexible Image Transport System |
FPX | FlashPix Format | Read only
GIF | CompuServe graphics interchange format | Animated Gif is also supported (read/write)
GIF87 | CompuServe graphics interchange format |
GRAY | Raw gray samples | Write only
HDF | Hierarchical Data Format |
HDRI | High Dynamic Range Image | Read only
HTML | Hyper-Text Markup Language | Read only (as thumbnail and as 800x600 bitmap)
ICO | Microsoft icon | Read only
IFF | Interlaced File Format |
JBIG | Joint Bi-level Image experts Group file interchange format |
JP2 | JPEG-2000 JP2 File Format Syntax |
JPC | JPEG-2000 Code Stream Syntax |
JPEG | Joint Photographic Experts Group JFIF format |
MNG | Multiple-image Network Graphics |
MPEG | Motion Picture Experts Group file interchange format | Read a single image
M2V | Motion Picture Experts Group file interchange format (version 2) | Read only
MRW | Minolta raw image format | Read only
MTV | MTV Raytracing image format |
NEF | Nikon raw image format | Read only
ORF | Olympus raw image format | Read only
OTB | On-the-air Bitmap |
PBM | Portable bitmap format (black and white) |
PCD | Photo CD |
PCDS | Photo CD |
PCX | ZSoft IBM PC Paintbrush file |
PDF, EPDF, PDFA | Portable Document Format | Read / Write through Ghostscript
PEF | Pentax raw image format | Read only
PGM | Portable graymap format (gray scale) |
PIC | Pic Softimage file | Read only
PICT | Apple Macintosh QuickDraw/PICT file |
PIX | Alias/Wavefront RLE image format | Read only
PNG | Portable Network Graphics |
PNM | Portable anymap |
PPM | Portable pixmap format (color) |
PS | Encapsulated PostScript file | Read / Write
PSD | Adobe Photoshop bitmap file | Read only
PS2 | Adobe Level II PostScript file |
PTIF | Pyramid encoded TIFF |
PWP | Seattle File Works multi-image file |
P7 | Xv's visual schnauzer format |
RAF | Fuji raw image format | Read only
RAW | Panasonic, Casio, Leica raw image format | Read only
RGB | Raw red, green, and blue samples | Write only
RGBA | Raw red, green, blue, and matte samples | Write only
RLA/RLF | Alias/Wavefront image file | Read only
RLE | Utah Run length encoded image file | Read only
SCT | Scitex Continuous Tone Picture image file |
SGI | Irix RGB image file |
SUN | SUN Rasterfile |
SRF | Sony raw image format | Read only
SVG | Scalable vector graphics format | Lecture seule
SWF | Shockwave Flash | Read only (thumbnail and play)
TGA | Truevision Targa image file |
TIFF | Tagged Image File Format |
TIM | PSX TIM file | Read only
TTF | TrueType font file |
UYVY | Interleaved YUV | Write only
VICAR | VICAR raster file | Read only
VIFF | Khoros Visualization image file |
X3F | Sigma raw image format | Read only
WBMP | Wireless bitmap image file | support for uncompressed monochrome only
WMF | Windows meta file | Read only through Ghostscript
WPG | Word Perfect Graphic |
XPM | X Windows system pixmap file (color) |
YUV | CCIR 601 4:1:1 file | Write only
ZPIC | ZPIC Softimage file | Read only

3D files

3DBrowser 3DBrowser / 3DBrowser Pro can read/write followings 3D files formats.

Extension | Description | Notes
3DS | 3D Studio file | Read/write UV support (read/write)
A3D | Amapi file | Read only
COB, SCN | Truespace object | Read/write UV support (read/write)
C4D | Cinéma 4D | Read/write/update
DAE | Collada | Read / Write / Update
DXF | DXF | Read/write
IV | Open inventor files | Read
FBX | Autodesk FBX | Read / Write / Update
KMZ | Google earth zipped file | Read
LW, LWB, LWM, LWO | Lightwave object | Read/write 5.x / 6.x / 7.x / 8.x file format UV support (read/write) Vertexs colors support (read/write)
LWS | Lightwave scene | Read
LXO | Luxology Modo | Read/Write/Update
MA, MB | Maya scene 8.5/2008/2009/2010/2011/2012/2013/2014/2015... x32 bits and x64 bits | If Maya is not setup: write only. If Maya setup on the computer: Read / Write / Update Maya by dynamic exchange (V7.x, V8.5). UV support (read/write).
MAX | 3DS Max file 9.0/2008/2009/2010/2011/2012/2013/2014/2015... x32 bits and x64 bits | Read / Write / Update Using the plugin 3DBrowser for 3DS Max (available for 3DS Max 3.x / 4.x / 5.x) UV support (read/write) Vertexs colors support (read/write)
OBJ | Wavefront file | Read/write UV support (read/write)
PLY | Polygon File Format | Write binary files.
SKP | Sketchup format | Read/write UV support
STL | Stereolithography | Read ASCII and binary files, Write binary files. VisCam, SolidView, Materialise Magics variants supported.
WRL | VRML file | Read/write VRML 1.0
WRL, WRL97, VRML | VRML 2.0 file | Read/write VRML 2.0 support
X | DirectX | Read/write DirectX 9.0 support UV and vertex colors support (read/write)
XSI | Softimage | Read/write when Autodesk Crosswalk is setup on the computer

Audio files

3DBrowser 3DBrowser / 3DBrowser Pro can read/write followings audio files formats:

Extension | Description | Notes
MP3, WAV, SND, AU, AIF, AIFC, AIFF, WMA | Audio files | Read only Information tag support for MP3 files
MID, RMI, MIDI | Midi files | Read only


Crédits, thanks

Thanks

For involvement in C++ development
Arnaud Gicquel, for his involvement, his good mood and his talents as a developer. He contributes since many years now to the improvement of Mootools software.
Valentin Mourot

For splash screen
 Antoine Gouy
Olivier Jouglet Marcus

For icons drawing
Antoine Gouy
Olivier Jouglet Marcus
Phillipe Venet

For the active involvement in the project
Dominique Jouglet Marcus, my father
Jim Palik from Hewlett-Packard Network Services

For localization
David Thomas (US revision)
Reiner Schug (German translation)

 For testing and ideas
Emma Guilbault
Henry Elophe
Olivier Michon
Yves Monnier
Phillipe Venet

For its support and precious help
Marie Claude Rage

Crédits

Many thanks to NullSoft for the NSIS setup solution.

3DBrowser uses ImageMagick library (http://www.imagemagick.org/) for image reading and writing and for some algorithms.
Many thanks to Image Magick team.

Many thanks to Tadeusz Dracz for its excellent library ZipArchive.

Thanks to Paolo Messina for it's CShellTreeCtrl class.

Thanks to Dave Coffin for dcraw.exe, a wonderful Raw image format decoder.

Thanks to Matthias Wandel for its JHead library which allows exif information modification.

Thanks to L. Peter Deutsch from Aladdin Enterprises for implementation of MD5 Algorithm.

Thanks to ILM for the OpenExr Library.

Thanks to Carlo Baldassi for liblqr, a very good library implementation of seam carving algorithm (by Shai Avidan and Ariel Shamir).

TIFF
Copyright (c) 1988-1997 Sam Leffler
Copyright (c) 1991-1997 Silicon Graphics, Inc.

FPX
This product includes software developed by the contributors and Digital Imaging Group, Inc. (http://www.digitalimaging.org/) for use in the Flashpix Toolkit Project.

JP2
Copyright (c) 1999-2000, Image Power, Inc. and the University of British Columbia, Canada.
Copyright (c) 2001 Michael David Adams. All rights reserved.

ZLIB
(C) 1995-1998 Jean-loup Gailly and Mark Adler

EXR
The Original Code is OpenEXR library from ILM
The Initial Developer of the Original Code is Industrial Light & Magic, a division of Lucas Digital Ltd. LLC . Portions created by Industrial Light & Magic are Copyright © 2002. All Rights Reserved.

Blender: C++11/STL parsing library
Blender library under Creative Commons Zero v1.0 Universal

Tiny glTF
GLTF library library under MIT License (C) 2017 by Syoyo Fujita, Aurélien Chatelain and many contributors

JSON Library
JSON for Modern C++ is licensed under the MIT License Copyright (c) 2013-2018 Niels Lohmann.

Stb_image
public domain image loader ALTERNATIVE A - MIT License Copyright (c) 2017 Sean Barrett


Licensing and purchasing

Licensing

To keep the cost of its software low, 3DBrowser uses a unique serial number validation system on an external server.

3DBrowser assigns each serial number to an individual computer. The serial number is then compared to the 3DBrowser serial number database and validated on an external server before a license key that unlocks the software is provided.

Licensing flexibility

The serial number can be moved between computers on demand. This allows users the flexibility of legally using a single license on as many computers as desired through a system of activation and deactivation.

If a user wants to have licenses installed simultaneously on more that one computer, multiple-computer serial numbers can be purchased at a reduced cost. Each of these multiple-computer serial numbers can be moved between computers in the same way as individual serial numbers.

Buy 3DBrowser / 3DBrowser Pro

Registering will give you the following advantages:

  • To get technical support.
  • To have 3DBrowser upgrades information.
  • To participate actively to 3DBrowser improvement. You need a new feature? Ask me ! I will try, if possible, to include it in the next version.

In order to register 3DBrowser, you can:

  • Select the version you want to register using the Change 3DBrowser version command in the help menu.
  • Select the Buy 3DBrowser command in the help menu.
  • A dialog box offers you 2 ways of registering the software:
    • Software integrated solution:
      Payment is secured and serial number is automatically validated once the procedure achieved.
      Furthermore, you receive an email confirmation for your order, which contains the serial number and payment details.
    • Online registration
      You can also register on our web site http://www.mootools.com/plugins/us (Buy section).
      Payment is secured and, once performed, you receive an email confirmation for your order which, contains the serial number and payment details.

Followings payment methods are possible:

Credit card
(Visa, American Express, Diner club...).
Secure transaction
Check
Wire transfer
Cash

Payment is totally secured. ShareIt! or eSellerate, specialized sharewares resellers, perform it. Whatever the online registration method you choose, you'll receive immediatly a definitive license.

The ? menu gives a quick access to these web pages. You can also enter here the final serial number you've just received.

If you need technical support, send an e-mail at


Serial number entry and activation

Serial number entry

Serial numbers are assigned to a computer and then compared to the serial number database. If the serial number is available, activation unlocks the software on the computer.

If the serial number is not valid or has already been activated on another computer, an error message is returned explaining the problem.

NO PERSONAL INFORMATION IS TRANSMITTED DURING SERIAL NUMBER ACTIVATION

Enter your serial number

When a single serial number or multiple-computer serial number is purchased, it is sent to the purchaser by e-mail.

To enter a serial number:

  1. From the Help menu, select Enter Serial Number
  2. Copy and past the serial number received by e-mail in the Enter Serial Number dialog box

When the OK is clicked, the Activate dialog box is displayed.

Serial number activation

The serial number entered in the computer and unique information that identifies the computer's hard disk is compared to the serial number database using the internet. When the serial number is verified as available, the software is unlocked.

  1. From the Help menu, select Activate.

Activation can be done either online or manually.

Activate online

Activating online is a single-step process.

To activate online:

  1. Open an internet connection
  2. Click Activate online...

When activation is complete, the Deactivate option in the Help menu becomes available.

Note: If the computer is on a network protected by a firewall that prevents outside internet access, or if an open network connection is not available, manual activation is required.

Activate manually

Manual activation creates an internet shortcut to connect to the serial number database. Use this shortcut when either an internet connection is available or the shortcut is put on a computer that has an internet connection.

The shortcut connects to the serial number database to verify the serial number's availability. If the serial number is available, a text file "Activate.txt" is created and should be download. This text file contains the unlock key.

Note: It is important that "Activate.txt" is copied to the computer being activated before clicking Finish.

To activate manually:

Manual activation is a three-step process.

  1. Click Create shortcut
  2. When the Activate shortcut is on a computer with an internet connection, run the shortcut
  3. When the Activate.txt is on the subject computer, click Finish

Note: Running the shortcut assigns the serial number (or an iteration of the serial number) to the subject computer in the serial number database. Clicking Finish unlocks the software on the subject computer.


Serial number deactivation

Serial number deactivation

Serial number deactivation is "removing the assignment" of a serial number from the subject computer to make it available for use on another computer. When the serial number is deactivated, it is not removed from the computer but the software is locked.

NO PERSONAL INFORMATION IS TRANSMITTED DURING SERIAL NUMBER ACTIVATION

To deactivate a serial number:

  1. From the Help menu, select Deactivate

Serial number deactivation can be done either online or manually.

Deactivate online

Deactivating online is a single-step process

To deactivate online:

  1. Open an internet connection
  2. Click Deactivate online...

When deactivation is complete, the Activate option in the Help menu becomes available.

Note: If the computer is on a network protected by a firewall that prevents outside internet access, or if an open network connection is not available, manual deactivation is required.

Deactivate manually

Manual deactivation creates an internet shortcut to connect to the serial number database. Use this shortcut when either an internet connection is available or the shortcut is put on a computer that has an internet connection.

When the shortcut connects to the serial number database it makes the serial number available to be used on another computer.

To deactivate manually:

Manual deactivation is a two step process.

  1. Click Create shortcut
  2. When the Deactivate shortcut is on a computer with an internet connection, run the shortcut

Note: The software is deactivated for the subject computer immediately when the Create Shortcut is clicked even though it has not yet been modified on the serial number database.


Information on clear license advantages

The clear license defines the rights and the warranties you get when you buy one of our products. We wish to clearly define the conditions and the upgrades rate in order to guarantee the evolution of your software.

Why we created the clear license?

At the time of the purchase, the users often have difficulties in knowing the terms of validity and upgrades of their software. We think that you must be confident of your software durability and that your license validity must be guaranteed. This is why we created the clear license, which clearly defines your rights and your guarantees.

What rights and the guarantees the clear license gives me?

> Permanent license

You always have the possibility of upgrading your software, whatever the version you already have. This gives you the followings advantages:

  • You pay the software full fare only once. For example: you have 3DBrowser 1.0, you can get the latest 3DBrowser at the upgrade price.
  • If an upgrade does not interest you, you can wait for a more interesting release. You license always remains valid and you keep the possibility to register another release at the upgrade price.
> Free upgrade for one year

The clear license gives you the right to upgrade for free during the first year of your purchase. For example: you buy 3DBrowser on October 1st, 2003, you can upgrade free of charge until September 30, 2004. In this case, if an upgrade occurs on November 1st, 2003 or on September 1st, 2004, those will be free.

Moreover, if you pay for upgrading your software (which means that you registered it since more than one year), you get again the possibility to upgrade it for nothing for one more year.


License agreement

3DBrowser License Agreement

Please read the following terms and conditions before using this software. Use of this software indicates you accept the terms of this license agreement and warranty.

1. Registered Version

Licenses purchased by the user are clear licenses.

A single registered copy of this software may either be used by a single person who uses the software himself on one or more computers, or installed on a single computer and used by multiple people, but not both.

You may access the registered version of this software through a network, provided that you have obtained individual licenses for the software covering all computers that will run the software from the network. For instance, if six different workstations will access this software on the network, you will need a six-user license, whether they use this software at different times or concurrently.

2. Evaluation and Registration

This is software is not a free software. Subject to the terms below, you are hereby licensed to use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 days evaluation period, registration is required. Registrations are fulfilled by Mootools software. For further information, visit the Mootools Web site at: http://www.mootools.com

3. Distribution

Provided that you are distributing the current non-registered software version you are hereby granted permission to duplicate and distribute the program;

1. Give exact copies of the original software version to anyone without any registration code or cracking software.
2. Distribute this software and documentation in its unmodified form.
3. If you distribute this software and/or documentation with other products (commercial or otherwise) provide prior an email to Mootools at [image]. Tell us that you are distributing this software and, if the software is being distributed with other media or software. Mootools prior written approval is required. There is no charge for this.

4. Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which this software may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing practice dictates that any new program should be thoroughly tested by the user with non-critical data before relying on it. The user must assume the entire risk of using the program. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.


Contacts, technical support

Thanks to contact us at

  • If you need commercial information (on 3DBrowser registration or if you want to include 3DBrowser on a magazine cover CD or a book...)
    If you have any ideas on 3DBrowser improvement.
    If you need any information concerning your registration (serial number loss, upgrade...)

  • If you need technical support.
    If you want to report a bug.

Look also the download section of our web site to get the last release of your software.


Creating catalogues

What is a catalogue ?

Catalogue concept is the heart of 3DBrowser.
3DBrowser creates a catalogue when you open a directory which contains files which format is recognized by 3DBrowser. A catalogue is a file containing a thumbnail and an identification sheet for each recognized files. This sheet contains various information: a file preview (icon), a legend, author information, keywords...
When an object file changes (objects modifications, file deletion...), the associated sheet is automatically updated by 3DBrowser. It means that the preview is recomputed and that the others information are updated (such image size, number of faces and points, objects materials...).
3DBrowser creates one catalogue per directory. It's an hidden file. A catalogue is created only if the directory contains recognized files. In some cases, it can be annoying to save catalogues in your hard disk directories. 3DBrowser preferences allows you to choose different saving catalogue options.

Opening a catalogue
Version: 3DBrowser / 3DBrowser Pro
menu access: File
toolbar access
Automatic when you open a directory with 3DBrowser explorer

When you select a directory in the 3DBrowser explorer, it's catalogue is automatically opened. If the catalogue doesn't exist, 3DBrowser creates it (only when the directory contains recognized files and if preferences settings enables it).
You can also open manually a catalogue using Open function from file menu. 3DBrowser catalogues are files which extension is *.obv.

Saving a catalogue
Version: 3DBrowser / 3DBrowser Pro
menu access: File
toolbar access

3DBrowser saves automatically a catalogue when it's content is modified. You don't have to care about catalogue saving.
However, you can save a catalogue in the directory you want, using "Save as" function from file menu..

Read only catalogue
Version: 3DBrowser / 3DBrowser Pro

By setting catalogue file attribute to read only, you will prevent 3DBrowser to update or modify it's content.
This can be useful to give catalogues to somebody without giving the files. 3DBrowser can display catalogues contents even if the files are missing.
See status bar icons meanings to know when a catalogue has the read only attribute.

Making catalogue for files which are on CD-ROM
Version: 3DBrowser / 3DBrowser Pro

3DBrowser can create catalogues for files which are on a read only media (i.e. CD-ROM). Browse the CD-Rom folders or use the Scanning a directory and create catalogues command. Catalogues are save in the CD-Rom catalogues, which is in the 3DBrowser directory. Once created, you can browse a CD-Rom catalogue even if the CD is not in your driver.

You have a direct access to these catalogues in the My Computer window, using the CD-Rom catalogues folder.

Changing display mode
Version: 3DBrowser / 3DBrowser Pro
menu access: View / View
toolbar access

There is four different mode for viewing a folder content. File filter settings also modifies the file list displayed in the view. By default, all files of the current folder are visibles.
You can customize the display of the thumbnails window, using the preferences dialog box. For example, you can change tooltips, modify colors, use a background image...

  • List
    this mode displays textual information as file name, number of points and faces, legend... Thumbnails are not shown. Columns menu displays/hides column. Click on a header to sort list depending on the column information.
  • Custom
    this mode displays thumbnails and information about files. Using tags, you have a control on the information you want to display. You can display file size, file extension, the title or the legend you edit in the Properties ... dialog box. Moreover, using conditionals tags, you can display different information depending on the file type. You can display the image size, or picture-taking date for an image file, and the points and faces number for a 3D file.
  • Thumbnails
    this mode displays thumbnails (image or 3D scene preview) for the current directory and the name of the files. You can also increase or reduce the thumbnails size to show more or less files on the screen.
  • Small icons
    this mode displays files using small icons. Icon associated to the file type is displayed.

Increase or decrease the thumbnails size
Version: 3DBrowser / 3DBrowser Pro
menu access: View / View
keyboard access: Ctrl++ / Ctrl+- (numeric pad)
mouse access: Ctrl+mouse wheel

Large thumbnails and Smaller thumbnails functions allow to increase or decrease the thumbnails size and the number of files display on the screen. Display mode automatically switches to Thumbnails mode if you are not already in this mode.

Filtering displayed files
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Filter
keyboard access: Ctrl+0 / Ctrl+1 / Ctrl+2 / Ctrl+3 / Ctrl+4
mouse access: Shift+mouse wheel

You may want to display all files, recognized files, 2D files or 3D files, or only the files you want. In order to filter displayed files, select the mode you want:

  • View all files
  • View recognized files
  • View 2D files only
  • View 3D files only
  • Custom filter
    only the files that match the extensions set defined with the Edit custom filter command are or are not displayed.

Editing Custom Filter
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Filter
keyboard access: Ctrl+5

This dialog box allows to edit extensions sets for filtering the files you want to display or not, using the Custom filter mode.

Edit control Enter a set of extensions used for filtering files.
Extensions are separated by space and can contain wildcards.
ex : *.jpg a*.gif ???1.png
Display only the files which have these extensions

Hide files which have these extensions

Check one of the following filtering mode for the currently edited extensions set:

  • Display only the files which have these extensions option displays only the files, which extensions match one of the extensions of the edit control.
  • Hide files which have these extensions option does not display the files, which extensions match one of the extensions of the edit control. All others files are displayed.
Replace Replaces the extensions set, which is selected in the extensions sets list, by the edited extensions set.
Add

Adds the edited extensions set to the extensions sets list.
Delete

Deletes the extensions set, which is selected in the extensions sets list.
Extensions sets list

This list displays the extensions sets you often used to filter your files. You can add, delete or replace an extensions set using the Add, Delete or Replace button.
You can also double click on an extensions set in order to use it for filtering files.

Sort files in the view
Version: 3DBrowser / 3DBrowser Pro
menu access : View / Arrange icons
toolbar access

You can sort files depending on file name, modified date, size... Select one of the options in the menu to change the order of the files in the view.
Several modes, ie. sort based on image size, are usefuls only with some kind of file type.
Sorting by taking-picture date is only effective for images which have this information (ie. images from a digital camera), others files are sorted by name.

Creating and displaying a custom sort order
Version: 3DBrowser / 3DBrowser Pro
menu access : View / Arrange icons
toolbar access

This sort mode can be activated only if you create a custom sort order for the current directory. Custom sort allows you to organize your files in the order you want, whatever their names, dates or others information.

To create a custom sort, drag one or more thumbnails and drop them at the location you want, between another thumbnails. An insertion mark is displayed, so you see where your thumbnails are inserted.
Custom order is kept for every folder.

Check Activate custom order automatically to restore an existing custom order when opening a directory. If this option is not checked, the default sort order mode is always used, even if a custom order exists for the opened folder.

Custom order is also kept when you move or copy files from a directory to another one.

Deleting a custom order
Version: 3DBrowser / 3DBrowser Pro
menu access : View / Arrange icons
toolbar access

Click on Delete custom order to delete the current directory custom order.
3DBrowser asks you to replace an existing custom order, if you organize your thumbnails using drap and drop, not in the custom sort mode.

Group files
version: 3DBrowser / 3DBrowser Pro (Windows XP only)
menu access : View / Arrange icons
keyboard access: Ctrl+G
toolbar access

This display mode groups files logically, according to the current sorting mode. An horizontal line separates each group. For example, files are grouped by size (very small, small medium and big) when files are sorted by size. Files are grouped by date (last year, last week, yesterday, tomorrow...) when files are sorted by date.

The display mode makes browsing large folders easier.

Group files by pages
version: 3DBrowser / 3DBrowser Pro (Windows XP only)
menu access : View / Arrange icons
toolbar access

This display mode is related to the last selected template using the Print Catalogue... command. Files are grouped by pages, according to the number of cells printed on each page set in the template. An horizontal line separates each page. This display mode is useful when you print a catalogue which contains a large number of pages.

 Selecting columns to display in list mode
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Show columns

In list mode, files are displayed using columns are displayed when display mode is set to list. Several information can be displayed using columns such modified date, size, author... Select the columns you want to add/remove in the Show columns menu.

Note: click on the header of a given column to perform an increasing/decreasing sort.

Updating catalogue
Version: 3DBrowser / 3DBrowser Pro
menu access: Edition / update catalogue
keyboard access : Ctrl+U
contextual menu access: right click

A dialog box opens when you select this function. Several options are available:

  • Recompute thumbnails
    This mode updates the catalogue. Files which have been added, modified or deleted, are updated. Information links to the files are kept. Specific 3D object point of view are kept, even when the files were modified.
    Note: this operation is performed automatically, when you open a catalogue.
  • Reset all information attached to the objects
    This mode deletes all information attached to the files. All information are lost. Preview are recomputed using the default point of view for 3D objects files.
  • Reset user view bitmap to default view if needed
    This mode recomputes objects preview (for 3D object files), using the default point of view. You lose all specific point of view attached to your 3D objects.
    To get more information about user point of view, refer to Changing the default point of view used for thumbnails creation section.


Using explorer and files with 3DBrowser

3DBrowser My Computer window is similar to Windows explorer. You can switch from one window to the others, using the tab key.

Generalities

Display My Computer window
Version: 3DBrowser / 3DBrowser Pro
menu access: Affichage / Affichage du poste de travail
keuboard access: F6

Use one of the specified accesses to display the My Computer window. The tree has specific folders, which is particular to 3DBrowser. These folders give a quick access to albums, search results, CD-Rom catalogues, or files catalogues (if you choose to store your catalogues on a same directory through the preferences).

Delete selection
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Suppr

This function deletes the selected item in the active window. If active window is:

  • My computer window, selected directory and sub directories are deleted.
  • files view window, selected files are deleted.
  • Favorites window, favorites and/or favorites folders are deleted.

Deleted items (files, folders..) are moved to the recycled bin.

Rename
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: F2

This function renames the selected item in the active window. If active window is:

  • My computer window, selected directory is renamed.
  • files view window, selected file is renamed.
  • Favorites window, selected favorite and/or favorites folder is renamed.

RenameFiles
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Ctrl+F2

This tool renames a group of files according to a numbered series.
For more information, look at the Rename files page.

Folders

Open a folder
Version: 3DBrowser / 3DBrowser Pro

To open a file and view its content:

  • Select the folder to open in the My computer window or
  • Enter the path in the edit box of the main toolbar.

Parent Folder
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
toolbar access: 'My computer'
keyboard access: Backspace

This function opens the parent folder of the current folder.

Folders history
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Previous folder, Next folder
toolbar access: 'My computer'
keyboard access: Ctrl+Left arrow, Ctrl+Right arrow

Each time you open a folder, its path is added to the folders history. So, history contains path to the folder you recently browsed. It contains a previous folder and a next folder list.

To open a recently browsed folder :

  • Click on the left arrow icon which is in the My computer toolbar to go back to the previous folder.
  • Open the menu to display the previously browsed folders list. Select the one you want to open.

The next folder list works in the same way. This list is activated only if you open a folder, using the previous folder list.

New Folder
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
toolbar access: 'My computer'
keyboard access: Ctrl+N

This function creates a new folder in the active window. If active window is:

  • The files window or the My computer window, a new folder is created in the current folder.
  • The Favorites window, a new favorites folder is created.

Moving a folder to another folder
Version: 3DBrowser / 3DBrowser Pro

To move a folder from the current directory to another directory:

  • Select the folder to move in the My computer window.
  • Drag & drop the folder in the folder you want.
  • Press Control key if you need to make a copy of the folder

Files

Viewing one or more files with 3DBrowser
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Open
contextual menu access: righ click on a thumbnail
keyboard access: Enter key
mouse access: double click on a thumbnail

To view an image, a video or a 3D file:

  • Double click on the file you want to view, or
  • Select the file you want to view and press Enter key. Press again Enter to close the viewer.

You can select several files. In this case, files are opened in a single window. Use the image list or the scene list to navigate from one file to the other.

Notes:

If the file is not recognized by 3DBrowser, the application associated to the file type is opened.
You can open several windows if you select several files. In order to reduce the number of windows on screen, windows are automatically closed when you open new files. If you don't want to recycle automatically windows, look at Do not recycle viewers windows.

  • If Do not recycle windows setting is checked, files are opened in separate windows. By default, this option is unchecked: windows are automatically closed in order to reduce the number of windows on the screen.
  • If the file format is not recognized by 3DBrowser, a dialog asks you to select an application, which can handles the file.
  • By default, 3D Photo Browser opens files using the internal viewer. You can open files with another application, using the Extensions and Windows shell preferences pannel.

Opening a file using "Open With..."
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Open With...
contextual menu access: righ click on a thumbnail
keyboard access: Shift+Enter key
mouse access: Shift+double click on a thumbnail

Each kind of files can be opened using a specific external application. For example, you might wish to open PSD file using Photoshop. The Open With command opens selected files using the application defined in the Extensions and Windows shell pannel. Open this pannel to set the application to use with each kind of file.

Opening a file using "Open With Application..."
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Open With Application...
contextual menu access: righ click on a thumbnail
keyboard access: Ctrl+Shift+Enter key
mouse access: Ctrl+Shift+double click on a thumbnail

This command allows you to open the selected files using an application selected among a list. Select files and use Open With Application then:

  • Select an application and click on OK. The application is ran and the files are opened in the application window.
  • Click on Add, if the application you wish use is not in the list.
    A new list, containing the applications availables on your computer, is displayed. Select the application you need.
    If the application is not in the list, click on Others..., and select it directly with the file selector.
  • Click on Remove if you want to remove an application from the list.

Note: Windows explorer Open with... menu is updated when you use Add and Remove buttons.

Playing an audio file
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Play audio file
toolbar access
keyboard access: Enter key
mouse access: double click on an audio file

To play an audio file:

  • Double click on the file you want to listen
  • Select the file you want to view and press Enter key.

To stop listening the file, click on the Play audio file icon in the main toolbar, or select the Play audio file command from the menu.

Editing a file using the fast application access toolbar
Version: 3DBrowser / 3DBrowser Pro

You can edit files with the application you need using the fast application access toolbar. It appears when you move the mouse in the status bar, at the bottow of the 3DBrowser main window. This toolbar contains application you choosed in the Fast application access in the preferences. To edit a file with one of these application:

  • Select files you want to edit
  • Move the mouse on the status bar, at the bottom of the 3DBrowser main window, and click on the application you want to use to edit the files or,
  • Press the hot key associated to the application (cf. Fast application access)
  • Drag and drop the selected files to the application you want, in the fast application toolbar.

3DBrowser runs the application with the selected files in parameters. You can also run an application without selecting any files.

It is possible to call back an application ran this way by:

  • Clicking again its icon or,
    Pressing the hot key associated to the application (cf. preferences).

If you want to run a new window for the application, press the Control key and click on the application icon.

Editing a file in another application using Drag & Drop
Version: 3DBrowser / 3DBrowser Pro

In order to edit a file, select thumbnails and drop them into the window of the application you want, just as you do with the Windows explorer.

Moving a file to another directory
Version: 3DBrowser / 3DBrowser Pro

To move a file from the current directory to another directory:

  • Select the thumbnails of the files you want to move
  • Drag & drop the thumbnails in the directory you want (My computer window)
  • Press Control key if you need to make a copy of the files

Files information associated to thumbnails are kept when you move, copy or duplicate files from a directory to another one.

Associated files
Version: 3DBrowser / 3DBrowser Pro

Audio files and images are associated when they share the same name (i.e. example.wav and example.jpg). When files are associated, if you perform an action on one file (copy/delete/rename), 3DBrowser asks you to perform the same action on the other file.

Autres

Display Directory Size
Version: 3DBrowser / 3DBrowser Pro

This command displays the directory sizes in My computer tree. This is very useful for cleaning your hard disk as you see which directories contains large files.

Once you select the command, 3DBrowser analyzes your hard disk in a background task. The size of each directory is displayed gradually next directory names. This size includes the cumulated size of the directory and its sub directories.

Note: This function can slow down the software execution. Deactivate this feature when you don't need the size information any more.

Status bar icons meaning
Version: 3DBrowser / 3DBrowser Pro

Followings indicators can appear in the status bar (3DBrowser main window bottom):

  • Fast applications access toolbar when you move the mouse on the status bar. For additional information, see editing a file using the fast application access toolbar.
  • The current file sort mode.
  • The current file filter mode.
  • Files number displayed and files filtered which are not visible. These numbers are depending both on the file filter mode and the display mode.
  • Size of whole files in the directory if no thumbnail is selected. Otherwise, if a selection exists the number and the size of the selected files are displayed.
  • Update progression when a catalogue is being updated.
  • 3DBrowser can't access files of the current catalogue (3DBrowser don't find files directory).
  • Catalogue can't be modified (catalogue file is read only).
  • Help on commands

Useful mouse and keyboard shortcuts
Version: 3DBrowser / 3DBrowser Pro

Following mouse shortcuts are available:

  • Ctrl+Mouse wheel: increase or decrease thumbnails size
  • Shift+Mouse wheel: modify filter option (switch between view all files / view recognized files / view 2D, 3D files or custom filter mode)
  • Double click on the thumbnails background: shows/hides left panels.

Following keyboard shortcuts are available:

  • Tab: open the fast folder access window
  • Tab (in a viewer): Toggles full screen on and off
  • Ctrl+Alt+F1: minimizes/maximizes 3DBrowser window
  • Enter (main window): opens the selected file in a viewer
  • Enter (in a viewer): closes the viewer and displays files window.
  • F2: renames current selected item (file, folder, favorites...)
  • F3: display the search panel.
  • F6: display the My computer panel.
  • F7: display the information panel.
  • F8: display the keywords panel.
  • F9: display the favorites panel.
  • Alt+Enter: display the properties panel.
  • Ctrl+Left arrow: opens the previous folder from the folders history list
  • Ctrl+Right arrow: opens the previous folder from the folders history list
  • Ctrl+0: shows all files
  • Ctrl+1: shows recognized files
  • Ctrl+2: shows 2D files only
  • Ctrl+3: shows 3D files only
  • Ctrl+. : cycle display mode between thumbnails, custom display, small icons and list
  • Ctrl++ / Ctrl+- : Increase or decrease displayed thumbnails size

Thumbnails navigation in viewers:

  • Left arrow: views the previous thumbnail
  • Right arrow: views the next thumbnail
  • Ctrl+Right arrow: slides show


Rename a set of files

Rename Files
Version: 3DBrowser / 3DBrowser Pro
menu access: Edition / Rename Files
keyboard access: Ctrl+F2

This tool renames a group of files according to a numbered series.

Pattern

This pattern is the name used to rename files. Some characters have special function:

  • Each # is replaced by the position number of the file in the at the bottom of the dialog. You can add 0 by adding # to the pattern.
  • Each * is replaced by the name of the file to rename (without its extension).

For example:

Name/Pattern | txt# | txt## | ##* | ## * test.doc with Remove filename extension unchecked
mytext.txt | txt1.txt | txt01.txt | 01mytext.txt | 01 mytext test.doc
document.doc | txt2.doc | txt02.doc | 02document.doc | 02 document test.doc
note.rtf | txt3.rtf | txt03.rtf | 03note.rtf | 03 note test.doc

The list at the bottom of the dialog, displays the list of the files to rename and the resulting names. You can verify that the pattern matches your request.
Start at | Enter the number used to start the numerotation of the files.

Rename all files

Rename selected files

Rename files and directories

Rename directories

Select here files you want include in the renaming operation. You can include files, files and directories or only directories of the current directory. You can also include files selected in 3DBrowser window.

The list at the bottom of the dialog, displays files names included in the renaming operation.
Adjust number if a name conflict occurs

When the resulting file name already exists, you can adjust automatically the numbered series in order to avoid a name conflict.

For example, let consider that tmp1.txt already exists in the current directory, and you start the serie at 1.

Name/Pattern | tmp# with Adjust number checked | tmp# with Adjust number unchecked
txt1.txt | tmp2.txt | txt1.txt
txt2.tx | tmp3.txt | tmp2.txt
Remove filename extension You can modify file extension by checking Remove filename extension and specifying extension in the pattern field(cf. example in pattern description).
If you want to keep files extension name, don't check this option.
Lower case extension | Check this option if you want all extensions to be converted in lower case. This option is not available if Remove filename extension is checked.


3DBrowser command line

Command line options

Command line options

File list

If you specify files in the command line, they are automatically opened using the appropriate viewer.

Example:
3DBrowser.exe "C:\tmp\cow.3ds" "C:\tmp\image.jpg" "C:\tmp\image2.jpg"
This command line opens 2 viewers (a 3D viewer showing cow.3ds and an image viewer showing 2 images).

nosplash

Remove the splash screen when starting the application.

Example:
3DBrowser.exe -nosplash

multisession

Allow launching several 3DBrowser session. By default only one session of 3DBrowser is allowed.

Example:
3DBrowser.exe -multisession

batch

This option allows to run a batch command from the command line. This is useful to automatically process some task such generating thumbnails for your 3D files or converting pictures to another formats. The batch must have been created before using the Batch command from 3DBrowser. Several options are available:

  • /name
    Defines the name of the batch command to use. You can ommit the path if your batch command is located in the default 3DBrowser batch folder.
    This setting must be specified.
  • /in
    Defines the path of the files to process.
    This setting must be specified if the batch command does not specify an absolute path. This is the case if your batch command use the Current Selection or Current folder mode.
  • /recursive
    Defines if the batch command should process the subdirectories files.
  • /out
    Defines the path of the resulting files. If this option is not defined, the output path is the one defined in the batch command.
  • /help
    Display some help about the available settings for the -batch option.
  • /silent
    Does not display any dialog box.
  • /close
    Automatically closes the batch information dialog box when the process is finished.

Example:
3DBrowser.exe /name "Make thumbnails.bbr" /in "C:\tmp" /recursive /out "C:\tmp\Batch Results" /close
This command executes the command Make Thumbnails which is located in the default batch command folder.
It applies this command recursively to the C:\tmp directory and generates the output files to C:\tmp\Batch Results.
Batch dialog is automatically closed when finished.


Using favorites

Favorites are left bottom in the main window. You can switch from My computer window to Favorites window using the tabulation key.

Adding a favorite
Version: 3DBrowser / 3DBrowser Pro
Menu access: favorites
Contextual menu access: right click in the favorites window
Toolbar access

This function adds a favorites in the Favorites window. The default name is the one of the current folder. This favorite give you a fast access to your files.
When a similar favorite already exists, 3DBrowser asks you if you want to duplicate it.
You can also create a favorites using drag & drop. Drag a directory or a file from the explorer window or the thumbnails window and drop it to the favorites window.

3DBrowser can automatically create favorites, while you browse folders. Favorites are sorted depending on the folder hard disk and the files types contained in the folder. In order to enable this functionality, check the Automatically add directory to the favorites checkbox.

Creating a favorite folder
Version: 3DBrowser / 3DBrowser Pro
menu access: Favorites
Contextual menu access: right click in the favorites window
Toolbar access

In order to add a favorites folder

  • Select the favorites folder in which you want to create the new folder
  • Use the "Add new favorites folder" function

Opening a favorite
Version: 3DBrowser / 3DBrowser Pro
Menu access: Favorites
Contextual menu access: right click in the favorites window
Toolbar access
Double click on a favorite

Your favorites directories are on bottom left on the main 3DBrowser window. In order to open a favorite directory, double click it. You can:

  • Select the favorite and click the "Open favorite" function, or
    Double click on the favorite you want to open.

Deleting a favorite
Version: 3DBrowser / 3DBrowser Pro
Menu access: Favorites
Contextual menu access: right click in the favorites window
Toolbar access
Keyboard access : suppr

Select a directory in the favorites window then:

  • Press Suppr key, or
    Select Remove from favorites in the Favorites menu, or
    Select Delete selection in the Edit menu, or
    Click on the "Remove favorite" function.

You can delete several favorites using Shift/Ctrl keys.

Organizing favorites by categories
Version: 3DBrowser / 3DBrowser Pro
Moving a favorite: Drag & drop of the selected favorites
Renaming a favorite: F2 when the 'Favorites' window is active

You can organize your favorites by categories (humans, trees, textures...) on several levels (humans/child, textures/wood…).

Rename a favorite or a favorites folder:

  • Select the favorite to rename
  • Click briefly on the name, or
    Press F2 key, or
    Select the "Rename" function in the edit menu

Move a favorite or a favorites folder

  • Select favorites to move.
  • Drag & Drop selection to the favorites folder you want


Information and keywords associated to files

In order to organize your files, you can edit information such notes, title, keywords, author using the Information panel or Keywords panel. This information is accessible in several part of 3DBrowser thanks to tags. Using tags, you get access to this information in several features such search, contact sheet printing or slide show. This information can be imported/exported to/from a database.

By default, you can associate this information to any files, even for files unrecognized by 3DBrowser. However, you can change the catalogue contents setting to enable or disable this functionality.

This information is kept when you move, copy or duplicate files from a directory to another one (only if the operation is performed using 3DBrowser).

Information and album

Albums gather files that come from different directories. An album contains only reference to files. 3DBrowser synchronizes the information contained in the album with the original files information. When you open an album, 3DBrowser gets the information from the original files. If you modify the information from the album, 3DBrowser set back the information to the original files when you closed the album.

Information and NTFS partition

For more safety, a part of this information is directly integrated within files if they are stored on an NTFS partition. You can access to this information through the Properties/Summary dialog from the Windows explorer. If you modify them using this dialog, the information is set back to the catalogue next time you open it.

Information and MP3 files

For MP3 files, 3D Photo Browser displays additional fields for editing the track number, the album or the genre. This information is updated from the MP3 files and automatically set back to the MP3 files if you modified it.

Editing information associated to files
Version: 3DBrowser / 3DBrowser Pro
menu: Information / Information edition...
keyboard access: F7
access from bottom panel toolbar

Select some files in the thumbnails window, then enter information in the fields you want.
When several files are selected, 3DBrowser displays fields for which information is different from one file to another. Click in one of these fields to edit information that will be common to all selected files.

Click on the pin for faster edition. The caret is automatically set back in an edition field when selection changed.

Editing keywords associated to files
Version: 3DBrowser / 3DBrowser Pro
menu: Information / Keywords edition...
keyboard access: F8
access from bottom panel toolbar

Keywords are a quick way for describing your files and retrieve them using the search feature. You can associate as many keywords as you need. A predefined keywords list helps simplifies the edition and ensure that a given keyword is always entered the same way from a file to another one.

To add a keyword to the keywords list, enter it in the edition fields. Separate keywords with semi column to enter several keywords. To remove keywords from the list, select them then press Del key or use the delete icon, next to the edition field.

When several files are selected, keywords that are common to the selection are bold displayed.

Predefined keywords list works the same way. To add one or more keywords from the predefined list, select them then click on the double arrows.


Properties edition

Properties Edition
Version: 3DBrowser / 3DBrowser Pro
menu: Information / Properties edition...
keyboard access: F8
contextual menu: right click on one or more files
access from bottom panel toolbar

You will find here all essentials information about files:

  • File name, file size, creation date
  • For 2D files:
    • Image size
    • EXIF information. JPEG files may contain EXIF information, especially for files that come from digital camera.
  • For 3D files:
    • Point number and face number
    • Kind of objects (polygonal objects, curves, patches)
    • Number of materials and materials names
    • Others information depending on the file object type (i.e. Number of layers in Lightwave file)

When you edit several files, 3DBrowser displays information about each file.

You can modify the read-only and hidden attributes for the selected files, using the corresponding checkboxes.

Click on the clock to update the created and last modified date and set it to the current date.


Export informations, keywords, and file properties

Export Information
Version: 3DBrowser / 3DBrowser Pro
menu access: Information / Export Information...

This command exports your files information, keywords or properties in a text file. Use the information or keywords panels to edit this information. In order to export up to date information, catalogue are updated if necessary. Information is exported using the 3DBrowser current sort order.

At the end of the process, you obtain a file such the following one:

<brtfilename(fullpath)>;<brtfilename(createdate(d))>;<brtfilename(size)>;<brt2dheight>;<brt2dwidth>
E:\tmp\file1.jpg;12/11/2003;1.03 Mo;1600;1200
E:\tmp\file2.gif;12/11/2003;951.63 Ko;1200;1600
E:\tmp\file3.psd;12/11/2003;727.69 Ko;1200;1600

The first line contains the information tags that you choose to export. Separator used is the semi column. Exported fields are file path, file creation date and the image width and height. Once exported, the file can be edited using a text editor or a spreadsheet. It also can be imported in a database or reimported into 3DBrowser.

Note: 3DBrowser uses the quote " character to delimit field when needed during the exportation.

Source directory

Define the directory, which contains the files to export.

Current selection exports only the information of the files, which are selected in the 3DBrowser main window. This option is inactive if no files are selected.

Current directory / Current album exports all files contained in 3DBrowser current directory or current album.

Selected directory exports the files, which are in a selected directory. Enter its path or select it using the browse... button.

Current selection

Current directory / Current album

Selected directory

Browse...

Include sub directories

This option is inactive when Current selection or Current album option is selected.

Include sub directories includes sub directories files to the exportation process.
Separator | Enter the character, which separates each field in the exported text file.
Kind of files | Select the kind of files you want to export. The All recognized file option allows files recognized by the application to be export (images, 3D scenes and audio files).

Filter

Extensions edition field

Select No filter to ignore the extensions list and process the files, which match the selected kind of files option.

Select Include the extensions to process files, which extension match the ones specified.

Select Exclude the extensions to exclude from the process files, which extension match the ones specified.

Use the extensions field to edit the extensions you want to include or exclude to/from the exportation. Extensions can contain wildcards.
For example: *.jpg a*.gif ???1.lwo
Information to export

This list contains the information tags you want to export. By default the list contains the full file path tag, in order to know which file the information applied to.

Use the Tags >> button to add an information tag to the exportation list. An option adds all the possible tags to the list. Another option adds only tags that can be edited and re-imported in 3DBrowser. For example, the tag Size of file cannot be re-imported, because file size can be edited and depends only of the file.

You can modify the order of the exported tags, using the up and down button. You can also remove a tag from the exportation by using the delete button (cross).

Note: If you need to re-import the information, the exported file must contain tags, which allow the full file paths to be rebuilt. This information can be spread over different fields (for example you may use the path tag (C:\tmp) , the file name (ie. example) and the extension (ie. jpg)).


Import information

Import Information
Version: 3DBrowser / 3DBrowser Pro
menu access: Information / Import Information...

This feature allows information contained in a text file to be imported and set back to files. Catalogues are updated with the information that is provided by the file.

The first line of the file must contain the information tags to identify what information the file contains. Before processing the file, 3DBrowser informs you if some tags are not recognized.

Following lines contain the information itself, each line playing for a file.

File to import | Enter the path of the file, which contains the information to import or select it using the browse... button.
Browse...
Delete existing information when imported fields are empty | Some fields of the imported file might be empty. Check this option if you want to import empty fields and remove existing information from the catalogue. Do no't check this option to keep the information and ignore the empty fields.
Separator | Select the character, which separate each fields in the imported file.
Text delimitation | Enter the character use to delimit text fields in the imported text. A field might be set between two delimitation characters, particularly if it contains a separator character.
Importation list | When you select a file, the importation preview is displayed in this list. This allows you to be sure that you correctly set the parameters.


Albums

sAlbums

What is an album?
Version: 3DBrowser / 3DBrowser Pro

An album contains references to files that are contained in different directories. Albums allow to gather files that come from different directories and to use them just as if they were in the same directory. Albums are a new way to organize your files regardless of their location on your computer.
If you change the files information inside an album, these changes are set back to the catalogues which handle the files.

What operations can I do in an album?
Version: 3DBrowser / 3DBrowser Pro

You can perform all the 3DBrowser features, except copying files from the album to the album, as an album does not belong to any particular directory.

Creating an Album
Version: 3DBrowser / 3DBrowser Pro
menu access: File / Create album
toolbar access
keyboard access: Ctrl+Shift+A

Use the keyboard shortcut or the menu entry to create an album. A new album is added to the albums list, which is accessible through the My computer panel.
The album is automatically saved when you select a directory or another album.

Opening an existing album
Version: 3DBrowser / 3DBrowser Pro
access: My computer / Albums

Select the album to open in the albums folder of the My computer panel.

Deleting an existing album
Version: 3DBrowser / 3DBrowser Pro
menu access: Edition / Delete selection
keyboard access: Del

Select the album to delete in the albums folder of the My computer panel. Use the Delete selection from the menu or press the Del key.

Copying files to an album
Version: 3DBrowser / 3DBrowser Pro
mouse access: drag & drop to the album folder in the My computer panel
keyboard access: Ctrl+C, Ctr+V

To add files to an album:

  • Create an album. The new album is added to the existing albums list in the My computer folder.
  • Select the files to copy to the album then:
    • Drag and drop the files on the album name in the My computer panel
  • Or:
    • Press Ctrl+C
    • Open the album by selecting it in the My computer panel.
    • Press Ctrl+V

Note: when you copy files to an album, no files are really copied on your hard disk. Only references to the files are copied into the album.

Deleting files from an album
Version: 3DBrowser / 3DBrowser Pro
menu access: Edition / Deleting selection
keyboard access: Del

To delete files from an album:

  • Select the files to delete then:
    • Select Delete selection from the edition menu.
  • Or:
    • Press the Del key.

3DBrowser asks you if you want to delete the references or the files themselves. Select Delete references to remove the files from the album but keep the files on your hard disk. Select Delete files to delete both references from the album and files from your hard disk.

Opening the directory that contains an album file
Version: 3DBrowser / 3DBrowser Pro
mouse access: right click on the required file

To open the directory that contains an album file:

  • Perform a right click on the required file.
  • Select 'Open ...' from the displayed popup menu.


Searching for a file

Overview
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

The search for files features is one of the most powerful ways to organize your files. It allows extracting a set of files specifying some criteria, then to work on these files as if they were located in the same directory. Search of files is performed in one directory and its sub directories and can combine one or more criteria.
Once you define your request, just click on the search button. Files that match your request are displayed as long as they are found in the main window. You can save the search results and use it later. You can also update a search results you made previously.

Note: You cannot change the current directory while 3DBrowser is searching. If you want to change the directory, the software asks you to cancel the search.

What is a search results and what can I do with it?
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

A search results is an album, which means it only contains references to files that match the criteria you entered. You can use all the 3DBrowser commands on a search result. For example, you can extract all jpg files which width are more than 1000 pixels and the file size more than 500 Ko. Once the files found, it is possible to compress them - reducing their size, using a batch command.

Search for files in a local network
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

3DBrowser makes searching and retrieving files easier when you have several computers connected on a local network. Suppose you have several computers connected and multimedia documents scattered over the network. If you want to search for a file on the network, just define a repository folder. From that moment, each time you browses a directory using 3DBrowser, a link to this directory is created in the repository (only if the folder contains recognized documents).
This solution can also be used when several 3DBrowser users need to shares documents on the network. In this case, define a repository folder common to each 3DBrowser application setup on your network.

Doing that, you just have to check Search in repository and search list to search on the network. 3DBrowser takes into account all the links created in the repository, and allows you to find the network documents you were looking for.

Searching a specific file
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

Name and location

Enter some indication about the files you want to find. This name can contains wildcards:

  • *.jpg search files which extension is jpg.
  • a???.jpg search jpg files (4 characters name, starting by a).
  • *.html;*.htm;*.asp search for files which extensions are html, htm or asp.

Enter the path in which the search is performed in the Search in field, or select it clicking on the Browse... button.

Check Search in sub folders to also search in the sub directories of the selected directory.

Check Search in repository and search list to search on your local network or in a predefined directories list. Look at Search for files in a local network and at additional directories list to get more information.

Check Search in albums or catalogues to analyze albums or catalogues contained in the searched directories. For example, this option allows to search in the CD-Rom catalogues and to find that are not directly accessible on your computer. Note that contents.obv catalogues are always analyzed, so criteria are taken into account.

Name

Search in

Browse...

Search in sub folders

Search in repository and search list

Search in albums or catalogues
Kind of file

Select the kind of files you want to search. The option All recognized file allows files recognized by the application to be export (images, 3D scenes and audio files). If you select Image only the search results will only contains images.

Defining search criteria
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

When the file name and its type match the parameters define above, the file is added to the search results. However, you might define criteria to add only files that match accurately particular conditions. 3DBrowser criteria are similar to the filter concept you find in database. Criteria apply to files information, keywords and properties. You can define up to 3 different criteria.

Match all criteria defined below

Match one of the criterion defined below

 If you define several criteria, select one of these options if you want the files match at least one criterion or all criteria.
Criteria

Click on Criteria >> to select the information to search. There are criteria about file properties, file information or keywords, which are associated to files.

Depending on the content of the criterion you select, specific fields appear to define accurately your request.

Search for a numerical information

When the criterion content is a value, enter it then select the mode (lower than, greater than, egal to, between).

Example:
Select Images / Size and resolution / Width, then select Between and enter 400 and 800 to search images which width is between 400 and 800 pixels.

Searching for a specific text

Match case

When the criterion content is a text, you might be looking for a specific word, several words, an expression or simply check that the text exists.

Enter the words to search (separated by spaces) in the edition field then select the search mode.

Check Match case so lower and upper case characters are taken into account differently.

Example:
Select Description / Keywords, then enter chair and table in the edition field.
Contains all words mode will find all files which have chair and table in their keywords list.
Contains one word will find files which have chair or table in their keywords list.
Contains any text to find files that have any keywords in their list.
Match the expression then enter chair & ( "balcony seat" ^ stool ) to find files which have chair in their keywords list and balcony seat or stool . A popup menu left the edition field helps you to create logical expression.
Searching for a date, a boolean value... Searching for a date, a boolean value works the same way than the one described above.

Saving the search results
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Search for a file...
toolbar access
keyboard access: F3

You can save the search results content when search is achieved or canceled. Click on the floppy icon next the New search button. It's better to save the results in the proposed directory (or one of its sub directories), so a quick access is automatically added in the Search results folder of the My computer panel.

Opening an existing search results

Select the search results to open in the search results folder of the My computer panel. The search results is an album and you can perform all albums operations on its content.

Updating a search results

To update a search results, open it using the search results folder of the My computer panel. Then open the search panel, using the F3 key for example. Selected search parameters are automatically set back in the dialog. You just need to click on the search button to update the search results content.

Opening the directory that contains a search results file
Version: 3DBrowser / 3DBrowser Pro
mouse access: right click on the required file

To open the directory that contains a search result file:

  • Perform a right click on the required file.
  • Select 'Open ...' from the displayed popup menu.

Open the directory that was opened before performing the search
Version: 3DBrowser / 3DBrowser Pro
mouse access: right click on the background of the thumbnails window

To open the directory that was opened before performing the search:

  • Right click on the thumbnails window
  • Select 'Open ...' from the displayed popup menu.


Using tags to get access to files properties

Tags are dynamic parts of the text, which give access to the files properties. They allow to display or print information that are different from one file to the other, or which are dependant of the using context.

3DBrowser uses tags in several functions. For example, you'll find them in Print contact sheet, custom display tab, or tooltip text edition.

There are several tags categories:

  • Conditionals tags: these tags enable text print or display only when tags between the condition exist. For example, <tagifexist>Image width: <brt2dwidth></tagifexist> is displayed only when <brt2dwidth> exists. The text is not displayed for files which are not images.
  • Tags which gives access to file properties. This information must have been edited using the Properties dialog box.
  • Tags which give access to image properties. Most of these tags are useful when images come from a digital camera.
  • Tags which give access to 3D scene properties.

Note: some features have their own tags, such the Print contact sheet feature. For example the tag <brpcatdir> displays the path of the printed directory, the tag <brpdate> inserts today's date...


Printing - Overview

Printing
Overview

Printing a Contact Sheet
version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Print the current 3DBrowser directory content using Print Catalogue... command from the file menu.
This printing tool allows you to print the whole content of the current directory. The printed files are the visible files or the selected files. Use the selection or the filter options if you want to exclude some files from the printing.

The printed page is divided into several parts:

  • The printable area: most of the printers can't print on the whole paper surface. The printable area is the area that can be printed by the printer.
  • The page: this is the printable area less the header and the footnote areas.
  • The header: text printed at the top of the page.
  • The footnote: text printed at the bottom of the page.
  • The cell: area dedicated to the printing of a file content. You can print up to 100 cells on each page.
  • The cell text area: area dedicated to the printing of a text content related to the file (file size, file date...)
  • The cell image area: area dedicated to the printing of an image related to the file (the image itself if the file is a photo, the 3D scene or the file icon).

You can add a specific text for each file and make up a lot of different settings into page, such header, footnote, background colors and borders... You can also add images to decorate the page background.

3DBrowser reads all the files included to the page in order to get an high printing quality. The preview thumbnail (low resolution) is used if you ask it (to reduce memory needs) or if the file is not accessible.

Look at the following page to get more information on each tab of the print sheet:

  • Printer and templates
  • Dimensions tab
  • Borders and Colors tab
  • Images tab
  • Text tab
  • Positionnement tab
  • Options tab
  • Print Preview


Printing - Dimensions tabs

Printing
Dimensions tabs

Dimensions tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

This page defines elements to print on the page, and their sizes. Select here if you want to include footnote, header and text to your page.

Cells number | Page is divided into a grid. A file is displayed in each cell of the grid. Select how many cells you want to display horizontally and vertically on the page. These parameters can also be set in the Printer and templates tab. The Group by pages display mode is link to these settings. Note: press the Control key to modify both rows and columns setting.
Spacing | Defines horizontally and vertically the blank space left between each cell. Note: press the Control key to modify both horizontal and vertical spacing.

Margins

Each page areas have a margin that can be set here.
Use the page margins to left space around the cells on the printed page.

Margins are usefuls when you set an image in the cell or the page background. For example, if you add a shadowed image in the background cell, play on the cell margins, so the cell image will not cover the cell background.

Note: press the Control key to modify both horizontal and vertical margin.

Text in cells

Check this option if you want to display text in cells. In this case, every cell is divided into 3 areas:

  • Image area
  • Image and text spacing
  • Text area

Uncheck this option if you don't want to include any text in cells. This make image area being utmost (100%).
Size of the image area

Enter the size you want for the image area. This size is defined in percent of the total cell size (excluding margins).

100% value reserves all cell space for the image. Text area is null and no text is displayed.
Image/text spacing

Enter the amount of space you want between the image and the text area. This size is defined in percent of the total cell size (excluding margins)

The background cell is used to display this spacing.
Size of the text area

Enter the size you want for the text area. This size is defined in percent of the total cell size (excluding margins).

Header | Check this option if you want to include a header to your page. Define its size using the edit box. Note: press the Control key to modify both header and footnote size.
Footnote | Check this option if you want to include a a footnote to your page. Define its size using the edit box. Note: press the Control key to modify both header and footnote size.


Printing - Text/image position tab

Printing
Text/image position tab

Text/Image Position tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

This page defines text and image relative position and alignment for texts and image. You also set the page filling order.

Page filling order

Files are positioned on the page using the current 3DBrowser sort mode. You can define the page filling order:

  • Rows mode: cells are positioned from left to right then from top to bottom.
  • Columns mode: cells are positioned from top to bottom then from left to right
Text and image relative position

Select text and image relative position. This setting has no incidence if you don't select Text in cells in the dimensions tab . You can choose among the followings positions:

  • Image on top of the text
  • Image on bottom of the text
  • Image on right of the text
  • Image on left of the text
Position

This setting gives control on the position for images, header, footnote and cell text in their respective area.

Click on one of the 9 squares to define the position of the image in the cell area.

Click on one of the 3 squares to define the vertical position for the header, the footnote and the cell texts. If the text is larger than the area in which it is displayed, top alignment is automatically selected, so the the beginning of the text is always visible.
Horizontal alignment depends on the settings you made when you edit the text (left, right or center alignment).


Printing - Colors and borders tab

Printing
Colors and borders tab

Colors and Borders tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Set colors and borders for each page elements. Text colors are defined in the text tab.

Use colors and borders

Check this option if you want to define background colors for cells, header, footnote and image. Some buttons might be inactive, depending on the settings of the dimensions tab.

All parameters are inactive when this option is unchecked. No borders are displayed around page elements and the elements background are transparent.
Colors

Check a box to define the background color of the matching element. Set the color by clicking on the colored button and using the color box selector.

Note that if left uncheck the color of a given element, the background of this element is transparent.

The opacity setting is active only when an image apply to the element.
Suppose you have a background image that covers the background page. Selecting a red color for the page background, you can red tint the image by playing on the opacity setting. The image will not be tinted by setting opacity to a value of 0 and is pure red by setting the opacity to a value of 100.

Note: press the Control key to modify color or opacity for the whole elements.

Borders

Check a box to define the background color of the matching element. Set borders width using the edit text. Click on the colored button to change borders color using the color box selector.

Note : press the Control key to modify border color and width for the whole elements.


Printing - Texts tab

Printing
Texts tab

Text tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Edit texts displayed in the header, the footnote or cells. Some buttons might be inactive depending on the dimensions tab settings.

Tags allow to display a different text on each cells, using tags. Tags give access to file information and information you edit using the Properties... dialog. These tags give the possibility to display in each cell the legend, the title or comments about the corresponding file.

Edit | Click on these buttons to activate edition for header, footnore or cells.
Edit control | Use this control to edit header, footnote or cells texts. The current edited text is the one for which the Edit button is pushed. You can enter the text directly in the control or import a formatted text from Wordpad. Text can include tags which are dynamic parts of the text. There are many different tags accessible through the Tags button.
Formatting toolbar | This toolbar allows you to embellish your text and to modify the formatting attributes such text font, color and size. You can also align it left, center or right and use bullets.
Tags | Tags are dynamic parts of the text, which give access to file properties. Look at the using tags page to get more information. Click on the tags button and select a menu entry to insert a tag in the text. The inserted tag uses the font attributes of current caret position.
Open Wordpad | Click on this button to open Wordpad and use it to edit your text. Once the text edited, you can reimport it in 3DBrowser, using cut and paste operation or clicking on Import text if you saved it before.
Import text | Click on this button to select a file, which contains the text to import. You can import a simple text or a formatted RTF text.


Printing - Options tab

Printing
Options tab

Options tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Load and save print templates using this page. Use it to define the printing quality.

Exclude files which does not have a preview thumbnail

Check this option to remove files which does not have thumbnail. These files are not recognized by the software and none image is available for printing them.

Uncheck this option to print all directory files, even if 3DBrowser can't generate an image from the file. For such file, image area is left blank. You may need to uncheck this option if you want to print information linked to files by the used of the Properties... dialog.
Use the file for printing (high quality printing)

When this option is checked, 3DBrowser reads:

  • images files to print them at the best resolution according to your printer resolution.
  • 3D files to create high resolution images according to your printer resolution. 3D Photo Browser makes scenes background color match to the image background color you define in the borders and colors tab.

You obtain an high quality printing but it may requires memory and time to be prepared.
Use only the preview thumbnail

When this option is checked, 3DBrowser uses the thumbnail for printing each file on the page. For 3D files, scenes background color may not match to the image background color you define in the borders and colors tab.

You obtain an middle quality printing but it requires not much memory and it is quickly prepared. Quality can be sufficient if you have a lot of cells on your page.

Keep dialog open after printing

Check this box if you want to keep the printing dialog opened after printing the catalogue, using the Print button. Doing that, you can adjust your settings to make several printings.


Printing - Printer settings

Printing
Printer settings

Printer Settings tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Using this page you set your printer, define the paper format, its orientation, the number of copies you need and all the parameters of the current printing job.

Printer | Select the printer on which you want perform the printing.
Properties | Click on this button to get access to the full printer control panel (provided by the printer manufacturer). This control panel usually gives access to the paper type selection, print quality settings.
Paper | Selet the format of the paper on which you want print.

All pages Current page Page range Selection | If several pages are needed to print the directory content, select which pages you want print. Page range option is active only is the current document as several pages. Enter the page range in the From and To edit box when you want to print only a part of the document. Selection option is available only if some thumbnails are selected in 3DBrowser thumbnails window.
Copies | Enter the number of copies you wish.

Margins | Define left, right, top and bottom margins on the page for your document.
Adjust margins to printable area | Most of the printer can't print on the whole paper surface. Some page areas are unprintable. Click on this button in order to exclude unprintable area. This allows you to use the utmost parper surface for the printing. You can display unprintable areas using the Display unprintable areas button (Look at Print preview page)

Orientation

Select the paper orientation among portrait (vertical printing) and landscape mode (horizontal printing).


Printing - Print preview

Printing
Print preview

Print Preview
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

A print preview is displayed on the right of the dialog. Several tools help you to see what will be print.

Print | Click on this button to print the current document. A dialog displays information on print progress. You can cancel the job by clicking on cancel.
Apply | Click on this button save current settings without printing the document. You may cancel the dialog and retrieve your settings when you'll call back print feature.
Cancel | It closes the dialog without print anything. Click on Apply to memorize your settings or cancel only if you want to forget the current settings.

Zoom in Zoom out | Click on one of these buttons to zoom in or out the preview window. Use scrollbar if your document does not fit the preview window.
Fit on page | Click on this button to view the whole document in the preview window
Display unprintable areas | Click on this button to red display the unprintable areas. Most of the printer can't print on the whole paper surface. Verify that your document will not be cropped on the page borders. Click again on this button to stop display unprintable areas.
Current unit | Select the unit among centimeters, millimeters and inches. Most of the print settings are defined in the unit you select here.


Slides show

Slides Show / Files tab
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Slides show…
keyboard access : Ctrl+F9

Slides show displays your images or your 3D scenes on the screen. Overlaying Texts can be displayed to give information about the file currently shown. Files are displayed using the 3DBrowser current sort order.

Select files to display

Define the directory, which contains the files to display.

Current selection displays the files, which are selected in the 3DBrowser main window. This option is inactive if no files are selected.

Current directory / Current album displays all files contained in 3DBrowser current directory or current album.

Selected directory displays the files, which are in a selected directory. Enter its path or select it using the browse... button.

Current selection

Current directory / Current album

Selected directory

Browse...

Include sub directories

This option is inactive when Current selection or Current album option is selected.

Include sub directories displays files contained in sub directories of the current or the selected directory.

Kind of files

Select the kind of files you want to display. The View all files option allows images and 3D scenes to be displayed.

Filter

Extensions edition field

Select No filter to ignore the extensions list and display the files, which match the selected kind of files option.

Select Include the extensions to display files, which extension match the ones specified.

Select Exclude the extensions to exclude from the screening files, which extension match the ones specified.

Use the extensions field to edit the extensions you want to include or exclude to/from the screening. Extensions can contain wildcards.
For example: *.jpg a*.gif ???1.lwo
Display options

Enter the display time between each slide in the edit box in the Display time edit box. Display time between slides might be longer.
Display time
Enlarge images to fullscreen if needed | Check this option if you want small images cover the whole screen.
Play sound associated with files when possible | When an image and a sound share the same name, they are associated. Check this option to play a file sound when it is associated to an image.
Loop display | Check this option to display files constantly. In this case, the slides show stops when you decide it.
Update catalogues if necessary | When you display overlaying texts (texts tabs), information come from the catalogues, which might be missing or outdated. Check this option to update catalogues before displaying files when necessary and ensure that the displayed information is update.

Slide Show / Text tab
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Slide show…
keyboard access : Ctrl+F9

The text tab allows editing overlaying texts and displaying information about the files that are displayed.

Text position | Click on one of the 9 squares to edit text that will be displayed at the corresponding location. You can display a different text at nine location of the screen, so it's possible to display the title in the top left corner, picture-taking date in the bottom left corner and a legend in the bottom right corner.
Background color | The text is displayed in a colored frame. Choose the frame color. Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.
Text on a transparent background | Check this option, if you don't want to display texts on a colored frame. In this case, the text is directly displayed on the background (the image or the scene).
Edit control | Edit and format text using the edition field or import a formatted text from Wordpad. Text can include tags, which are dynamic parts of the text. There are many different tags accessible through the Tags button.
Formatting toolbar | This toolbar allows you to embellish your text and to modify the formatting attributes such text font, color and size. You can also align it left, center or right and use bullets.
Tags | Tags are dynamic parts of the text, which give access to file properties. Look at the using tags page to get more information. Click on the tags button and select a menu entry to insert a tag in the text. The inserted tag uses the font attributes of current caret position.
Open Wordpad | Click on this button to open Wordpad and use it to edit your text. Once the text edited, you can reimport it in 3DBrowser, using cut and paste operation or clicking on Import text if you saved it before.
Import text | Click on this button to select a file, which contains the text to import. You can import a simple text or a formatted RTF text.

Start/Stop the slides show
Version: 3DBrowser / 3DBrowser Pro
Menu access: View / Slides show…
keyboard access: Ctrl+F9

To start the slides show click on OK button.
To stop the slides show, click on mouse button or press Enter or Esc keys.

You can visualize successively files of the current directory or files that belong to your favorites directories.
Files are displayed using the current 3DBrowser sort order.


2D editor / File

Opening an image from 3DBrowser
Version: 3DBrowser / 3DBrowser Pro
menu access: View / View File
contextual menu access: righ click on a thumbnail
keyboard access: Enter key
mouse access: double click on a thumbnail

3DBrowser has a 2D viewer, which allows images edition. To open the viewer, select the image and use the function "View file" in the view menu.
The viewer allows the image to be viewed, modified, saved or converted in a new file format .

Closing an image
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: Enter key
toolbar access

If you want to close a 2D viewer, press again Enter key or use the "Close" function in its file menu.

Rename File
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: F2

This function allow to rename the currently displayed file.
Enter the new name for the file. 3DBrowser asks for a confirmation if you modify the extension of the current file.

Delete File
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: Ctrl + Suppr

This function allow to delete the currently displayed file.
If you confirm the file deletion, 3DBrowser automatically opens the next image.


2D editor / File

2D editor / Files

Open
Version: 3DBrowser / 3DBrowser Pro
Menu access: File
keyboard access: Ctrl + O

Use the file selector to select the image you want to open. Once read, the image is displayed in the view.

Save
Version: 3DBrowser / 3DBrowser Pro
Menu access: File
keyboard access: Ctrl + S

Use this function to save the image displayed in the view. You can give it a new file name and/or a new file format using the displayed file selector.

Depending on the image file format, a dialog box can be displayed in order to set the saving options.

Note: Image mode is automatically adjusts in order to make the saving possible. For example an indexed image will be converted to 24 bits if you choosed a JPEG format.

Save As
Version: 3DBrowser / 3DBrowser Pro
Menu access: File
keyboard access: Ctrl + Shift + S

Use this function to save the image displayed in the view. Image is saved using its initial file name and file format.

Depending on the image file format, a dialog box can be displayed in order to set the saving options.

Note: this function is active only when image has been modified.
Image mode is automatically adjusts in order to make the saving possible. For example an indexed image will be converted to 24 bits if you choosed a JPEG format.

Close
Version: 3DBrowser / 3DBrowser Pro
Menu access: File

Use this function to close the 2D viewer.


Printing - Image settings tab

Printing
Image settings tab

Image Settings tab
 Version: 3DBrowser / 3DBrowser Pro
menu access: File / Print...
keyboard access : Ctrl+P

Define the size of the image and its placement on the page. Verify the settings using the print preview window.
Printer resolution (according to the current printer settings), printed image resolution (according to its printed size) are displayes down the dialog. Verify these values to get a good print quality.

Adjust to paper Click on this button to make the image fit the whole paper size. Margins are automatically adjusted to the paper borders. For more information look at the print preview page.

Width

Height

Enter the size of the image you want on the paper. Verify settings and make image resolution fit printer resolution to get a good print quality.
Constraint proportion

Check this option to constraint image dimension. It makes width and height being linked each other.

Uncheck this option if you want to distort your image and adjust width and height in the way you want.
Placement on the page

Define the image position on the page by clicking on one of the 9 squares of the alignment button. For example, click on the central square to center image on the page.


2D editor / Modes & colors

Indexed Colors
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors
Keyboard access: I

This function converts image in 256 colors (or less) mode. Such conversion can be useful to reduce the image file size.

The view displays the conversion result depending on the followings options:

Exact palette, adaptative palette otherwise Exact palette, no conversion otherwise Adaptative palette | When image has less than 256 colors, it's possible to perfom an exact conversion. Resulting image is strictly the same as initial image. Created palette has the same color number than the image. When the conversion can't be exact, the palette must be adaptative. Colors found are the one which give the better visual aspect. If you want to have a particular number of color, select Adaptative palette. The resulting palette will have the exact number of colors you entered, even if an exact palette can be found for the image. You'll find the number of colors of the initial image in the bottom of the dialog.
Bits per pixel | This menu allows you to select the bits number used for storing a pixel value. This modify the number of colors for the conversion. Colors number is egal to 2^bits per pixel (ie. 2^3 bits = 8 colors).
Colors | Enter the number of color you want for the indexed image. Bits per pixel is adjusted depending on the number you enter in this field.
No dithering Dithering | Dithering simulates more colors than colors really displayed in the image. Dithering increases virtual colors number but, reduces image definition. Small details of your image can be altered.

Note : when you choose a 2 colors conversion, resulting colors can't be different than black and white. To perform a black and white conversion, use "Monochrome" function.

Monochrome
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors

This function converts image in 2 colors Black & white mode.

Image dithering Check Image dithering to simulate grays nuances on the resulting image.

Grayscale image
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors
Keyboard access: G

This function converts image in 256 grays levels mode. All color information is removed.


2D editor / Modes & colors

Contrast
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors

This function increases or decreases the contrast of the image.

Decrease contrast | Decreases the image contrast.
Increase contrast | Increases the image contrast.

Invert
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors
keyboard access: N

This function inverts the image colors. You obtain the image negative.

Gamma Settings
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors
keyboard access: Ctrl + G

This functions adjusts colors or luminosity using a gamma curve.

Gamma global

When checked, gamma settings modifies RGB components simultaneous, which is a way to modify the image luminosity. Only the Global gamma slider is displayed.

When unchecked, you can modify independently each RGB components, which is a way to change the colorimetric balance. The Red, Green and Blue Gamma are displayed.

Red gamma

Adjusts the red component of the image. A value:

  • Greater than 1.0 increases red tint.
  • Egale to 1.0 does not modify red tint.
  • Lower than 1.0 decreases red tint.
Green gamma

Adjusts the green component of the image. A value:

  • Greater than 1.0 increases green tint.
  • Egale to 1.0 does not modify green tint.
  • Lower than 1.0 decreases green tint
Blue gamma

Adjusts the blue component of the image. A value:

  • Greater than 1.0 increases blue tint.
  • Egale to 1.0 does not modify blue tint.
  • Lower than 1.0 decreases blue tint.
Gamma global

Adjust image luminosity. A value:

  • Greater than 1.0 increases luminosity.
  • Egale to 1.0 does not modify luminosity.
  • Lower than 1.0 decreases luminosity.

Modify HSL
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & colors
keyboard access: Ctrl + U

This function adjusts image hue, saturation and luminosity.

Hue

Makes the hue rotate on the chromatic circle. Value is between -180° and +180°.
Image negative is obtained for value egal to -180° or 180°.

Saturation

Modifies image saturation. The greater the saturation, the brighter the colors.

  • 0% gives a grays level image.
  • 200% double image brightness.

This setting does not change anything on a grays levels image.
Luminosity

Changes the image luminosity.

  • 0 % turns image to black.
  • 200 % double image luminosity.


2D editor / Modes & colors

Replace Color
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modes & couleurs
keyboard access: O

This function substitutes a color by another one.

Color to replace

Choose the color to replace.

Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Replacement color

Choose a replacement color.

Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.
Tolerance

Increase tolerance if you want to replace colors that are variation around the color to replace.

The greater is the value the more the replaced colors can be different from the defined color to replace.

Replace color on the active layer

Replace color on all layers

 Select one of these option if you want the replacement color be applied on the current layer, or in all layers of the image.


2D editor / Modify

Horizontal Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modify
keyboard access: H

This function flips image horizontally (vertical axe symetry).

If the image is a JPEG file, a lossless transformation is applied. Such transformation, which modifies the file, does not reapply any compression to your image, preserving its quality. Status bar informs you if JPEG lossless has been applied or not.

Vertical Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modify
keyboard access: V

This function flips image vertically (horizontal axe symetry).

If the image is a JPEG file, a lossless transformation is applied. Such transformation, which modifies the file, does not reapply any compression to your image, preserving its quality. Status bar informs you if JPEG lossless has been applied or not.

'Rotate To Horizontal'© ou 'Rotate To Vertical'©
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modify
keyboard access: X

Frequently, there is axes problems on digital camera or scanned images. Rotation should be applied in order to correct these alignment problems.

This tool makes this operation really easy. To align image on horizontal or vertical axes:

  • Select the axe on which you want to align the image, by pressing O (options) key. A dialog box appears:
    Rotate to horizontal axe Using this option, you want to align image on its horizontal axe. Points you'll select must be on this axe.

    Rotate to vertical axe

             Using this option, you want to align image on its vertical axe. Points you'll select must be on this axe.
    Keep image size

    Check this option if you don't want to modify image size. Parts outsides image frame are lost.

    Uncheck this option, if you want the size being adjust in order to keep whole image once rotated.
    Swap height and width when rotation angle is greater than 90 °

    Check this option if you want to swap width and height when rotation to perform on the image is greater than 90 °

    This option is available only if the Keep image size option is checked.

    It minimizes the parts lots (out of the image frame), and keep image proportions
    Background color

    Areas left empty by the rotation are filled with the background color.

    Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.
  • Select a first point on the horizontal (or vertical) axe of the image.
  • Select a second point on the horizontal (or vertical) axe of the image.
  • Select part of the image which should be below (or left) the axe.
  • Horizontal axe (or vertical axe) is restored.

Press Esc to cancel the tool when you want.

Rotate 90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modify
keyboard access: R

This function rotates image 90° clockwise.

If the image is a JPEG file, a lossless transformation is applied. Such transformation, which modifies the file, does not reapply any compression to your image, preserving its quality. Status bar informs you if JPEG lossless has been applied or not.

Rotation -90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Modify
keyboard access: Ctrl + R

This function rotates image 90° counter clockwise.

If the image is a JPEG file, a lossless transformation is applied. Such transformation, which modifies the file, does not reapply any compression to your image, preserving its quality. Status bar informs you if JPEG lossless has been applied or not.


Netteté & flou

2D editor / Blur & sharpen

Unsharp Mask
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Blur & sharpen

This functions makes details appear more clearly on a blur image. Edges are detected and settings reveal them more or less.

Radius Radius in pixels of the convolution kernel.
When a pixel belongs to an edge, pixels around it are modified if they are inside the convolution kernel.

Sigma

The greater the value the greater the contrast on both sides of an edge. Image saturation can result from big value.
Filtered / initial image blending

Resulting image is the blend of initial image with filtered image. A value equal to:

  • 0 %: resulting image is the blend with 0% of the filtered image and 100 % of the initial image.
  • 50 %: resulting image is the blend with 50% of the filtered image and 50 % of the initial image.
  • 100 %: resulting image is the blend with 100% of the filtered image and 0 % of the initial image.
Threshold under which effect is applied

Threshold corresponds to a difference needed, between the initial image and the filtered image.
If difference is below the value set, filtered pixels are put in the resulting image. If difference is above the value set, initial pixels are put in the final image.
Filter is applied to whole pixels of the final image when threshold is egal to 0.
Threshold value is generally between 2 and 20 to keep image quality.

Blur
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Blur & sharpen

This functions blurs image

Radius | Radius in pixels of the convolution kernel. Increasing radius results in increasing blur amount.
Sigma | Sigma modifies the coefficients distribution inside the convolution kernel. Low value generates a gradient blur effect around a given pixel. High value involves an uniform blur effect around a given pixel.

Gaussian Blur
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Blur & sharpen

This functions blurs image. Generated blur is soft and very similar to a photographic blur.

Median
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Blur & sharpen

This filter reduces blur resulting of a camera movement. Each pixel is replaced by the median value computed from the pixels around it.

Radius Radius of the circle used to computed the median value around a pixel.


Ajout et suppression de bruit

Editeur 2D / Ajout et suppression de bruit

Add Noise
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Add & reduce noise

This function adds different kind of noise to image.

Noise type Select the noise type you want to add from the list.

Despeckle
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Add & reduce noise

The despeckle filter reduces spot, speckles on image due, for example, to the film development process.

Reduce Noise
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Add & reduce noise

This filter reduces image noise. Noise reduction involves loss of details on image.

Advanced Noise Reduction
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Add & reduce noise

Reduce noise in image using a noise peak elimination filter.

Radius

Select the radius of the circle used for noise elimination around a pixel. This value determines the strength of the noise reduction.
Noise reduction involves loss of details on image.


2D editor / Colors

Equalize
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Colors

The "Equalize" function redistributes the brightness values of the pixels in an image so that they more evenly represent the entire range of brightness levels. Once, done, the average luminosity is close to 128.
You might use this function when a scanned image appears darker than the original and you want to balance the values to produce a lighter image.

Normalize
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Colors

This filter gives pixels luminosity the widest dynamic range (0...255). Normalize increases image contrast.
You might use normalize when image highlights and shadows appears gray.

Threshold
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Colors

Use the Threshold command to convert grayscale or color images to high-contrast, black-and-white images.

Threshold

All pixels lighter than the threshold value are converted to white and all pixels darker to black.
Image is turned to black for a value of 0. It is turned to white for a value of 255.

Solarize
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Colors

Blends a negative and a positive image similar to exposing a photographic print briefly to light during development.

Threshold

Inverted R, G and/or B value is used when one of the pixel RGB component is below the threshold value.
0 results in a negative image.


2D editor / Specials effects

Edges
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

This function reveals edges which are high contrasted parts of image. Unlike Emboss function, this filter removes image colors.

Edge size Width (in pixel) of resulting edges.

Random Spread
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

This function moves pixels image pixels randomly.

Spread strength This is the maximum distance a pixel can be moved.

Emboss
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

Highlights edges of image with a 3D effect. Unlike 'Edges' this filter keeps image colors.

Radius | Edges width (size of the convolution kernel)
Sigma | Coefficients distribution in the convolution kernel. Values lower than 1.0 alter colors. Otherwise, it produces high contrasted edges for value close to 1.0, soft edges for greater values.

Charcoal
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

This filter turns edges to grays levels, as if they are drawn using charcoal.

Radius | Edges width (size of the convolution kernel)
Sigma | Coefficients distribution in the convolution kernel. Values lower than 1.0 alter edges. Otherwise, it produces high contrasted edges for value close to 1.0, soft edges for greater values.

Shade
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

This filter simulates image lighting, with a spot which has a given direction and elevation. Edges appears raised or stamped, depending on settings.

Light direction angle | This angle reveals edges which are in the specified direction.
Light elevation angle | Incidence angle of the spot. Values close to 0° and 180° give a low-angled light effect. This increases egdes contrasts and results in a dark image. Values close to 90° result in brighten image.
Color shading | A color shading is applied when Color shading is checked. This results in dark image for elevation angle close to 0° and unchanged image for value close to 90°. When unchecked, filter produces a grays levels image.

Oil Paint
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Specials effects

This filter turns image as if it has been drawn using oil paint.

Brush size Size of the brush strokes.


2D editor / Geometry

Offset
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Geometry

Moves a selection a specified horizontal or vertical amount.

Horizontal offset | Moves image left for value lower than 0, right for value greater then 0.
Vertical offset | Moves image up for value lower than 0, down for value greater then 0.

Implode
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Geometry

This filter implodes image moving pixel to its center.

Implosion strength Pixels are more and more attracted as the value increase.

Wave
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Geometry

This filter deforms image along a sinusoidal curve.

Wave amplitude | This value defines the height of the wave.
Wave length | Determines the distance from one wave crest to the next
Background color | Areas left empty by the deformation are filled with the background color. Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Swirl
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Filters / Geometry

This filter deforms image along a spiral (centered on image center).

Angle Sets the number of revolution of the spiral. One turn equal to 360°.


JPEG Lossless

2D editor / JPEG Lossless

JPEG file format is a destructive format. Each time you modify and save a JPEG image, you damage it, by losing details.
This is not the case if you apply JPEG lossless transformation. JPEG Lossless commands works only if a JPEG file is loaded in the viewer and are not undoable.

Rotate 90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+T

Rotates the image 90° clockwise. Image is saved and reloaded.

Rotate -90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+Shift+T

Rotates the image 90° counterclockwise. Image is saved and reloaded.

Horizontal Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+M

Flips the image horizontally. Image is saved and reloaded.

Vertical Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+Shift+M

Flips the image vertically. Image is saved and reloaded.

Crop
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+Shift+C

This command crops the image and keeps only the part inside a frame you define with the mouse. Get more information looking at the crop command page.
Note: JPEG Lossless functionalities imply that the cropped image might have a size slightly different of the frame size you defined. Cropped image is always larger than the frame you defined.


2D editor / Edit

Update the image thumbnail
version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Ctrl+U

This command updates the catalogue image thumbnail, using the current displayed image. This allows you to choose the best image to display, by selecting a layer or a particular image from a video or an animated GIF.
This image is kept if you perform a catalogue update or if you modify the file content.


2D editor / Edit

Resize
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: S

This function resizes image.It enlarges or shrinks its size vertically and/or horizontally. Keep in mind that changing pixel dimensions affects not only the size of an image on-screen but also its image quality.

Width | Width, in pixel, of the resized image. Default value is the current image width. Use a greater value to enlarge image horizontally. Smaller value shrinks it.
Height | Height, in pixel, of the resized image. Default value is the current image height. Use a greater value to enlarge image vertically. Smaller value shrinks it.
Constrain proportions | Check Constrain proportions if you want to keep image proportions. In this case Width and Height are automatically updated when you modify values to keep width/height ratio. Uncheck this option if you want to compress or dilate image vertically or horizontally depending on the value you enter in the Width and Height fields.
Ratio | This field is available only when Constrain proportions is checked. This value is the ratio between new image size and current image size. 50 % reduces image size by 2 in width and height. 200 % enlarges image by 2 in width and height.

Canvas Size
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: W

Canvas size command adds or removes space around the image. You can also crop the image by entering dimensions for the canvas size, which are smaller than the original one.

New width Width, in pixels, of the canvas size. Default value is set to the current width of the image.
A greater value increases the canvas size horizontally. A smaller one crops the image and reduces the canvas size.

New height

Height, in pixels, of the canvas size. Default value is set to the current height of the image.
A greater value increases the canvas size vertically. A smaller one crops the image and reduces the canvas size.
Image position Select one of 9 the squares to set the position of the current image in the new canvas size.
Background color Select the color to use for the new area of the canvas size.
Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.
Crop image when new dimensions are smaller than the original dimensions

Displayed only in a batch processing context

When the canvas size dimensions are smaller then the original image dimensions:

  • Image is cropped if this option is checked.
  • Image is not modified if this option is unchecked.
Use the top left pixel as background color

Displayed only in a batch processing context

Override the background color setting. Use the color of the top left pixel as the background color instead.

Crop
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: C

This functions crops the image and keeps only the part inside a frame you define with the mouse :

  • Select "Crop" tool. Press the O (Options) key to open the Crop dialog.
  • Click and move the mouse to draw the frame used for cropping.
  • Adjust frame size using one of its handle.
  • Move the frame by clicking inside it to the position you want.
  • Double click inside the frame or press Enter key to crop image.
  • Press Esc to cancel the crop

Press the O key at any time to open the Crop dialog. It shows clearly the position and the size of the crop frame.

Coordinates in pixel Coordinates in percentages | Select the unit used for X, Y, Width, Height. Coordinates in percentages mode is useful when you crop from a batch command. It allows to enter coordinates, which remain valid whatever the image's size.
X | X position, in pixel or percentage, of the frame corner.
Y | Y position, in pixel or percentage, of the frame corner.
Width | Width, in pixel or percentage, of the frame.
Height | Height, in pixel or percentage, of the frame corner.
Constrain proportions | Check Constrain proportion to keep Width / Height proportion, when resizing the frame. When this checkbox is not checked, you can resize the crop frame without any constraint.

Note: When file has the JPEG format and no modification, with another function, has been done to it, viewer asks you for a lossless crop.
This kind of cropping keep image quality because is not JPEG compressed again. File is directly modified on the hard disk, you don't need to save it.
However, as Lossless crop is not undoable, a dialog box asks you if you want to perform a lossless crop or standard crop.

Automatic Crop
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Ctrl + C

This function crops image by removing borders which have a plain color.

Crop plain color borders

Crop borders which have the specified color

Select the cropping mode

When Crop plain color borders is selected, plains colors borders are removed. Colors can be different on each border.

When Crop borders which have the specified color is selected, only borders which have the selected color are removed. Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Use current layer to determine crop size

Use all layers to determine crop size

As cropping changes image size it can be useful to beware of layers to determine crop size. Using Use all layers to determine crop size a crop rectangle is find on each layer. Final cropping size has the size of the smallest rectangle containing rectangles found on each layer. Doing this way, you are sure that no useful details are lost.

Using Use current layer to determine crop size, crop size is computed only using the current layer. Plains colors borders of the current layer are removed but useful details on others layers might be removed.

Undo
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Ctrl + Z

This function undoes modifications that previously occurred on image.

Redo
Version: 3DBrowser / 3DBrowser Pro
menu access: Edit
keyboard access: Ctrl + Y

This function redoes modifications that has been previously undoes. It is enabled only if you use "Undo" before.


2D editor / Images

Display the images list
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: L
toolbar

This list allows to view the image layers or the different frames of a video or an animated GIF. Select the image to display from the list by clicking on its thumbnail.
When you open several images in the same viewer, compare your images by clicking on their thumbnails.
For a video, the list displays about thirty images extracted from the movie. When you stop playing at a particular frame, the list is updated and shows the images around this frame.

Play a video or an animated GIF
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: P
toolbar

Use this command to play a video or an animated GIF. Use Play video to start the video. Click on a thumbnail in the images list to jump to a particular frame.
Select Play video again to stop playing a particular frame. The images list is updated and shows images around this frame, allowing you to extract or modify images around this breakpoint.

Note: when you modify a video or an animated GIF image, the original file is not modified.

Extract images from a video or an animated GIF

Use Play the video to play a video or an animated GIF, then stop playing at a particular frame. Use the images list to select accurately the frame you want to extract. Use Save as... command to save the selected frame in an image file.

Note: when you modify a video or an animated GIF image, the original file is not modified.

Next Image
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Images
keyboard access: Left arrow
toolbar

Previous Image
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Images
keyboard access: Right arrow
toolbar

You can open next or previous image file directly from the viewer. :

  • Use "Next image" or "Previous image" icons, or
  • Use one of the followings keys:
    • Left arrow: opens previous image
    • Right arrow: opens next image

Slides Show
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Images
keyboard access: Ctrl + right arrow
toolbar

Slides show opens successively each image contained in the current folder.

  • Select "Slides show" function to start slides show.
  • Press followings keys:
    • O (options): defines the time each image remains on the screen.
    • P (pause): stops slides show. Press again on P to restart it.
    • Left arrow / right arrow: opens previous or next image file.
  • Press Enter or Esc key to stop slides show


2D editor / View

This functions does not change image content. They just modify the way image is displayed on the view.

Changing the image displayed
Version: 3DBrowser / 3DBrowser Pro
Toolbar access

Select the image or the layer you want to display (Alpha channel, Z-Buffer…) by clicking on the Display image list icon in the toolbar. An image list is displayed on the left of the window. Click on a thumbnail to display it in the viewer.

Move
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: M / Space

Move your image inside view by clicking and moving image in the direction you wish.
Note: only available when image is not entirely visible in the window.

Zoom /2
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: - (Num. pad)

Use this function to divide zoom factor by 2, which reduce image in the view.

Zoom x2
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: + (Num. pad)

Use this function to multiply zoom factor by 2, which magnify image in the view.

Zoom In / Out
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: Shift / Ctrl + - (Num. pad)

The Zoom in / out tool magnifies or reduces image in the view. In order to zoom in:

  • Left click on the part you want magnify. Image is centered on the clicked pixel, magnified by a factor 2.
  • Left click and move to define a frame containing the part you want to magnify.

In order to zoom out:

  • Right click on the part you want reduce. Image is reduce by a factor 2, centered, when possible, on the clicked pixel.

Auto Fit On View
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: Ctrl+0 (Num. pad)

The Auto fit on view command specify that 3DBrowser should automatically shrink or enlarge image (when it is first opened) to fit the view.
This is a preference settings you can toggle on and off.

Checking it will deactivate Zoom lock.

Zoom Lock
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: Ctrl+. (Num. pad)

The Zoom lock command saves and locks the current zoom ratio. If the image is displayed at 200% and you check Zoom lock, next images will be displayed at 200%
This is a preference settings you can toggle on and off.

Checking it will deactivate Auto fit on view.

Actual Size
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: . (Num. pad)

Display image to its actual size. Zoom factor is equal to 100% which means that no magnification/reduction is performed. One pixel of the image is displayed on one pixel of the screen.

Fit On View
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: Ctrl+0 (Num. pad)

The Fit on view command shrink or enlarge image to fit the view.

Full Screen
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: Tab

This toggles Full screen mode on. To close Full screen mode, press on the tab key.


OpenGL / File

Opening a 3D file from from 3DBrowser
Version: 3DBrowser / 3DBrowser Pro
menu access: View / View file
contextual menu access: righ click on a thumbnail
keyboard access: Enter key
mouse access: double click on a thumbnail

3DBrowser has a 3D OpenGL viewer, which allows to visualize 3D scene. To open the viewer, select a scene file and use the function "View file" in the view menu.
The viewer allows you to view and convert in a new file format the opened scene. Moving tools allow you to move around scene.

Closing an OpenGL viewer
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: Enter key
toolbar access

If you want to close a 3D viewer, press again Enter key or use the "Close" function in its file menu.

Send to 3DS Max
Version: 3DBrowser / 3DBrowser Pro
menu access: File
toolbar access

You can export the current 3D scene to 3DS Max.

  • Open 3DS Max
  • Activate 3DBrowser plugin (Utility plugin panel in 3DS Max)
  • Activate 3DBrowser and open the file to export.
  • Select objects you want export to 3DS Max. Hide objects you don't want to export.
  • Click on the "Send to 3DS Max" icon, or
    Select the "Send to 3DS Max" in the File menu.

Rename File
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: F2

This function allow to rename the currently displayed file.
Enter the new name for the file. 3DBrowser asks for a confirmation if you modify the extension of the current file.

Delete File
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: Ctrl + Suppr

This function allow to delete the currently displayed file.
If you confirm the file deletion, 3DBrowser automatically opens the next scene.


...Open GL / File

Save As
Version: 3DBrowser / 3DBrowser Pro
menu access: File
keyboard access: Ctrl + S

This function saves scene in the 3D file format you select.

  • Select "Save as..." in the File menu. A file selector is displayed.
  • Select the folder and the enter a filename.
  • Select the file format.
  • Click on Save button.


...Open GL / File

Save Scene as Image
Version: 3DBrowser / 3DBrowser Pro
menu access: File / Save scene as image...
keyboard access: Ctrl+Alt+S

Save an image from the scene defining its size, the render mode and the point of view.
Define your parameters than press OK. A file selector allows you to define the name and the format of the image to saved.

Render settings

Select the render mode (wireframe, smooth...), the point of view (top, front...) and the background color used to create the image.

Current point of view uses the point of view curently used in the viewer.

Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Render mode

Point of view

Background color
Image settings

Enter width and height of the image (in pixels).

Image width

Image height
Antialiased image

Check this option in order to get a smoothed image and give it more precision.

Unchecked this option to get a rough image. For example, this might be useful when you render in the wireframe mode.

Print...
Version: 3DBrowser / 3DBrowser Pro
menu access: File / Print...
keyboard access: Ctrl+P

This command prints an image of the scene. Current point of view is used, white is used as background color.
Generated image has a good definition, so you can print large image format.
Look the image settings tab page to get more information on the dialog parameters.


OpenGL / Tools

Changing the default point of view used for thumbnails creation
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools

Select this function to use the current point of view as default point of view when creating thumbnails preview. You can recompute objects preview with this new point of view by using Update catalogue... function.

Replacing a thumbnail using a specific point of view
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools

This function recomputes thumbnail of the current file, using the current OpenGL point of view. The preview is kept and used when thumbnail need to be updated.
Use Update catalogue... function, if you want to delete this specific point of view.


Polygon Cruncher for 3DBrowser

Polygon Cruncher
Version: 3DBrowser / 3DBrowser Pro (additional license needed)
toolbar access
menu access: Tools

Polygon Cruncher is a powerful functionnality and need an aditionnal license to be used.

Polygon Cruncher is a powerful tool which decreases faces and points number without removing details.

Polygon Cruncher is really simple to use. It offers you :

  • An intelligent reduction of the number of faces : useful faces are removed at last. So you can reduce your model up to 75 % without removing details.
  • You keep textures coordinates or vertex colors information.
  • You can apply Polygon Cruncher on one or more objects at the same time, on one materials or several materials. You can work on a faces selection or on an invert faces selection.
  • Respect of symmetry for objects that are symmetrical
  • You can protect the border of the objects. Polygon Cruncher allows objects borders to be protected or to excluded from the process. Your objects stays connected after optimization process.
  • You control precisely the number of faces or points you want.
  • An OpenGl preview which allows you to control optimization results.
  • Polygon Cruncher is very fast.


OpenGL / Tools

OpenGL view offers you several tools to move in and around your scene. Here is a description these tools..

Navigating in the 3D scene
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools
OpenGL viewer toolbar
keyboard access:

You use the following shortcuts keys to activate temporarily a moving tools:

  • Ctrl: to zoom in/out the scene.
  • Alt: to rotate around the scene. By using the camera control, you can rotate around the scene along a given axis.
  • Ctrl+Alt: to pan on your scene.
  • Shift: to accelerate rotation, zoom, or pan.

Pan
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools
keyboard access: P, Ctrl + Alt

To move laterally on the scene:

  • Select "Pan" tool
  • Click and move on the OpenGL view to pan

Rotate
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools
keyboard access: R, Alt

To turn around the scene:

  • Select "Rotate" tool
  • Click and move inside the circle control to rotate along X and Y axis, or
    Click and move outside the circle control to rotate along Z axis, or
    Click and move on a circle control handle to rotate along X or Y axis

Zoom
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools
keyboard access: Z, Ctrl

To zoom in/out the scene:

  • Select "Zoom" tool
  • Click and move up the screen to zoom in
    Click and move down the screen to zoom out


OpenGL / Preferences

Customize the viewer settings using OpenGL preferences.
You can adjust the view, depending on your computer performances, to accelerate the display or to increase the render quality

General preferences
Version: 3DBrowser / 3DBrowser Pro
menu access : Tools
OpenGL viewer toolbar

Double-sided display
Switch between a double-sided display or a single-sided display. In single-sided mode, faces display depend on its normal orientation.

Show selected faces
Allows selected faces to be displayed with a specific color. To select this color click on Selected faces color.Semi-transparent hidded objects.
Hidded objects are semi-transparency displayed.

Use vertexs colors when possible
Show vertexs colors if your object has color information for each point. For example, this allows you to control vertexs colors optimization

Activate accumulation buffer
 The activation of this parameter might improve performances on some graphics cards, but it increases memory needs. Unchecked by default, activate it when the rendering is abnormally slow.

Use small icons in toolbars
Check this option to reduce the toolbars icons size.

Colors and lights
Version: 3DBrowser / 3DBrowser Pro
menu access : Tools
OpenGL viewer toolbar

Background color
Change OpenGL background color using a color selector.

Selected faces color
Change color of selected faces using a color selector.

Wireframe color (smooth / flat)
Change wireframe color when using flat + wireframe or smooth + wireframe mode.

Lights color
Change the lights color using a color selector. The default lights color is a light gray.

Single spot lighting
Chech this box to use a single light to brighten your scene. This reduce the rendering quality but increase the OpenGL display.

Textures
Version: 3DBrowser / 3DBrowser Pro
menu access : Tools
OpenGL viewer toolbar

Enable texturing
Chech this box to display textures in the OpenGL viewer.
Textures display reduces speed and increases memory needs, but enhances rendering.

Use low resolution textures
When you display textures, you can reduce memory needs by checking this box. Enter the maximum size (in pixels) for displaying textures in the Maximum image size field. Depending on the value you enter, using low resolution textures decreases rendering quality but increases its speed.

Apply perspective correction
Check this box to improve textures mapping on your objects. This reduces textures deformations when you turn around the scene and reduces openGL speed display.

Use smoothed textures
Check this box to smooth textures and to limit textures aliasing.
This reduces openGL speed display.

Textures directories
Version: 3DBrowser / 3DBrowser Pro
menu access : Tools
OpenGL viewer toolbar

You'll find the list of directories where the openGL will look for textures files.
The viewer will look for a given texture file first in the current directory, then in all the directories of this list.

Add path
Use the directory selector to add a directory to the list.

Remove path
Remove the selected directories from the list.


OpenGL / Scenes

Display the scene list
Version: 3DBrowser / 3DBrowser Pro
menu access: View
keyboard access: L
toolbar

When you open several scenes in the same viewer, you can compare your scenes by clicking on their thumbnails.

Previous Scene
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Scenes
keyboard access: Left arrow
toolbar

Next Scene
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Scenes
keyboard access: Right arrow
toolbar

You can open next or previous scene file directly from the viewer. :

  • Use "Next scene" or "Previous" scene icons, or
  • Use one of the followings keys:
    • Left arrow: opens previous scene
    • Right arrow: opens next scene

Slides Show
Version: 3DBrowser / 3DBrowser Pro
menu access: View / Scenes
keyboard access: Ctrl + right arrow
toolbar

Slides show opens successively each scene contained in the current folder.

  • Select "Slides show..." function to start slides show.
  • Press followings keys:
    • O (options): defines the time each scene remains on the screen.
    • P (pause): stops slides show. Press again on P to restart it.
    • Left arrow / right arrow: opens previous or next scene file.
  • Press Enter or Esc key to stop slides show


OpenGL / View

Objects List
Version: 3DBrowser / 3DBrowser Pro
menu access : View
keyboard access: O

This function toggle on/off Objects list.
Objects list is useful to show/hide objects in the scene. Check/uncheck the checkbox left the object name to show/hide it.

Note: Objects list is automatically hidden in full screen mode.

Displaying information on objects
Version: 3DBrowser / 3DBrowser Pro
access : Objects list window

In the Objects list window, click on an object name to get information about it.

Materials List
Version: 3DBrowser / 3DBrowser Pro
menu access : View
keyboard access: M

This function allows you to toggle on/off Materials list.
Materials list is useful to show/hide faces which has a given material in the scene. Check/uncheck the checkbox left the material name to show/hide faces which use material.

Note: Materials list is automatically hidden in full screen mode.

Displaying information on materials
Version: 3DBrowser / 3DBrowser Pro
access : Materials list window

In the Materials list window, click on an material name to get information about it.

Predefined points of view
Version: 3DBrowser / 3DBrowser Pro
menu access : View
keyboard access: 2, 4, 6, 8, 5, Ctrl+5 of the numeric pad

View the scene from the top, front, left... using predefined views.
Zoom factor does not change when you selet one predefined view. Use Fit on view if you need to enlarge/shrink scene to fit the view.

OpenGL display mode
 Version: 3DBrowser / 3DBrowser Pro
menu access : View
toolbar access
keyboard access: Ctrl+0, Ctrl+1, Ctrl+2, Ctrl+3, Ctrl+4

You've got 3 different display modes and 2 combinated modes:

  • Wireframe
  • Flat
  • Smooth: you got 3 levels of smoothing: low, medium or strong. You can also customize the smoothing level, entering an angle value under which two faces will be smooth displayed.
  • Flat+wireframe
  • Smooth+wireframe

Combinated modes are really useful to check the mesh polygons.

Enable Texturing
Version: 3DBrowser / 3DBrowser Pro
menu access : View
toolbar access
keyboard access: Ctrl+T

Check this setting to enable or disable texturing. This is a shortcut for the Enable Texturing setting in the preferences dialog (Textures tab).

Enable Vertexs Colors
 Version: 3DBrowser / 3DBrowser Pro
menu access : View
toolbar access

Check this setting to enable or disable vertexs colors. This is a shortcut for the Use vertexs colors when possible setting in the preferences dialog (General tab).

Fit on Screen
Version: 3DBrowser / 3DBrowser Pro
menu access : View
keyboard access: 0 (Num. pad)

The "Fit on Screen" commands shrink or enlarge scene to fit the view.

Full Screen
Version: 3DBrowser / 3DBrowser Pro
menu access : View
toolbar access
keyboard access: Tab

This toggles Full Screen mode on. To close Full Screen mode, press on the Tab key.


Import images from TWAIN device

Twain Import
Version: 3DBrowser / 3DBrowser Pro
menu access: File / TWAIN Importation

Scanners usually exchange with computer using the TWAIN protocol (Technology Without An Interesting Name).
If a scanner or a digital camera is connected to your computer, you can retrieve images from these devices using TWAIN importation command.
If your device is recent, it might supports WIA protocol. If so, it's better to use WIA importation command.

To import images from a TWAIN device:

  • Click on TWAIN Importation ...
  • Define format and saving parameters. Click on OK.
  • Select TWAIN source which is the device from which you want retrieve your images.
  • TWAIN interface for your device is opened. Look at the help provided with your device to get information about it.
    Define your settings then validate importation.
  • Files are saved in the directory you select. If you import several images, files are numbered using the transfer order.
Images file name | Enter the name of saved images. Extension is automatically added by 3DBrowser using the selected format extension. This name is used to save image you import from the TWAIN device. If you import several images, files are numbered using the transfer order.
Destination directory | Enter the path of the directory which will contains the importated images. Click on Browse... to select a directory, using the select directory dialog box.
Images file format | Select format of the saved images. Some formats involve to modify images. For example, gif format performs a 256 colors conversion.
Settings... | Click on Settings... when some settings can be done for the selected format (i.e. quality for JPEG files).
Display only common files extensions | 3DBrowser recognizes a lot of formats. Display only the most common formats using this checkbox.


Import images from a WIA device

WIA Import
Version: 3DBrowser / 3DBrowser Pro
menu access: File/WIA Import...
keyboard access: Ctrl+I

Note: this command is not available under Windows 98, Windows NT and Windows 2000.
It works under Windows Me, Windows XP

Most of the recent digital cameras exchange with computer using the WIA protocol (Windows Image Acquisition).
If a scanner or a digital camera is connected to your computer, you can import images from your device using this command.

To import images from a WIA device:

  • Select WIA importation...
  • If several WIA devices are connected to your computer, select the device from which you want to import images.
  • Select the images you want to import.
  • Images are transferred in the current 3DBrowser directory. The device determines their format.


Batch command processing - Overview

Batch Command
 Version: 3DBrowser / 3DBrowser Pro
menu access: Tools/Batch command...
toolbar access
keyboard access: Ctrl+B

Batch command applies a set of 3DBrowser commands to a set of files. batch processing allows a lot of files to be converted in one step, to apply filters, stretch or rotate images... Predefined batch commands are available through the Batch command menu in the 3DBrowser toolbar.

Followings terms apply to batch processing:

Source files: the set of files which will be modified by the batch command.
Source directory: directory and sub directories which contain source files.
Batch command: set of commands run successively on each source files.
Destination files : file resulting from the batch command processing.
Destination directory: directory which contains destination files.

To create a batch command, you must define source files, 3DBrowser commands to apply to source files and destination files. A dialog box allows creating a batch command really easily. This dialog box is organized as follow:

  • On the left is the list of 3DBrowser commands, which can be included in a batch command.
  • On the right is the list of the currently edited batch command. Commands are run successively on each file, from the top to the bottom.
  • On the center several buttons add, delete or modify the command selected in the right list.
  • On the bottom you find information about the current selected command and buttons, which allow the batch command to be loaded, saved and run.

Description

Enter the batch command name. This name appears in menu, which contains batch commands, accessible from the 3DBrowser toolbar.

Left window

This window contains the organized list of scriptable commands.
Add a command to the edited batch command by:

  • double clicking on the command name, or
  • selecting the command you want insert in your batch command and clicking on the right arrow button.

Right window

This window contains the commands list of the currently edited batch command. Source files command is always on the top of the list. You can:

  • delete the selected command by clicking on the cross button. Source files command can't be deleted.
  • move a command upward or downward, using the up or down button. Commands order is important as commands are run from the top to the bottom. You can't set a command before Source files command.
  • edit command settings, using the dialog box button. This button is inactive, if a command does not have any setting. Current selected command settings are displayed at the bottom of the dialog.

Destination files command should belongs to the list if you want to saved the batch command results. Destination files is usually the last command of the list. You can also add it anywhere else in the list if you want to save one of the batch processing steps.
Load

Load a batch command from the hard disk.
Save

Save the current batch command to the hard disk.
All the commands settings are save as well as all file formats settings.
Delete

Delete all commands from the batch command.
Run batch command

Run the batch command on each files as defined in the Source files command.
A window displays batch processing information for each command applied on each file processed. Errors or warnings are displayed in red or yellow lines.
Resulting files are saved in the destination directory as defined in the Destination files command.


Batch command processing - Source files

Batch command processing
Source files

Source Files (Batch Command)
 Version: 3DBrowser / 3DBrowser Pro
menu access: Tools/Batch command...
toolbar access
keyboard access: Ctrl+B

Using this command, you select the files to process with the batch command.
Double click on the Source files command in the Batch command dialog to open the Source files dialog box.

Source directory

Define the directory which contains the files to process.

Current selection makes the batch processing being applied only to files which are selected in the 3DBrowser main window. This option is inactive if no files are selected.

Current directory makes the batch processing being applied to all the files contained in 3DBrowser current directory or current album.

Selected directory makes the batch processing being applied to a particular directory. Enter its path or select it using the browse... button.

Current selection

Current directory / Current album

Selected directory

Browse...

Include sub directories

This option is inactive when Current selection or Current album option is selected.

Include sub directories includes sub directories files to the batch processing.

Source files

Some batch commands might include commands which operate on several kinds of files.
Select the file type or the file format of the files to process. Others files are excluded from the process.
Note: if a batch command contains only commands, which operate on images files, it is applied only on images files. Nothing is done on others files.

Select All files to apply the batch command to any kind of files of the source directory.
Select 2D files or 3D files to apply the batch command only to 2D or 3D files.

Select Selected file type to apply the batch command only to files that match the format you select in the list.

All files

2D files only

3D files only

Selected file type
Display only common files extensions

3DBrowser recognizes a lot of formats. Display only the most common formats using this checkbox.


Batch command processing - Select destination

Batch command processing
Select destination

Destination Files (Batch Command)
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools/Batch command...
toolbar access
keyboard access: Ctrl+B

Destination Files command saves the batch processing results. Used in conjunction with Source files command, it performs file format conversion.

A batch command usually contains one Destination Files command at the end of the commands list. If this command is missing, batch command has no effect because batch processing results are not saved.
A batch command can also contain several Destination Files commands in you want to save different steps of the batch processing.

To open command dialog parameters:

  • Insert Destination Files to the batch command
  • Double click on Destination Files or select it then click on the dialog box button under the batch command dialog.

Destination directory

Define the directory that will contain batch processing results.

Select Same as the source directory in order to save the destination files in the source directory (defined using the Source files command). Check carefully name and replacement mode for the destination files. Source files might be replaced if bad options are selected.

Save results in Selected directory checking this option. Enter its path or select it, using the Browse... button.
You can enter a path which is relative to the source directory. For example, if your directory is C:\tmp\images and if you enter ..\results, results will be saved in C:\tmp\results.

Destination directory files are excluded from the batch processing, if it is a source directory sub directory. This avoids applying the batch command on resulting files, and consequently to multiply resulting files, in the case you run the batch command several times.

Same as the source directory

Selected directory

Browse...

Recreate directories tree

Check this option in order to recreate the source directory tree in the destination directory. It has no effect if Include sub directories is unchecked in Source files command.

All resulting files are saved in the destination directory, if this option is left unchecked.

Name and replacement mode...

Select the replacement mode in the case the destination directory already contains files.

Source file name is kept if no name conflict occurs when a destination file is saved.
If a conflict occurs, rename automatically the destination file using Name file in order to never replace a file of the destination directory. 3DBrowser numbers resulting file name, so the existing file is not replaced.

If name conflict occurs you can also ask for a replacement confirmation or replace the existing file by the new one without asking for anything. Be careful using this option particularly if source files directory and destination files directory are the same.

Name files...

Ask for replace...

Never ask...
Add following text to file name

You can add a text to the destination files names. Text is added to the end of filenames. Use this feature if the batch command contains several Destination directory command.

Destination file format

Resulting files might have a different format than source files. If you wish to perform conversion, check Convert to the selected format then select the target format from the list. Click on Settings... if the selected format has settings dialog box.

Check Keep source file format in order to keep source files formats. It's better to set parameters for each formats from the format list and using the settings... button. These parameters are saved with the batch command and need to be define only the first time.

Keep source file format

Convert to the selected format

Settings...
Display only common files extensions

3DBrowser recognizes a lot of formats. Display only the most common formats using this checkbox.


HTML exportation - Overview

HTML exportation
Overview

HTML Exportation
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / HTML exportation...

This feature creates HTML pages using the files that are in a given directory. Predefined templates give various results, without needed to know anything in the HTML language. If you are familiar with the HTML language, you can also create your own templates using the 3DBrowser specific tags

To understand how to use this tool, you must distinguish the following elements:

  • Source files
    They are the files to export to the HTML pages. Depending on the template a source file might appear as an image (reduce or not) or as an HTML link to the file    .
  • HTML template
    It is used to create the HTML pages. 3DBrowser offers predefined templates such an HTML slides show, a contact sheet... A template is made of one or more HTML pages. It can include frames or JavaScript code. It contains 3DBrowser specific tags, which inform the application on the way to display the files on the page (image or link), the required image size and the number of files to include to the page... Files information can be acceded and integrated to the HTML pages through the Information tags.
  • Destination directory
    This is the directory where the exported HTML pages are saved. This directory also contains the images, and eventually a copy of the files themselves as well as all the files that are needed to correctly display the HTML pages.
  • Conversion options
    These options define the image format to use (gif, jpg, png) when 3D Photo Browser creates an image from a file during the exportation process.

In addition, you can create your own templates.


HTML exportation - Source files

HTML exportation
Source files

HTML Exportation / Source files tab
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / HTML exportation...

This tab defines which files must be exported to the HTML pages. Files are exported using the 3DBrowser current sort order.

Directory containing files to export

Define the directory, which contains the files to export to the HTML pages.

Current selection exports only the files, which are selected in the 3DBrowser main window. This option is inactive if no files are selected.

Current directory / Current album exports all files contained in 3DBrowser current directory or current album.

Selected directory exports the files, which are in a selected directory. Enter its path or select it using the browse... button.

Current selection

Current directory / Current album

Selected directory

Browse...

Include sub directories

This option is inactive when Current selection or Current album option is selected.

Include sub directories exports files contained in sub directories of the current or the selected directory.

Update catalogues if necessary

Depending on the HTML template you use, files information, keywords or properties might be exported. These information come from the catalogues, which might be missing or outdated. Check this option to update catalogues before exporting files and ensure that the exported information is update.
Kind of files

Select the kind of files you want to export. The All recognized file option allows files recognized by the application to be export (images, 3D scenes and audio files).

Filter

Extensions edition field

Select No filter to ignore the extensions list and export the files, which match the selected kind of files option.

Select Include the extensions to export files, which extension match the ones specified.

Select Exclude the extensions to prevent files, which extension match the ones specified, being exported.

Use the extensions field to edit the extensions you want to include or exclude to/from the exportation. Extensions can contain wildcards.
For example: *.jpg a*.gif ???1.lwo


Exportation HTML - HTML template and destination

HTML exportation
HTML templates and destination

HTML Exportation / HTML templates and destination tab
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / HTML exportation...

This tab defines the templates used to generate the HTML pages and the directory in which pages are created.

HTML template

Select one of the predefined template to export your files. A description and a preview are displayed for each template.
Edit... | Click on Edit... to edit the template with an external editor. Select the application you want to use for editing the current selected template.
Destination folder

Select the directory where pages are created and all files needed for pages are copied.

You can enter a path which is relative to the directory containing the files to export. For example, if this directory is C:\tmp\images and if you enter ..\results, pages will be saved in C:\tmp\results.
Name of the sub directory containing the images

Enter the name of the sub directory, which contains the images (or the files themselves if the template export them).

Beware that the content of this directory could be deleted before the exportation. If the directory already exists, a message asks you if you want to delete its content.

HTML pages name

Enter the name of the HTML page to create.
When several pages are created, pages are numbered. Add the # character to define the digit number. For example, page### creates pages numbered page0001, page0002...

When pages already exist in the destination directory, a message asks you to delete them before doing the exportation.
Suffix to add to the thumbnails name

Most of the HTML templates inserts thumbnails within the page, and displays the whole file when the user clicks on the thumbnail.

In this case, 3D Photo Browser creates twofiles: one for the thumbnail, the other for the image at its normal size. 3DBrowser adds the suffix you edit to the thumbnails names, to distinguish an image from its thumbnail.
Replace space character in file name by

Check this option to replace spaces by another character. It is better to remove spaces from file names, because space character is not directly usable in HTML language.
Lower case file names | Check this option to create lower case files names. As HTML language differentiates lower and upper case characters, it can be easier to use always lower case characters.


HTML Exportation - Images format and options

Exportation HTML
Images format and options

HTML Exportation / Images format and options tab
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / HTML exportation...

This tab defines the format used for generating the images and some other options for exporting your files.

Image file format | Select the image format you want to use within your HTML pages. Available formats are the one that are supported in the HTML standard (jpg, gif, png). Click on Properties... to set the format parameters.
Properties
Options | By default, only html and htm extension are taken into account when exporting files. However, you might use another extensions for creating your own templates. Enter the extensions to take into account by the command. For example, your template might includes ASP, CFM, ASPX pages... Add here the required extensions, so the pages will be parsed by the HTML command.
Recognize as HTML files and perform links update...
Pages title | Enter the title used for the HTML pages. Insert # in the title to include the page number. For example, "## - Animals" gives the following titles for the exported pages: "01 - Animals", "02 - Animals"...


HTML exportation - Creating your own HTML templates

Creating your own HTML templates

HTML Exportation / Creating your own templates
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / HTML exportation...

Overview

You need to be familiar with HTML language to create your own HTML templates. It is better to have an HTML editor such Dreamweaver or FrontPage.

A template contains one or more HTML pages, which specific 3DBrowser tags. These tags are interpreted by the HTML exportation tool to know where and how files must be integrated within the pages. A template can include JavaScript code or another HTML programming language. If you use a specific language, you might need to adjust the recognized extensions.

A template can include a set of frames, for example one page for displaying files, another one for displaying a table of content.

If your template has several HTML pages, you must distinguish the main page, the template page and the other pages.

The main page
This is the starting point for the template (for example the page which contains a set of frames). A specific tag (<brhredirect>) redirects the parse to the template page. If the main page does not include a set of frame, the main page is also the template page.

The template page
This is the page, which is used to generate HTML pages from your files. It contains files insertion tags. There is only one template page by models. It is parsed during the first pass of the exportation. At the end of this pass, all HTML pages are created.

The other pages
The other pages are parsed only if the main page reference them. 3D Photo Browser specific tags are updated in a second pass. These tags create links between pages that were created in the first pass. This is the step were table of contents are generated.

Where should I put the template in order to make it recognized by the application?

A template must be put in the HTML templates directory, which is located in 3DBrowser directory. The main page must be copied in this directory. The other pages must be copied in a sub directory, which has the name as the main page.
Moreover, if you want to provide a preview for your template you must copy a jpg screen capture (recommended size 300x300). The capture must have the same name as the main page and must be copied in the HTML templates directory.

The following example shows the path for a template which includes a preview, a main page (which is also the template page) and an image which the background of the main page.

\3DBrowser\HTML templates\template_example.htm
\3DBrowser\HTML templates\template_example.jpg
\3DBrowser\HTML templates\template_example\background.gif.

How can I check that the template is correct?

Simply by try it using the HTML exportation command. 3DBrowser informs you if it finds syntax errors while it parses the specific tags. A best practice is also to look the existing predefined templates to find a concrete solution to your questions.

3DBrowser specific tags and attributes list

For each tags or attributes, the description informs about the context (tags that applies to the main page, the template page or the other pages which are linked to the main page). Look at the overview to get more information about these pages.

brhbackground
brhbmap
brhcurpagenbr
brhdate
brhelse
brhfile
brhfilenext
brhfilenbr
brhfirstpage
brhformat
brhhref
brhifexist
brhlastpage
brhlistpage
brhnextpage
brhpage
brhpagenbr
brhprevpage
brhredirect
brhseq
brhstring
brhtitle
meta

Tags to insert files in the HTML pages

brhfile

Context:
Template page only.
Tag does not need to be closed.
Can be used as an attribute value.

Attributes:
tag: name of the information tag which gives access to a particular information of the exported file. There are many values possible, and you might find them using the Tags >> menu of the Export information command for example.

Details:
Used as a tag, this command inserts information, which is provided by the currently exported file (look at information, keywords or properties). You can check that the information exists using the <brhifexist> and </brhifexist> tags.

Used as an attribute value, brhfile is replaced by the name of the currently exported file. You might use brhfile in <a href="brhfile"> and <img src="brhfile"> tags.

The tag <a href="brhfile"> automatically generates a link to the file. When 3DBrowser parses this tag, it replaces brhfile by the currently exported file. Depending on the exportation mode, set by the <brhhref> tag, the file is copied or an image is created from it, which size is specified using the <brhbmap> tag. Whatever the mode, files are copied in the images directory, which has been set by the user in the HTML template and destination tab.

The tag <img src="brhfile" width="100"> automatically creates an image from the file. When Photo Browser parses this tag, it replaces brhfile by the name of a created image. It creates an image, which width is 100 (height depends of the width/height ratio) which name is the original file name more the suffix which as been defined in the HTML template and destination tab. The image format is the one defined in the Images format and options tab. Images are copied in the image directory, defined by the user in the HTML template and destination tab.

It possible to use a relative path with brhfile, which can be needed if you include a frames set in your template (look at where should I put the template files). For example, <a href="../brhfile"> is valid. Once parsed, the generated link is something like <a href="../images/file.jpg"> where images is the directory, which contains the images (cf. HTML template and destination).

Use the <brhfilenext> tag to change the current file and process the next one in the list of the files to process, or use an identifier with each brhfile for a non-sequential template. Indeed, you may associate an identifier to each file if the way the files appear in the page is not sequential. For example, you can display images at the beginning of the HTML page, and information about images at the end of page. When an identifier is associated with a file, the identifier is valid as long as 3DBrowser process the page. You just need to add a number to brhfile in order to associate the file with the number (i.e. brhfile3). If this is the first time this number is used, 3DBrowser process the next file in the list of the files to process. If the number has been previously used, 3DBrowser set back the file as the current processed file.

Example:
<brhifexist><br><b>Title: </b><brhfile tag="brttitle"></brhifexist>

This code adds the title, which has been defined in the information panel for the current file. In this case, brhfile is used as an HTML tag and gives an access to files properties, information or keywords.

<table width="100%">
<tr>
<td><img src="../brhfile0" width="100"></td>
<td><img src="../brhfile1" width="100"></td>
<td><img src="../brhfile2" width="100"></td>
</tr>
<tr>
<td><brhfile0 tag="brtfilename(shortname)"></td>
<td><brhfile1 tag="brtfilename(shortname)"></td>
<td><brhfile2 tag="brtfilename(shortname)"></td>
</tr>
<tr>
<td><brhfile0 tag="brttitle"></td>
<td><brhfile1 tag="brttitle"></td>
<td><brhfile2 tag="brttitle"></td>
</tr>
</table>

This example creates a 3x3 table, the first line contains three images (width 100 pixels) for three different files. The second line contains the name, and the third line contains the title of each files. Note that we use a relative path, which means that this example is to be used in a set of frames.

brhfilenext

Context:
Template page only.
Tag does not need to be closed.
Can be used as an attribute value.

No attribute.

Details:
This tag moves to the next file in the list of the files to process. The exportation finish when there are no more files to export (look at <brhseq> for particular cases). This tag can also be used as an attribute value (i.e. <img src="brhfilenext" width="100"> or <a href="brhfilenext">file</a>). In this case, it works the same way as brhfile, except that it goes to the next file once the tag has been parsed.

Example:
<brhseq loop="-1">
<img src="brhfile" width="100"><br>
<brhfilenext>
</brhseq>

This example creates 100 pixels images width for the files to process. The following code is equivalent:

<brhseq loop="-1">
<img src="brhfilenext" width="100"><br>
</brhseq>

Tags to define the kind of generated links and exported files

brhbackground

Context:
Template page only.
Tag does not need to be closed.

Attributes:
color: hexadecimal value for the background color

Details:
This tag defines the background color when an image is created from a 3D scene or an icon is created from a file. This tag takes effect from its place and can be used as many times as you want. It applies only for files, which are linked to the page using the <a href="brhfile"> and which images does not appear directly within the page.

If the image appears within the page (using <img src="brhfile">), the color set in <body bgcolor=""> is used for creating the images.

Example:
<brhbackground color="#FFFFFF">

This tag defines a white background for images created from 3D scenes or files.

brhbmap

Context:
Template page only.
Tag does not need to be closed.

Attributes:
type: defines kind of file the tag applies to. Can be 2d, 3d, other
width: width of images, in pixels
height: height of images, in pixels

Details:
This tags defines the size images that are created from 2d, 3d or other files, using <a href="brhfile">. When it is not possible to create an image from a file (i.e. is the file is a text file), the icon of the file is extracted, using the defined width and height values. This tag takes effect from its place and can be used as many times as you want.

You can omit the width or the height attribute, when 2d type is used. In this case, the ratio width/height is kept when images are created. If you specify both width and height, images might appear distorted.

Note:
These values are ignored when <img src="brhfile"> is used. In this case, the width / height is directly set by the img tag itself.

Example:
<brhbmap type="2d" width="640"> <brhbmap type="3d"
  width="640" height="400"> <brhbmap type="other"
  width="640" height="400">

These tags define the size of the images that will be created for each kind of file. Images created from files are 640 pixels width. Height is computed using the original image width/height ratio.

brhhref

Context:
Template page only.
Tag does not need to be closed.

Attributes:
2d: define the kind of links for the image files. Value can be image or file.
3d: define the kind of links for the 3d scene files. Value can be image or file.
other: define the kind of links for the other files. Value can be image or file.

Details:
This tag provides a control on the kind of the links when brhfile is used within a <a href=""> tag. When you used image as an attribute value for <brhhref>, the link of the <a href=""> tag refers an image. When you used the file attribute value for <brhhref>, the link of the <a href=""> tag refers the file itself. This tag takes effect from its place and can be used as many times as you want

When an image is being processed and <brhhref 2d="file"> has been set, <a href="brhfile"> performs a copy of the image without any conversion or resizes operation. The use of <brhhref 2d="image"> creates a link to an image, which is converted to the user-selected format, which size is defined by <brhbmap> tag.

When a 3D scene is being processed and <brhhref 3d="file"> has been set, <a href="brhfile"> performs a copy of the scene. The use of <brhhref 3d="image"> creates a link to an image created from the scene, which size is defined by <brhbmap> tag and the background color is set by <brhbackground>.

When the processed file is neither an image nor a 3D scene and <brhhref other="file"> has been set, <a href="brhfile"> performs a copy of the file. The use of <brhhref other="image"> creates a link to an image created from the file (by default the kind of file icon), which size is defined by <brhbmap> tag and the background color is set by <brhbackground>.

Example:
<brhbackground color="#FFFFFF">
<brhbmap type="3d" width="640" height="400">
<brhhref 3d="image">
<a href="brhfile"><brhfile tag="brtfilename(shortname)"> image </a>
<brhhref 3d="file">
<a href="brhfile"><brhfile tag="brtfilename(shortname)"> scene</a>

When a 3D file is being processed, this code inserts two links in the page. The first one links to an image created from the scene (size 640x400 on a white background). The second one links to the 3D file itself. If the processed file is named pen.lwo, you get the following result:

Pen image
Pen scene

Conditional tags, loop tags

brhifexist, brhelse

Context:
Template page only.
Tag must be closed using </brhifexist>.

No attribute.

Details:
This tags performs a conditional test and inserts HTML code if the condition is satisfied. It is used with <brhfile> tag and inserts HTML code only if brhfile tag contains information. If no information exists, the HTML code located between <brhelse> and </brhifexist> is inserted to the generated page. If you do not use <brhelse> tag and brhfile contains no information, the code between <brhifexist> and </brhifexist> is removed.

Note:
If several <brhfile> tags are used between <brhifexist> tags, the condition is satisfied if only one <brhfile>contains information.

Example:
<brhifexist><br><b>Title: </b><brhfile tag="brttitle"></brhelse>No title </brhifexist>
<brhifexist><br><b>Subject: </b><brhfile tag="brtsubject"></brhelse>No subject</brhifexist>
<brhifexist> <br><b>Size: </b><brhfile tag="brt2dwidth"> x <brhfile tag="brt2dheight"> pixels </brhifexist>

This code inserts the title and the subject of the processed file. If it is an image, the size is also inserted.

brhseq

Context:
Template page only.
Tag must be closed using </brhseq>.

Attributes:
loop: number of iteration to perform between the <bhrseq> and </brhseq> tags . -1 value repeats the sequence until there are no more files to process.
break: defines the condition for breaking the loop and ensure that the generated code is valid. Possible values are always and first. If you omit this attribute, the sequence continues until all loops have been done (except is the loop value is -1).
noblank: removes redundant spaces from the code that is generated by the sequence (look at <brhformat>)

Details:
This tags repeats a piece of HTML code a given number of time. The <brhfilenext> is often used between <brhseq> and </brhseq> to change the current processed file within the sequence. If the loop value is -1, the sequence runs until there are no more files to process.

When there is no more file to export and the sequence is not finished, it can be useful to break the loop immediately. However, this is not always possible, for example if the sequence creates table cells, because the generated code might become invalid. Use the break attribute to define the way the loop end when no more file have to be exported:

  • break="always" stops the sequence immediately.
  • break="first" stops the sequence only it is its first loop.
  • If this attribute is no defined, the sequence ends when the defined loop number is reached.
  • If loop="-1" the sequence break immediately whatever the value specified by the break attribute.

When no more file have to be exported, 3DBrowser specifics tags are no longer interpreted.

Examples:
<select name="slide" onChange="change();">
<brhseq loop="-1">
<option value="brhfile" selected><brhfilenbr><brhifexist> - <brhfile tag="brttitle"><brhelse> - <brhfile tag="brtfilename(shortname)"></brhifexist><brhfilenext>
</brhseq>
</select>

This code creates a popup menu, using the title (or the file name, if no title is defined) of all files that are to be exported. The OnChange JavaScript function is called each time the user change the current selection.

<brhseq loop="3" break="always">
<tr>
<brhseq loop="3">
<td>
<a href="brhfilenext"><img width="100" src="brhfile"></a><br>
<a href="brhfile"><brhfile tag="brtfilename(shortname)"></a>
</td>
</brhseq>
 </tr>
</brhseq>

This code creates a table with 9 cells. Each cell have a reduce image (100 pixels width) and the file name above. Two tags <brhseq> are interwoven. The first one generates the table lines; the second one generates the columns. To ensure that the code will be valid, whatever the number of files to process, the second sequence ends when all loops have been done. The first sequence can stops immediately when there is no more file to process.

Redirecting tags when using a set of frames

brhredirect

Context:
Main page only.
Tag does not need to be closed.

Attributes:
href: contains the name of the template page.

Details:
When a template contains a set of frames, the main page defines the set itself. The brhredirect redirects the parse to the template page, which contains the exported files. Look at the overview to get more information on the way to organize your set of frames.

Example:
<brhredirect href="example/main.htm">
<html>
<head>
<title><brhtitle></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="author" content="Mootools">
<meta name="description" content="This is an example">
</head>
<frameset cols="156,833" rows="*" frameborder="NO">
<frame src="example/left.htm" name="left">
<frame src="example/main.htm" name="main">
</frameset>
<noframes>
<body bgcolor="#FFFFFF" text="#000000">
</body>
</noframes>
</html>

This example is the HTML code for a main page (named is example.htm), which has two frames (left.htm and main.htm). These frames are set in a directory named example, as it is explained in the overview. The template page is named main.htm. This page contains 3DBrowser tags for exporting your files. Note that the <meta name="author"> and <meta name="description"> gives a description for the template and defines the template author. This information is displayed in the dialog (HTML template and destination).

Tags for linking with the generated pages (table of contents)

brhcurpagenbr

Context:
All pages linked to the main page.
Tag does not need to be closed.

Attribute:
format: sets the number of digit of the current page number.

Details:
This tag inserts the current page number when generating the table of contents. It is to be used with <brhlistpage> tag. The value is one at the brhlistpage first iteration and is increased as many times as page number were created each brhlistpage loop.

Example:
Look at <brhlistpage> example.

brhdate

Context:
All pages linked to the main page.
Tag does not need to be closed.

Attribute:
format: defines the date format. You can use one or more of the following characters: d (date), h (hour), t (text).

Details:
This tag is replaced by the current date in an HTML page.

Example:
<brhdate format="dht"> inserts the current date using the following format: September 10, 2003, 10:42 AM
<brhdate format="dh"> inserts the current date using the following format: 09/10/2004, 10:42
<brhdate format="d"> inserts the current date using the following format: 10/09/2004

brhfilenbr

Context:
Template page only.
Tag does not need to be closed.

Attributes:
format: sets the number of digit of the file number.

Details:
This tags inserts the number of files currently imported in the HTML page. This number is set to one, each time a new page is started, and is incremented by one each time a file is being exported (using brhfile).

Example:
<brhseq loop="-1">
Image <brhfilenbr format="2">
</brhseq>

This code inserts Image 01, Image 02 and Image 03 if there are three files to export.

brhfirstpage

Context:
Template page only.
Use as an attribute value.

Details:
This tag is used in a <a href="brhfirstpage"> to insert the name of the first created page.

Example:
<a href="brhfirstpage">Première page</a> inserts a link to the first created page.

brhlastpage

Context:
Template page only.
Use as an attribute value.

Details:
This tag is used in a <a href="brhlastpage"> to insert the name of the last created page.

Example:
<a href="brhlastpage">Last page</a> inserts a link to the last created page.

brhlistpage

Context:
All pages linked to the main page.
Tag must be closed using </brhlistpage>.

No attribute.

Details:
This tag writes the list of all created pages. It is used with the brhpage tag. HTML code between <brhlistpage> and </brhlistpage>tags is copied as many times as created pages. On each loop, brhpage value is the file name of a created page.

Example:
<brhlistpage>
<a href="brhpage">Page <brhcurpagenbr format="2"> / <brhpagenbr format="2"></a><br>
</brhlistpage>

If three pages were created during the exportation, the following table of contents is generated:
Page 01 / 03
Page 02 / 03
Page 03 / 03

brhnextpage

Context:
Template page only.
Use as an attribute value.

Details:
This tag is used in a <a href="brhnextpage"> to insert the name of the next created page. If the current page is the next page, no link is created and the code between <a href="brhnextpage"> and </a> is removed.

Example:
<a href="brhnextpage">Next page </a> inserts a link to the next page.

brhpage

Context:
Template page only.
Use as an attribute value.

Details:
This attribute value is to be used in <a href="brhpage"> between <brhlistpage> and </brhlistpage>. It generates a link to a created page. HTML code between <brhlistpage> and </brhlistpage> is copied as many times as created pages. On each loop, brhpage value is the file name of a created page.

Example:
Look at <brhlistpage> example.

brhpagenbr

Context:
All pages linked to the main page.
Tag does not need to be closed.

Attribute:
format: sets the number of digit of the page number.

Details:
This tag inserts number of created pages.

Example:
Look at <brhlistpage> example.

brhprevpage

Context:
Template page only.
Use as an attribute value.

Details:
This tag is used in a <a href="brhprevpage"> to insert the name of the previous created page. If the current page is the first page, no link is created and the code between <a href="brhprevpage"> and </a> is removed.

Example:
<a href="brhprevpage">Previous page </a> inserts a link to the previous page.

Other tags

brhformat

Context:
Template page only.
Tag must be closed using </brhformat>.

Attributes:
noblank: removes redundant spaces.
nocarriage: removes carriage returns.

Details:
This tag removes the redundant spaces or the carriage returns on the code generated between <brhformat> and </brhformat>. Using this tags produces a readable code and removes undesirable spaces or carraige return.

Example:
<brhformat noBlank noCarriage>
<img src="brhfile" width="100" vspace="0" hspace="0" align="middle">
</brhformat>

This code removes spaces and carriage returns. Using this tag, the images are exported side by side. Without this tag, images are exported one above the other.

brhstring

Context:
Template page only.
Tag must be closed using </brhstring>.
Can be used as an attribute value.

Attributes:
id: a number that identifies the text set between <brhstring> and </brhstring>

Details:
This tags stores an encoded text to be use elsewhere. To use a stored text, just use brhstring and its identifier number as an attribute value. For example, <brhstring id="1">Hello</brhstring> stores Hello with 1 as identifier. To use the text, use brhstring1, for example in <img src="fichier.htm" alt="brhstring1">.

This tag is often used with JavaScript, particularly to call a function with particular parameters.

Example:
<brhseq loop="-1">
<brhstring id="1"><brhfile tag="brtfilename(shortname)"></brhstring>
<brhstring id="2"><br><b>Title: </b> <brhfile
  tag="brttitle"></brhstring>
<img src="brhfile" onLoad="swap('brhfile', 'brhstring1', 'brhstring2',
  true)" onClick="swap('brhfile', 'brhstring1', 'brhstring2', false)"
  alt="brhstring1" width="100">
<brhfilenext>
</brhseq>

This example defines an infinite sequence. Two text are stored: 1 is identifier of first the text, 2 the identifier of the second text. These texts are used as parameters in the swap function, called when the user click the image. Without using <brhstring> function cannot be correctly called, because HTML code might be incorrectly interpreted (the title might contains ' or " characters).

brhtitle

Context:
All pages linked to the main page.
Tag does not need to be closed.

No attribute.

Details:
This tags inserts the page title, defined by the user in Images format and options tab tab.

Example:
<html>
<head>
<title><brhtitle></title>
</head>

Defines the window title text, using the user title.

meta

Context:
Main page only.
Tag does not need to be closed.

Attributes:
name="author" with content attribute: defines template author.
name="description" with content attribute: describes the template.

Details:
The meta tags used with author and description defines the authors and gives a description for the template. This information is displayed in HTML template and destination.

Example:
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="author" content="Mootools">
<meta name="description" content="This is an example">
</head>


Quick Start

Quick Start

Screen Capture is pre-configured for immediate use.

Use Screen Capture now!

  1. Start Screen Capture.
  2. Review the Screen Capture dialog box
  3. Review or modify the configurable Capture mode shortcut keys.

  4. Select the capture types.
  5. Click Run Screen Capture.
  6. Press the shortcut key for the capture mode desired.

        7. Full screen mode is a single-keystroke mode that captures the entire screen display.

        Dialog box mode is a single-keystroke mode that captures the active dialog box.

        When Window is selected, use the mouse to choose the selectable Windows' or software defined area and press Enter.

        If either Region or Fixed-size region are selected, define and crop the capture region using either the mouse or Ctrl+arrow keys and press Enter.

Note: With the exception of single-keystroke modes, press the cancel capture shortcut at any time to stop the capture and close Screen Capture.

When the 3DBrowser icon [image] is in the notification area at the right of the status bar, press Ctrl+F8 to open the Screen Capture dialog box.

The Screen Capture default settings saves captures as Screen Capture ##.png in the C:\...\My Documents\My Captures directory.


The Configuration Dialog Box

The Configuration Dialog Box

Screen Capture configuration shortcuts and settings are done in the Screen Capture configuration dialog box.

The Screen Capture configuration dialog box opens when Screen Capture is started.

Navigating the Configuration dialog box

Screen Capture provides both keyboard-only navigation and using a mouse.

Keyboard-only navigation uses the Tab key to scroll through or point to an item in the Configuration dialog box. When an item is available, either its label has dotted lines or it is selected.

Note: in configuration dialog box instructions, Point to xxx and press Enter means to press tab until the desired item is available and press Enter to invoke its function.

Configuration settings (overview)

The Screen Capture configuration determines how captures are started and how captures are saved.

The Screen Capture configuration settings provides:

  • User-defined Capture mode shortcuts,
  • Options that affect screen capture results, and
  • Profile based Image file formats.

Capture modes

Capture modes are the methods or types of screen captures performed.

Capture modes provide five types of screen captures. Each capture mode has a user-defined shortcut.

See Capture modes for details

Cancel capture

Cancel capture provides a user-defined shortcut for canceling captures before they are saved or while Keep mode active and Return control to Windows are active.

Region mode, Fixed size region mode, and Window mode all use functionality that require the ability to cancel a capture.

Capture Type

Screen capture allows to capture still image or video movie from the screen.

Options:

Options affect the availability of Screen Capture at startup and screen capture results.

Options check boxes determine if:

  • The pointer is included in the capture
  • The information window is displayed when a capture is started, and
  • If screen capture tool is automatically activated when 3DBrowser is launched.

See options for details

Image file format:

Image file format is the information applied to a capture.

The Image file format area includes:

  • The file name under which the capture is save.
  • The path and destination directory where the capture is saved.
  • The format of the saved capture.

See Image file format for details.

Custom profiles:

Custom profiles are image and file format combinations saved in a user-defined Custom profiles data base.

See Custom profiles for details.

Run screen capture:

See Activate/Exit Screen Capture for details.


Activate screen capture

Activate screen capture

When Screen Capture is started the configuration dialog box is presented but Screen Capture is not activated. To do screen captures Screen Capture must be active. When Screen Capture is active, the [image] is in the notification area at the right of the status bar.

Configure Screen Capture with the desired Capture mode shortcuts, Options, and Image file format settings and Activate screen capture.

Activating Screen Capture

To Activate Screen Capture, click [image] In the configuration dialog box. This places the [image] is in the notification area at the right of the status bar.

Exiting Screen Capture

Screen Capture is active (in AlwaysOn mode) with the [image] is in the notification area at the right of the status bar until exited.

To Exit Screen Capture:

  • Keyboard-only state - if Screen Capture is active, press Ctrl+Num 0 to display the configuration dialog box.

Press Tab until the Exit button is selected and press Enter.

  • Combination state - to exit Screen Capture, right click [image] in the notification area at the right of the status bar, and click Exit.

If the IT Screen capture dialog box is open, click Exit.

Note: Clicking [image] on the title bar before Screen Capture is initially activated will exit Screen Capture without activating it or placing the icon [image] in the notification area at the right of the status bar.

Once Screen Capture activated, clicking [image] will only close the configuration dialog box and will not exit Screen Capture.


Keyboard and navigation summary

Keyboard and navigation summary

The following summary shows how capture states are displayed and the way screen captures are created and saved using both the mouse and keyboard.

Capture states summary

Capture states define the method used to create a screen capture in Region mode and Fixed size region mode. To provide visual feedback, each capture state is displayed differently.

Screen Capture has three capture states

  1. Combination state - allows captures to be defined using both the mouse and the keyboard. In combination state the capture boundary is displayed with dashed lines and cropping handles.

Press Tab to toggle between Combination state and Keyboard-only state.

  2. Keyboard-only state - disables the mouse and allows precision (pixel based) captures without the mouse causing accidental movement. In Keyboard-only state the capture boundary is displayed with a thin red line.

Press Tab to toggle between Combination state and Keyboard-only state.

  3. Application-live state - returns control to the active application or Windows while keeping screen capture active. In Application-live state the capture boundary is displayed with a green outline.

Press Shift+Tab to toggle between Application live state and capture definition state.

Navigation and cropping shortcuts

Activity | User defined shortcut | Enter | Ctrl+Enter | +Alt | +Shift | Tab | Shift+Tab | Shift+ up and down arrows | Shift+ left and right arrows | Ctrl+ up and down arrows | Ctrl+ left and right arrows
Start a capture mode | l |  |  |  |  |  |  |  |  |  |
Save and close |  | l |  |  |  |  |  |  |  |  |
Save and close with preview |  | l |  | l |  |  |  |  |  |  |
Save and close with preview and keep mode active |  | l |  | l | l |  |  |  |  |  |
Adjust the top border |  |  |  |  |  |  |  | l |  |  |
Adjust the left border |  |  |  |  |  |  |  |  | l |  |
Adjust the bottom border |  |  |  |  |  |  |  |  |  | l |
Adjust the right border |  |  |  |  |  |  |  |  |  |  | l
Toggle between keyboard-only and combination state. |  |  |  |  |  | l |  |  |  |  |
Toggle between Application-live and capture definition state. |  |  |  |  |  |  | l |  |  |  |
Save in Application-live state |  |  | l |  |  |  |  |  |  |  |
Save with preview in Application-live state |  |  | l | l |  |  |  |  |  |  |

Capture modes summary

Full screen and dialog box mode:

Full screen mode and Dialog box mode are single-keystroke captures. Pressing the user-defined shortcut captures either all the information displayed on the screen or the active dialog box.

Starting and saving:

User defined shortcut | +Alt
Capture and save | Capture with preview

Window mode:

Captures user-selected windows with boundaries based on where the cursor is located. The boundaries change when the cursor is moved using the mouse.

This mode is always in Application-live state.

Window mode and Application-live state:

User defined shortcut | Ctrl+Enter | +Alt | +Shift | +Alt+Shift
Start the capture | Save and close | Show preview | Keep mode active | Show preview with Keep mode active

Adjusting the capture area:

Tab
Toggle between window area and client area

Region and Fixed size region mode:

Region and Fixed-size region modes allow full cropping in Combination state, Keyboard-only state. They can also be toggled between Application-live state and full cropping.

Starting and saving:

User defined shortcut | Enter | +Alt | +Shift | +Alt+Shift
Start the capture | Save and close | Show preview | Keep mode active | Show preview with Keep mode active

Changing states:

Tab | Shift+Tab
Toggle between Combination state and Keyboard-only state | Toggle between Application-live state and capture definition state

Capture definition keys:

Shift+ | Up and down arrow | Left and right arrow
 | Adjust the top border | Adjust the left border

Ctrl+ | Up and down arrow | Left and right arrow
 | Adjust the bottom border | Adjust the right border


Capture types

Capture types

Screen capture allows to capture still image or video sequence.

  • Select Image to perform image screen capture. Capture result is a still image saved in a file with the specified format settings. The capture occurs after activating a mode and uses a capture's save method.
  • Select Video if you want your capture to be a video sequence. This kind of capture allows to record presentation movie from the action you performed under Windows application.


Video capture

Video capture

Screen capture allows to capture video sequence. This kind of capture allows to record presentation movie from the action you performed under Windows application.

Options

Video format

These settings allow to set the video format by setting the video codec to use for recording the movie. You also define the record and play frame rates.

Video recording options

These options allows to define the pause key, to make the capture area follows the cursor or to start in pause mode.

Capture steps

  1. Select video in the screen capture configuration dialog box and click Activate Screen Capture.
  2. Press the shortcut key for the capture mode desired.
    • Capture starts immediately after pressing the Full Screen or Dialog Box shortcut key.
    • For the other modes, capture starts after defining the capture area and pressing a capture's save key.
  3. Video recording starts. The capture area is outlined in black blincking frame. A frame is recorded each time the frame blink.

    Notes:

    If Start in pause mode is selected, capture starts after pressing the Pause key.
    The black frame is not displayed if Hide the capture frame is selected.
    The frame follows the mouse if Follow mouse cursor is selected.
    Video is recorded at the capture frame rate specified in the configuration dialog box.
    See Video recording options for details.
  4. You can suspend the video recording by pressing the Pause key.
  5. Press the Cancel-capture shortcut to finish the recording.
  6. A file selector allows to enter the video filename and to select a destination directory. Click Cancel if you don't want to save the video.


Capture modes

Capture modes

Capture modes are the methods or types of screen captures performed.

Screen Capture provides five capture modes. Each capture mode has a user-defined shortcut.

Capture modes include:

  • Full screen - the entire screen display
  • Dialog box - the active dialog box
  • Window - the area of the screen defined by Windows based on the pointer's location
  • Region - a user-defined region of the screen
  • Fixed-size region - a predefined region of the screen

When a capture's save method is pressed, each capture (all modes) is saved with the file name, file format, and directory location according to the Custom profile selected.

See each capture mode shortcut link for details.

Capture mode shortcuts

Capture mode shortcuts are user-defined keystroke combinations assigned to each capture mode. Pressing a capture mode shortcut starts a screen capture.

To define capture mode shortcuts:

  • Using the mouse, point to the capture-mode text box and press the desired shortcut keys.
  • Using the keyboard, press Tab to navigate to the capture-mode text box and press the desired shortcut keys.

The Cancel capture shortcut is created the same way as capture mode shortcuts.

When the 3DBrowser icon is in the notification area at the right of the status bar, press a user-defined capture mode shortcut to start a capture.


Full screen mode

Full screen mode

The Full screen mode captures the entire screen display.

The Full screen capture

The Full screen mode has two shortcut options:

  1. Single keystroke capture - press the user-defined shortcut keys and the information displayed on the screen is saved with the file name, file format, and directory location according to the selected Custom profile.
  2. Capture with preview - press the user-defined shortcut keys+Alt and the capture is displayed in a preview dialog box for review and completion.

Example: to capture the full screen with preview using the default settings. Press Ctrl+Alt+Num 1

Note: When doing a capture preview press the cancel capture shortcut to cancel the capture without saving it.

To do a full screen capture - press the Full screen mode shortcut.

A red border is displayed around the screen and the contents on the screen are captured. The capture is saved with the file name, file format, and directory location according to the Custom profile selected.

The information window

If Display information window was selected in the Screen Capture configuration dialog box, the information window is displayed after the capture is completed.

Seeing the information window is both a confirmation that the capture was completed and a reminder of the capture's file name, format, and the location where the capture was saved.

The information window:


Dialog box mode

Dialog box mode

Dialog box mode captures the active dialog box.

The Dialog box capture

The Dialog box mode has two shortcut options:

  1. Single keystroke capture - press the user-defined shortcut keys and the active dialog box is saved with the file name, file format, and directory location according to the Custom profile selected.
  2. Capture with preview - press the user-defined shortcut keys+Alt and the capture is displayed in a preview dialog box for review and completion.

Example: to capture the active dialog box with preview using the default settings. Press Ctrl+Alt+Num 2

Note: When doing a capture preview press the cancel capture shortcut to cancel the capture without saving it.

To do a Dialog box capture - press the Dialog box mode shortcut.

A red border is displayed around the dialog box and the dialog box on the is captured. The capture is saved with the file name, file format, and directory location according to the Custom profile selected.

The information window

If Display information window was selected in the Screen Capture configuration dialog box, the information window is displayed after the capture is completed.

Seeing the information window is both a confirmation that the capture was completed and a reminder of the capture's file name, format, and the location where the capture was saved.

The information window:


Window mode

Window mode

Window mode defines the capture boundaries based on where the pointer is located.

Window mode is an Application-live state mode and lets Windows retain navigation control. Window mode is perfect for selecting tool bars and dialog boxes while an application is active.

Note: Window mode does not support the keyboard-only state.

Window mode includes:

  • Capture preview, and
  • Windows navigation control, and
  • If a dialog box is selected, pressing Tab toggles between the full dialog box and the client area.

Capture steps:

  1. Press the Window mode shortcut.
  2. Use the mouse to select the capture area.
  3. If necessary, use the Tab key to limit the capture area to the client area.
  4. When the desired area is outlined in green, press Ctr+Enter (or any capture's save method valid keys) to save the capture. The selected area is saved and placed in the destination directory.
  5. Press the Cancel-capture shortcut to close Window mode.


Region mode

Region mode

Region mode captures a user-defined area of the screen. A Region mode capture provides complete capture area control.

Region mode includes:

  • Pixel level cropping with an adjustable magnifier
  • Toggle controlled capture states
  • Capture preview
  • Keep capture active
  • Allowing captures while returning control to Windows

Working in region mode:

When the Region mode shortcut is pressed, a magnifier is placed on the screen at the cursor's position.

Region mode supports capture states:

  1. Keyboard-only state - red lines define the capture area.

  2. Combination state - dashed lines with adjustment handles define the capture area.

Capture steps:

  1. Press the Region mode shortcut.
  2. Position the magnifier or the crosshair pointer at the capture start position.

  3. Define the capture area:
    • Combination state - using the traditional (drag) method, press the left mouse button and drag to define the capture area, or
    • Keyboard-only state - press either the Ctrl or Shift key to start the capture session. Note: keyboard-only state converts the magnifier to a crosshair.

Using either the mouse (drag) or Ctrl/Shift plus arrow keys, define the capture region until the desired area is bordered with a red outline.

  4. Adjust the selection area using either the arrow key controls or the mouse.

  5. Press the capture's save method to complete the capture.

The selected area is saved in the destination directory.

Note: Press the Cancel capture shortcut at any time.


Fixed-size region mode

Fixed-size region mode

Fixed-size region mode places a predefined capture area on the screen. In addition, Fixed-size region mode also provides the ability to dynamically change both the region's screen position and size. Fixed-size region mode uses all the capture area controls available in Region mode.

Fixed-size region mode includes:

  • Pixel level cropping with an adjustable magnifier
  • Toggle controlled capture states
  • Capture preview
  • Keep capture active
  • Allowing captures while returning control to Windows

Working in region mode:

Fixed-size region mode supports capture states:

  1. Keyboard-only state - red lines define the capture area.

  2. Combination state - dashed lines with adjustment handles define the capture area.

When the Region mode shortcut is pressed, a magnifier is placed on the screen at the cursor's position.

Use Fixed-size region mode to capture screen contents based on predefined X: Y: positions and width: height: capture area.

Note: the fixed region is defined in the Screen Capture configuration dialog box. However, if the region parameters are changed during the capture and keep mode active is used, the dialog box settings are dynamically updated.

Capture steps:

  1. Press the Fixed-size region mode shortcut.

The X: Y: registration and the capture size defaults to the Screen Capture dialog box settings with the magnifier located at the pointer position.

  2. If necessary, adjust the selection (X: Y: W: H:) area:
    • Combination state - using the traditional (drag) method, press the left mouse button and drag to define the capture area, or
    • Keyboard-only state - press either the Ctrl or Shift key to start the capture session. Note: keyboard-only state converts the magnifier to a crosshair.
  3. Press the capture-save method to complete the capture.

Return control to Windows (Application-live state)

If the Application-live state is used, the capture region and size remain displayed outlined in green. Navigate through the application until the next screen to be captured is displayed.

The following illustration is based on creating screen captures used in a Flash movie. It shows navigating a Microsoft Word template setup wizard.

  1. Press the capture save method to complete the capture.

  5. Enter application related requirements and again press the capture save method. Continue to navigate through the application until the next screen to be captured is displayed.

  6. As each screen to be captured is displayed, press the capture save method to save the displayed capture area.

  7. When all captures are done, press the Cancel capture shortcut to close the Application-live feature.

Each time the capture save method is pressed the selected area is saved and placed in the destination directory. If the file name is not changed in Save As, it is given a numerical sequence.

When the above captures are placed in the Flash movie, the result is an illustration of navigating through the wizard without jerkiness caused by registration or capture size inaccuracy.

Note: Press the Cancel capture shortcut at any time to stop the Application-live feature.


Cropping and adjusting

Cropping and adjusting:

Cropping and adjusting captures is one of Screen Capture's most powerful features. Using the magnifier to assist with pixel-by-pixel cropping provides document-ready captures without the need for additional adjustments.

Cropping and adjusting techniques are identical in both combination state and keyboard-only state.

Note: Cropping and adjusting captures is limited to Region and Fixed-size region modes.

The magnifier and crosshair:

The magnifier or crosshair [image] replace the pointer when either defining screen captures or cropping screen captures.

By default, the magnifier replaces the pointer and is displayed at the pointer's position when Region mode captures and Fixed-size region captures are started.

The mouse wheel button and the numeric keypad plus ( + ) and minus ( - ) keys control magnification.

  • Rotating the mouse wheel full forward or pressing the numeric keypad minus ( - ) key decreases magnification and ultimately converts the magnifier to a crosshair [image] pointer.
  • Rotating the mouse wheel backward or pressing the numeric keypad plus ( + ) key increases the magnification or converts the crosshair pointer to the magnifier.
  • When toggling from combination state to keyboard-only state the magnifier is reduced to a crosshair. To use the magnifier, press the numeric keypad plus (+) key.

The magnifier provides user feedback

When using the cropping control keys (Ctrl+arrow and Shift+arrow), the magnifier is initially positioned at either the upper-left corner of the capture region or the lower-right corner of the capture region. This is for user feedback indicating the cropping mode activated. After the cropping mode is selected, the magnifier can be moved independently.

Note: After a cropping mode is selected the magnifier is independent and can be moved anywhere both inside and outside the capture region and no longer represents the pointer's position.

The arrow keys:

The arrow keys are used to adjust a captures region position or, in combination with the Ctrl and Shift keys, to crop a capture with pixel-by-pixel precision.

Using the arrow keys:

  • Press the up, down, left, and right arrow keys to move the selected region.
  • Shift+left and Shift+right arrow keys to adjust the left border.
  • Shift+up and Shift+down arrow keys to adjust the top border.
  • Ctrl+left and Ctrl+right arrow keys to adjust the right border.
  • Ctrl+up and Ctrl+down arrow keys to adjust the bottom border.

The mouse (combination state only):

The mouse can be used to adjust the capture region and to crop the regions borders. However, to move the capture region using the mouse, the magnifier must be moved inside the capture region's boundaries.

Using the mouse:

  • Using the mouse, position the pointer over a capture area handle.
  • Drag the selected border until the border is correctly adjusted.

When the capture area is cropped or adjusted, use the save method desired to complete the capture


Capture states

Capture states

Capture states define the method (keyboard or mouse) used to select the capture region or Fixed-size region. Traditional screen capture software uses only the mouse to define a capture region.

Users who need pixel-based precision such as Flash movie developers and users with difficulty using a mouse can easily do precision or region type screen captures using only a keyboard.

In addition, many professional writers prefer using only the keyboard.

Screen Capture supports two capture states:

  1. Keyboard-only state - for critical cropping control or when using a mouse is either difficult or inconvenient.
  2. Combination state - to quickly define a capture region.

Toggle between states:

Many users use both keyboard-only and combination states regardless of the state in which a capture was started,

Press Tab to toggle between states.

Note: Navigating and completing captures is identical in both states.


Keyboard-only state

Keyboard-only state

Capture states define the method (keyboard or mouse) used to select the capture region or Fixed-size region.

Keyboard-only state - allows captures to be created entirely without using a mouse. The capture region is defined with arrow keys combined with either the Shift key or Ctrl key.

When in keyboard-only state the mouse is disabled. This prevents accidentally moving the mouse while doing precision captures.

Use keyboard-only state for critical cropping control or when using the mouse is either difficult or inconvenient.

When Region mode or Fixed-size region mode is in keyboard-only state, the region area is bounded by a thin red line.

To start Region mode in Keyboard-only state:

  1. Press the Region mode shortcut.
  2. Press either Shift+ an arrow key or Ctrl+ an arrow key to define the capture region.

Note: Fixed size region mode always opens in combination state. Press Tab to switch states.

Screen Capture supports two capture states:

  1. Keyboard-only state
  2. Combination state

Press Tab to toggle seamlessly between states.

Note: Navigating and completing captures is identical in both states.


Combination state

Combination state

Capture states define the method (keyboard or mouse) used to select the capture region or Fixed-size region.

Combination state - uses either the mouse or the arrow keys combined with either the Shift key or Ctrl key.

Use combination state to quickly define a capture region.

When Region or Fixed-size region mode is in combination state, the region area is bounded by a dashed line with cropping handles.

To start Region mode or Fixed-size region mode in combination state:

  1. Press the Region mode shortcut.
  2. Using the mouse, drag to define the capture region. The capture region is bounded by a thin red line until the left mouse button is released. It is then displayed as a dashed line with cropping handles.

Screen Capture supports two capture states:

  1. Keyboard-only state
  2. Combination state

Press Tab to toggle between states.

Note: Navigating and completing captures is identical in both states.


Application-live state

Application-live state

In either Region or Fixed-size region, toggling to the Application-live state returns control to Windows or the application, freezes the capture region and releases keyboard screen capture while keeping Screen Capture active.

Use Application-live state:

To use Application-live state:

  1. With either Region or Fixed-size region active, press Shift+Tab

The capture region is displayed with a green outline.

  2. When the desired image is on the screen, press Ctrl+Enter
  3. Press Shift+Tab at any time to return focus to Screen Capture and adjust or move the capture area.
  4. To close Return control to Windows, press the cancel-capture shortcut.

You can use this state to capture any form of fixed region screen image while navigating through windows.

By returning control to Windows or the current application, screen captures are limited only by your imagination.

The perfect tool for user-documentation writers

Use Application-live state when capturing a fixed area of the screen (such as a UI dialog box) and you need to do multiple captures without starting a new screen session for each capture.

This feature is also good for Flash developers or any users that need to freeze a capture area on the screen while navigating in Windows.


Options

Options

Options affect the availability of Screen Capture at startup and screen capture results.

Options: Selection check boxes

The Options selection check boxes determine if:

  • The pointer is included in the capture
  • The information window is displayed when a capture is started, and
  • ITSC is automatically activated when the computer is booted.

To activate an item, select [image] the options' check box:

  • Using the mouse point to the item and click.
  • Using the keyboard point to the item and press the space bar.


Include the pointer

Include the pointer

The pointer displays the cursor position in Windows or Windows software. Normally the pointer is displayed as an arrow pointing up and to the left [image]. However, it could be some other symbol. In word processors the pointer is usually an [image] beam.

Options: Include the pointer

Select [image] Include the pointer to display the pointer in the capture.

Illustration with Include the pointer selected:

3DBrowser file drop-down menu


Display Information Window

Display Information Window

The Information Window is a temporary help screen that displays capture information either after the capture is completed or before the capture starts.

This window is helpful to new and infrequent new users.

Options: Display information window

Select [image] Display information window.

The information window includes the capture's configuration settings, file information and cropping controls. It also provides reminders of shortcut options for cropping and completing captures.

If Full screen mode or Dialog box mode shortcuts are pressed, the information window displays when the capture is completed.

Seeing the information window is both a confirmation that the capture was completed and a reminder of the capture's file name, format, and the location where the capture was saved.

If Window mode, Region mode, or Fixed-size region mode shortcuts are pressed, the information window is displayed before the capture is started.

Note: The information window remains displayed until the first mouse movement.


Run capture at startup

Run capture at startup

Screen Capture must be running before making screen captures. Most users will want access to screen capture shortcuts on demand. To make Screen Capture always available, select Run capture at startup. Then, Screen Capture will always be available.

Options: Run capture at startup

Select [image] Run capture at startup to initiate AlwaysOn and place the 3D Photo Browser icon in the notification area at the right of the status bar each time the computer is started.

Note: Run capture at startup does not automatically display the Screen Capture dialog box.


Fixed-size size region (settings)

Fixed-size size region (settings)

A Fixed-size size region is a preconfigured capture region represented by its X: Y: Width: and Height: coordinates.

Fixed-size size region coordinates are set in spin boxes. The coordinates in the Fixed-size-size region spin boxes determine the region location and size when the Fixed-size region mode shortcut is pressed.

Options: Fixed-size region (X: Y: Width: Height:)

  • The X: position represents the number of pixels from the left margin the capture region will be located.
  • The Y: position represents the number of pixels from the top margin the capture region will be located.
  • The Width is the capture's number of pixels wide.
  • The Height is the capture height in pixels.

To change the fixed-size region settings:

  • Using the mouse, point to a spin box up or down arrow and click.
  • Using the keyboard, point to the spin box and press the up or down arrow key.

See Fixed-size region mode.


Image File Format

Image File Format

Image file format is the area where screen capture properties are defined.

Screen capture properties

  • Image file name - the name under which captures are saved
  • Destination directory - the location where captures are saved
  • Image format - the graphics format under which captures are saved


Image file name

Image file name

When screen captures are created, they must have a file name under which they are saved. The Image file name text box is where custom file names are entered.

Image file format: Image file name:

Each time the computer is started, the default profile is set and the file name in the default profile is used. The file name in the default profile is user-defined and can be changed in Custom profiles. New capture ## is the original default file name.

Type the file name to be used for captures in the Image file name text box.

File name numbering:

The Image file name supports automatic file name numbering and # symbol precision.

If multiple captures are made under the same filename, sequential numbering is appended in the file name of succeeding captures starting with the second capture, until an new file name is defined.

ITSC .jpg

ITSC 1.jpg

ITSC 2.jpg

If numbering precision is required, type # at the end of the file name as a place holder to force numbering precision.

  • The number of # symbols define the precision and format.
  • Each # symbol is replaced with a 0 and incremented sequentially as captures are created.

File name - ###

File name - 000

File name - 001

File name - 002

user-defined numbering can be started at any number.

File name - #25

File name - 025

File name - 026

File name - 027

If only # symbols are used or numbers lower then the ending number in the numbered sequence are deleted, the missing numbers will be filled in.

If maintaining a numbered sequence is important and missing numbers should remain missing, be sure to have a numeric value at the end of the file name or # symbol precision that is higher than the missing numbers.

Example: #55 will not allow backfilling of missing numbers that are between 001 and 055.


Destination directory

Destination directory

When screen captures are created, they are saved in a Windows directory. The Destination directory text box is where destination directories are entered.

Image file format: Destination directory:

The directory displayed in the Destination directory text box is where captured images are placed.

The destination directory can be typed directly into the Destination directory text box, or selected by pointing to Browse and pressing Enter or clicking Browse.

Select a destination directory using Browse:

To select a destination directory

  1. Either point to Browse and press Enter or click Browse.

  2. Use standard Windows functions to select or create a new destination directory.
  3. Either point to OK and press Enter or Click OK when the desired destination directory in the Browse dialog box is selected.


Image format

Image format

Screen captures are graphic images saved under a user-selected file format. Select the desired format from the Image format drop-down list.

Image File Format: Image format

Screen Capture supports 72 graphics formats. To limit the number of formats displayed to the six most common formats, select [image] Display only common file extensions.

Common file extensions are:

  • AVI - Audio video files
  • BMP - Microsoft Windows Bitmap Image
  • GIF - Compuserve Graphics Interchange Format
  • JPG - Joint Photographic Experts Group
  • PCD - Photo CD
  • PNG - Portable Networks Graphics
  • TGA - True Vision Targa Image
  • TIF - Tagged Image File Format

Select an image format

To select an image format:

  • Using the mouse, click the Image format drop-down list box down arrow. Click the desired format from the list.
  • Using the keyboard, point to the Image format drop-dow list box. When the Image format list box is selected, press Alt+down arrow. Using the arrow keys, select the desired image and press Enter.

Image format properties

Some image formats have selectable properties.

To select an images properties:

Using a mouse, click Properties

Using a keyboard, point to Properties and press Enter.

Select the desired properties and either point to OK and press Enter or click OK.

Note: it is beyond the scope of this on-line help to describe or document available image properties.


Custom Profiles

Custom Profiles

Profiles are an Image file name, Destination directory, and Image file format saved as a group of attributes as a user-defined profile name.

Selecting a custom profile establishes how a file is named, where it is saved, and its image format. There is no limit on the number of custom profiles that can be created.

The profiles list is available by either pointing to the Custom profiles' text box and pressing Alt+down arrow or clicking the Custom profiles' text box down arrow.

To allow Screen Capture to be used immediately, after it is installed, a default profile is established.

Creating custom profiles

New profiles are based on existing profiles.

To create a new profile:

  1. From either the default profile or an existing profile, change the desired settings: Image file name, Destination directory, or Image format.
  2. Type the new profile name in the Custom profiles' text box.
  3. Either point to Save and press Enter, or click Save.

When a profile name is changed the original profile is retained in addition to the new profile.

As each profile is saved it is added to the profiles list.

Note: The Replace button is changed to a Save button when a new file name is typed.

To change or modify a profile:

  1. Change any of the profile settings, Image file name, Destination directory, or Image format.

When any profile settings are changed, (modified) is added to the file name in the Custom profiles text box. This allows temporary changes in existing profiles without permanently changing the profile's settings.

If the temporary (modified) profile is not saved, the change will be discarded when it or another profile is selected.

  2. To permanently change the profile, point to Save and press Enter, or click Save.

Default profile

If [image] Run capture at startup is selected, the default profile is set each time Screen Capture is started or, each time the computer is booted or reset.

When Screen Capture is installed, a default profile is automatically established. The default profile is always displayed in Bold font.

The Screen Capture installation default profile settings:

  • Image file name - New capture ##
  • Destination directory - C:\Documents and Settings\UserName\My Documents\My Captures
  • Image format - PNG - Portable Networks Graphics.

A profile is defined as the default when the [image] Set to default profile at startup is selected.

The default profile is displayed in bold font.

To change the default profile:

  1. Either create a new profile, or point to an existing profile from Custom profiles.
  2. Deselect and reselect the [image] Set to default profile at startup. The profile displayed is changed to bold font and becomes the new default profile.

Note: There can only be one default profile. If no default profile is defined, the current profile becomes the default profile at startup.


Saving captures

Saving captures

When screen captures are completed, they are saved with a file name, in a graphics format, and in the directory defined by the profile selected.

Screen Capture provides several methods of saving screen captures.

  • Captures previews can be displayed before being saved
  • The capture mode can be kept active after being saved
  • A capture region can be kept open while control is returned to Windows allowing full computer functionality while the capture region is displayed on the screen. Then, captures are completed on demand.

Standard save method (Enter or Ctrl+Enter):

Use the standard save method with all modes. Using the standard save method, the capture is saved and simultaneously closed.

To save captures using the standard save method:

  • Press the capture shortcut: Full screen mode and Dialog box mode
  • Press Ctrl+Enter: Window mode and when Return control to Windows is active.
    Note: the capture mode remains active until the Cancel capture shortcut is pressed.
  • Press Enter: Region mode and Fixed-size region mode.

Save with capture preview (Alt+):

Many users want a preview of their capture before to saving.

To save captures with capture preview:

Press the Alt key in combination with the standard save method. A capture preview is displayed. After reviewing the capture preview, the capture can either be saved with the capture preview save button or discarded.

Alt+ works with all modes.

Save with Keep mode active (Shift+):

Save with keep mode active returns to the capture mode after the capture is saved. This allows the user to continue cropping or making adjustments.

This feature is particularly valuable to Flash movie developers by allowing special effects or precision to be maintained when doing multiple captures of the same screen.

Combined with keyboard-only mode, keep mode active combines capture precision with high productivity.

To save captures with Keep mode active:

  • Press Shift+ the capture shortcut: Full screen mode and Dialog box mode
  • Press Shift+Enter: Region mode and Fixed-size region mode.
    Note: Keep mode active is not applicable for Window mode or Return control to Windows.

Combine capture save methods:

All capture modes support multiple capture save methods. To combine save methods, add the methods together.

For example, to save a capture with capture preview and keep the mode active, press Shift+Alt+Enter.


Keep the mode active

Keep the mode active

After the capture is saved, Keep mode active returns to the capture mode. This allows users to continue cropping or making adjustments without starting a new capture

Using keep mode active:

Keep mode active is available in Region mode and Fixed size region mode.

Keep mode active is particularly valuable for Flash movie developers by allowing special effects or precision to be maintained when doing multiple captures of the same screen.

Keep mode active provides the ability to capture multiple areas of a screen without having to start a new capture.

Together with keyboard-only mode, keep mode active combines capture precision with high productivity.

To save captures with Keep mode active Press Shift+ the capture shortcut:

Keep mode active can be used in combination with capture preview by adding Alt+ to the save. Example: Shift+Alt+Enter

Note: Keep mode active is not applicable for Window mode or Return control to Windows.


Capture preview

Capture preview

Capture preview provides the ability to see capture results before saving the capture. In addition to seeing the results, you can use capture preview to change either the profile settings or the entire profile by selecting Save As.

Use capture preview:

By adding Alt+ to the capture save method, capture preview can be used with all capture modes.

To save a capture with preview:

  1. Crop and adjust the capture with the a capture mode.
  2. Press Alt+Enter.

  3. If the capture is correct:
  • Combination state - click Save.
  • Keyboard-only state - press either Alt+S or press Enter

To review or change a capture profile attribute

  1. If one of the capture attributes needs to be changed:

In combination state - click Save As

In keyboard-only state - press either Alt+A or point to Save As and click Enter.

  2. Point to the attribute to be changed and modify the profile.
  3. Save the capture:

  • Combination state - click Save

  • Keyboard-only state - press either Alt+S or point to Save and press Enter

Note: For instructions on changing profile attributes, see Custom profiles.


Video capture format

Video capture format

Video screen capture saves AVI files, a Windows standard video file format. Saving AVI file requires to define:

  • Video format: from the drop-down list, select the video format. Each format uses a particular algorithm (CODEC) for image compression. This algorithm modifies the video file quality and size. Click on Properties to define the video format settings.
  • Capture rate: set how many frames should be recorded each second in continuous record mode.
  • Playback rate: define the rate used when viewing the video.

Notes:

When you record presentation movie, it can be better to define a playback rate lower than the capture rate. A high capture rate gives fluidity to your movie. A low playback rate gives the viewer the time to understand the movie.

Depending on your computer performance, capture rate might be lower than the value you specified.

Some video formats require that the capture area has particular proportion (4:3, 16:9). Please see the video format documentation for details.


Video recording options

Video recording options

These settings give a better control on the way video capture is performed.

  • Recording mode:
    Two modes are available for adding frame to the video sequence: step by step recording or continuous recording.
    • Step by step recording: frames are added to the video each time you press a given key. Select Capture image each time your press and define the recording key if you want to perform a step by step recording.
    • Continuous recording: frames are added at a given rate to the video. Select X images per second if you want to perform a continuous recording. Define the recording rate in capture rate field.
  • Start in pause mode: select this option to start the video capture in pause mode. In this case, you need to press the pause key to start the recording after selecting a capture mode and pressing a capture's save key.
  • Pause: it is possible to suspend the recording at any time by pressing the pause key. Recording starts again by pressing again the pause key. Define the pause key in the field by pressing any key combination.
    Note: start in pause mode and pause field are not available when you use the step by step recording mode.
  • Hide the capture frame: select this option to hide the black capture frame when recording the movie. Doing that, you disable any feedback when performing the capture.
  • Follow the mouse cursor: the capture area can be static or it can follow the mouse movements.
    The cursor moves within the capture area when you use a static capture area.
    Select Follow the mouse cursor to move the capture area and center the cursor on the capture area.


Send an email

Send an Email
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Internet / Send an Email...
toolbar access
keyboard access: Ctrl+E

This command joins to an email the files you select in the thumbnails view.
If an image belongs to the selected files a dialog box is displayed. It gives you a chance to resize or convert images in one step. Original files are not modified, temporary files are created then deleted once you send the email.

Resize images Settings... | Check this option if you want to resize images sizes. Click on Settings... to open resize dialog box. Look at Resize command to get more information. Image are left to their original sizes if you left this option uncheck.
Keep source file format Convert to the selected format | Select Keep source file format if you don't want to convert images file formats. Mostly it's better to convert images to a compressed file format using Convert to the selected format. Compressed format, such JPEG, allows file size to be reduced drastically and consequently to save the connection time needed to send the email.
Image file format list | Select the conversion format in this list, when Convert to the selected format is selected. Some formats involve to modify images. For example, gif format performs a 256 colors conversion. This process is automatic and never modify original files.
Settings... | Click on Settings... when some settings can be done for the selected format (i.e. quality for JPEG files).
Display only common files extensions | 3DBrowser recognizes a lot of formats. Display only the most common formats using this checkbox.


Lossless JPEG

JPEG lossless plugins let you edit (rotation, flip...) quickly your JPEG files without reducing their quality.
Indeed, JPEG file format is a destructive format. Each time you modify and save a JPEG image, you damage it, by losing details.
This is not the case if you apply JPEG lossless transformation.

You must select one or more JPEG file to activate JPEG lossless plugins.

Rotate 90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+T

Rotates selected JPEG files 90° clockwise.

Rotate -90°
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+Shift+T

Rotates selected JPEG files 90° counterclockwise.

Horizontal Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+M

Flips horizontally selected JPEG files.

Vertical Flip
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless
keyboard access: Ctrl+Shift+M

Flips vertically selected JPEG files.

Others Settings
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / JPEG lossless

This function modifies some characteristics of the selected JPEG files.

Remove additional information Keep only comments Keep all additional information | JPEG file format save additional information such, for a digital camera picture, the brand of the camera manufacturer, exposure information... If you want to reduce file size, you can remove all these additional information or keep only the comments. If you want to keep all these information check Keep all additional information.
Progressive JPEG | Check this box to make selected JPEG file being progressive. This feature is really useful if you put JPEG file online on the web as it make it appears progressively on the screen while it is downloaded.
Black & white JPEG | You turn image to black & white by checking this button. All color information is lost.


Create AVI file

Create AVI File
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Video / Create AVI file

This plugin creates AVI video file using selected images in the current directory.

To create AVI file :

  • Select the images to include in the AVI file, using the 3DBrowser thumbnails window.
    Images will be inserted in the animation using the order from the thumbnails window. If you want to modify the images order, simply do it using drag & drop (look at Creating and displaying a custom sort order for more information)
  • Set AVI file options (see below).
  • Then select a CODEC (video compressor/decompressor), configure it and press OK.
  • AVI file is created. A dialog box informs you on the work progression.
16 or 24 bits | Select this mode if you want a 16 bits (65536 colors) or a 24 bits color definition. These mode are the better mode to use for video creation.
8 bits Settings | Video will have 8 bits per pixel color definition. This means that you'll have 256 or less colors depending on the settings. Select this mode to reduce AVI file size. Click on Settings... to define parameters used during the 8 bits conversion.
Width / Height Keep proportions | Specify here the video size, in pixels. Selected images might have different sizes. Check Keep proportions if you don't want to modify proportions of images when they'll be inserted in the video. This option should be checked if you don't want to distort your images. Proportions calculation depends on the size of the first file to be inserted in the video.
Images / sec | Enter the frame rate used when playing the video.
Resize source Crop source | Video size might be different than images size. Check Resize source to enlarge or shrunk images to fit the video. Check Crop source to crop images bigger than the video. For such image, a centered crop is performed. Nothing is done for images smaller than video size.
Background color | Background color appears on the video, when images size is smaller than the video size. Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.


Create animated GIF file

Create Animated GIF file
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools / Video / Create animated GIF file

Using this tool, you'll create animated GIF from the images, which are selected, in the current directory.

To create an animated Gif file:

  • Select the images to include in the animated Gif file, using the 3DBrowser thumbnails window.
    Images will be inserted in the animation using the order from the thumbnails window. If you want to modify the images order, simply do it using drag & drop (look at Creating and displaying a custom sort order for more information).
  • Set the animated GIF options, the press OK.
  • Enter a filename using the file dialog box.

Colors conversion

Conversion parameter s

 Gif format is an indexed color format, so images must be converted to 256 or less color mode. Look at Indexed colors for more information on these settings.

Images size

Width / Height

Keep proportions

Enter the animation size (in pixels).

Selected images might have different sizes.
Check Keep proportions if you don't want to modify proportions of images when they'll be inserted in the animation. This option should be checked if you don't want to distort your images.

Proportions calculation depends on the size of the first file to be inserted in the animation.

Resize source

Crop source

Animation size might be different than images size. These settings do not matter if the selected images size and the animation size are the same.

Check Resize source to enlarge or shrunk images to fit the animation size.

Check Crop source to crop images bigger than the animation. For such image, a centered crop is performed. Nothing is done for images smaller than animation size.
Background color

Background color appears on the animation, when images size is smaller than the animation size.

Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.

Others

Animation loops

Compressed Gif (LZW)

Enter the number of loops you want to display the animation. Enter 0 to repeat the animation indefinitely.

Check this setting to enable LZW compression. LZW compression reduces the size of the gif file (image quality is not modified).

Settings for the selected images

These parameters can differ from one image to the other. Select one or more images, then modify a setting to apply it to the selection.
When several images are selected, a setting is bold displayed if it is not the same for all the selected images.

Transparency

Transparency color

Check this setting to enable transparency and to select a transparency color for the selected images.

Select the transparency color for the selected images. The HTML background will be displayed through the areas, which have this color.
Click on the color picker to choose a color on the screen or, click on the color button to display the color selector dialog box.
Display delay Enter the delay for which the selected images will be displayed.
Disposal mode This setting changes the way an image will be covered by the next one. This setting matter only when you set the Transparency setting on.
Depending on the selected disposal mode, images can be displayed successively or can be stacked up.


Uppercase/lowercase file name

Uppercase/Lowercase File Name
Version: 3DBrowser / 3DBrowser Pro
 menu access: Tools / Files tools / Uppercase/lowercase file name

This plugin modifies case for one or more files contained in the current directory or its sub-directories. It can also modifies directories names case.

Lowercase name Uppercase name | Choose case you want for files names.
Modify only file extensions | Check this option to modify the only the extension of the file names. In this case, the name itself is not modified. I.e. File.TXT becomes File.txt is you check this option using lowercase name mode.
Modify directory name | Check this option if you want to modify directories names case. Uncheck it if you only need to modify files names.
Include sub directories | Check it, if you want to modify names in the sub directories of the current directory.


Split / Merge files

Split a File
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools/File tools/Split a File

This command splits a file into several files, which have a smaller size. It is useful to split a file when it is too big to fit on a destination support (floppy disk, ZIP, CD-Rom). Split files have .split extension. Original file is not modified using this command.
Use Merge files command to get back the original file from the split files.

File to split

Select a file...

Select the file to split. Use Select a file... to open a file selector.
Split files size

Select size of the split files. Number of files that will be created is displayed, depending on the size you choose.

Size list contains several predetermined size. Select Others... in order to enter your own split file size (in Ko).

Destination directory

Browse...

 Select the destination directory in which split files will be saved. Enter its path or select it using Browse... button.

Merge Files
Version: 3DBrowser / 3DBrowser Pro
menu access: Tools/File tools/Merge files

This command merges split files and gets back the original file.

  • Select Merge files command
  • Select one .split file
  • A dialog box shows which files will be merged. Validate to begin the process.
  • A dialog shows you the merge progression.


Preferences settings

"Catalogues" tab

Catalogues saving
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Catalogues tab
Keyboard access: Alt+P

Choose here the mode used by 3DBrowser to save catalogues:

  • Never save catalogues
    Catalogues are never saved. The advantage is to preserve your disk space. However catalogues size has been reduced as much as possible, so it's inadvisable to use this mode. In fact, 3DBrowser must recompute thumbnails each time you change the current directory (it may take a long time, specially for 3D files). More, information linked to files (legend, keywords...) are not saved, so file search based on keywords is not possible, as these information are missing.
  • Save catalogue in the directory which contains files
    Catalogues are saved in the directory which contains the files. This is the more practical mode since catalogue is not lost when you rename or move a directory from the Windows explorer. This mode is really convenient to archive files and catalogues on a CD-ROM for example. However, it can be undesirable to scatter catalogues among your directories, if you don't want to modify their contents. If so, use the following mode.
  • Save all catalogues in the Catalogues directory which is in 3DBrowser directory
    Use this mode when you don't want to scatter catalogues among your hard disk directories. Using this mode, catalogues will be saved in the Catalogues directory which is in the 3DBrowser application directory. This mode is less convenient to archivate files on a CD-ROM, as catalogues are not saved in the directories which contain your files. More, when you rename or move a directory, you lose it's catalogue.

By default, 3DBrowser uses Save catalogue in the directory which contains files mode.

Create hidden catalogues files
Version: 3DBrowser / 3DBrowser Pro

Check this button to create catalogues that have hidden file attribute. This is the default mode.

Catalogues contents
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Catalogues tab
Keyboard access: Alt+P

Choose here which information will be saved in your catalogues:

  • Save recognized files thumbnails and information about files
    Thumbnails are created and saved for recognized files. File information edition is possible for all files (recognized and unrecognized) and these information are saved in the catalogue. File search based on keywords is possible for every file.
  • Save recognized files thumbnails and information
    Thumbnails and information are saved for recognized file. If file is not recognized by 3DBrowser, file information edition is not possible. file search based on keywords is not possible for unrecognized files, as these information are missing.
  • Save 2D files thumbnails and information only
    2D files information and thumbnails are saved. 3D files thumbnails are recomputed each time you change directory. Using this mode is inadvisable because recomputing thumbnails for 3D files may take a long time and slow down your works with 3DBrowser. More, information linked to 3D files (legend, keywords...) are not saved, so 3D file search based on keywords is not possible, as these information are missing.
  • Save 3D files thumbnails and information only
    3D files information and thumbnails are saved. 2D files thumbnails are recomputed each time you change directory. Recomputing thumbnails for 2D files is fast, and using this mode saves space on your hard disk. On the other hand, information linked to 2D files (legend, keywords...) are not saved, so 2D file search based on keywords is not possible, as these information are missing.

By default, 3DBrowser uses Save recognized files thumbnails and information about files mode.

Thumbnails quality
Version: 3DBrowser / 3DBrowser Pro
access menus: Edit / Preferences settings, Catalogues tab
Keyboard access: Alt+P

Set a low value to reduce catalogues sizes saved on your hard disk. Beware, low quality factor spoils the preview quality.
By default the value is set to 90.

"Fast applications access" tab
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Fast applications access tab
keyboard access:Alt+P

Choose applications that are displayed when you move the mouse on the status bar, at the bottom of 3DBrowser main window.
For more information about using fast applications access, please see Editing a file using the fast applications access toolbar.

  • Create a fast access
    A dialog containing the list of applications availables on your computer is displayed.
    If the application you need is not in the list, click on the Other... button, then select application (*.exe) directly in its directory.
    Once done, a fast access is added to the applications list.
  • Delete a fast access
    Select one application in the applications list, then click on the Delete button in order to remove selected applications from the fast applications access toolbar.
  • Create defaults access
    Click on this button to reinit applications displayed in the fast applications access toolbar. 3DBrowser.
  • Description
    This field defines the text of the the tooltip which is displayed when you put the mouse above its icon in the fast application toolbar.
  • Program arguments
    Some applications need parameters to be correctly launched. Enter here parameters needed for launching the application selected in the list.
  • Working directory
    By default the working directory if the application directory. But it can be useful to define another working directory for some applications. Click on Browse... to select the working directory for the selected application.
  • Application hot key
    Defines the keys combination which launch the selected application. By pressing this combination, you open or reactivate the application (reactivation is possible only when the application has been previously launched using a fast access).

"Display" tab

Background image
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Display tab
keyboard access: Alt+P

Check this Background image box and select an image. Click on Browse... to display a file selector.
This image is use as a background in the thumbnails window.
By default, Background image is checked and .\preferences\defaultbk.gif is used.

Note: if the selected image is not in a sub directory of the application, 3DBrowser asks you for creating a copy of the file. This will allows you to correctly display the background if you run 3DBrowser through the network.

Icons display and position
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Display tab
keyboard access: Alt+P

Check Display file icon to display the icon of the application associated with files in the thumbnails and custom display mode.
Select one of the four possible positions to display the icon where you want.

By default this setting is checked and icons are displayed in the top left corner of each thumbnails.

Colors
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Display tab
keyboard access: Alt+P

These settings allow customizing the thumbnails window appearance, by selecting different colors for elements.

Screen background
This setting is only available when Background image is not check.
Select the background color of the thumbnails window.
By default, the default system background color is used.

Thumbnails background and opacity
Select the color for displaying thumbnails background and set the opacity of this color according to the screen background. Opacity setting makes sense when you use a background image.
Select also the color in which the selected thumbnails should appear.
By default, thumbnails background is related to the screen background and the default system selection color.

3D scenes background
Select the background color used to create 3D scenes thumbnails.
By default, the color is identical to the thumbnails background color.

Texts
Select the text color used to display file names, when thumbnails are or are not selected.
Default color is black for not selected thumbnails and white for selected thumbnails.
Note : these settings have no effect on the color of the text displayed in custom display mode. This text has its own colors attributes.

Defaults colors
Click on this button to set back colors to their defaults values.

Tooltips information
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Display tab
keyboard access: Alt+P

These settings allow customizing the content of the help bubbles, which appear when you move the mouse above a thumbnail.

Display mode selection

  • Never display
    Tooltips are inactive and are never displayed.
  • Always display
    Tooltips are always displayed whatever the display mode.
  • Always display except in custom mode (Version: 3DBrowser / 3DBrowser Pro)
    Tooltips are inactive in the custom display mode only because tooltips information might be redundant with information displayed in this mode.

Tooltips text
Edit the content of the help bubbles. Use tags to get access to the properties of the file, which is underneath the mouse cursor.

Files category
You can edit a different text depending on the files category. This allows displaying different and relevant information for each files category. Select one of the following categories to edit the corresponding text:

    • Images
    • 3D scenes
    • Audios
    • Others files

Formatting toolbar
This toolbar allows you to embellish your text and to modify the formatting attributes such text font, color and size. You can also align it left, center or right and use bullets.

Tags insertion
Tags are dynamic parts of the text, which give access to file properties. Look at the using tags page to get more information.
Click on the tags button and select a menu entry to insert a tag in the text. The inserted tag uses the font attributes of current caret position.

Open Wordpad
Click on this button to open Wordpad and use it to edit your text.
Once the text edited, you can reimport it in 3DBrowser, using cut and paste operation or clicking on Import text if you saved it before.

Text importation
Click on this button to select a file, which contains the text to import. You can import a simple text or a formatted RTF text.

Width
Enter the width in pixels of the tooltips window. Adjust the size according to the size of the text you want to display. When you increase the width, tooltips height decreases because tooltips size is computed to make the whole text being displayed.

Default text
Click on this button to use the default tooltips text.

"Custom display" tab

Thumbnails size
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Custom display tab
keyboard access: Alt+P

Enter the width and height (in pixels) for displaying thumbnails in Custom display mode. Set this size according to the text you want to display on the right of each thumbnails.
Click on Reinit to use 3DBrowser default size.

Custom display text edition
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Custom display tab
keyboard access: Alt+P

Files category
You can edit a different text depending on the files category. This allows displaying different and relevant information for each files category. Select one of the following categories to edit the corresponding text:

    • Images
    • 3D scenes
    • Audios
    • Others files

Formatting toolbar
A toolbar allows you to embellish your text and to modify the formatting attributes such text font, color and size. You can also align it left, center or right and use bullets.

Tags insertion
Tags are dynamic parts of the text, which give access to file properties. Look at the using tags page to get more information.
Click on the tags button and select a menu entry to insert a tag in the text. The inserted tag uses the font attributes of current caret position.

Open Wordpad
Click on this button to open Wordpad and use it to edit your text.
Once the text edited, you can reimport it in 3DBrowser, using cut and paste operation or clicking on Import text if you saved it before.

Text importation
Click on this button to select a file, which contains the text to import. You can import a simple text or a formatted RTF text.

Text position
Click on one of the 3 squares to define the vertical position for the header, the footnote and the cell texts. If the text is larger than the area in which it is displayed, top alignment is automatically selected, so the beginning of the text is always visible.
Horizontal alignment depends on the settings you made when you edit the text (left, right or center alignment).

Default text
Click on this button to use the 3DBrowser default text.

"Extensions and Windows shell" tab

Add and remove 3DBrowser to/from the explorer Open with menu
version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Preferences, Extensions and Windows shell tab
keyboard access: Alt+P

  • Add
    Adds 3D Photo Browser from Open With... menu of Windows Explorer for every file type recognized by 3DBrowser.
  • Remove
    Removes 3DBrowser from Open With... menu of Windows Explorer.

Associate 3DBrowser to an extension
version:Light / 3DBrowser / 3DBrowser Pro
menu access: Edit / Preferences, Extensions and Windows shell tab
keyboard access: Alt+P

Check an extension to associate it to 3DBrowser. Associating an extension allows you to open the file with 3DBrowser from the Windows explorer. 3DBrowser stores existing associations, so you can set back your previous associations simply by unchecking an extension.

During the setup you might have choosed to associate the whole recognized extensions to 3DBrowser. Simply uncheck an extension if you want to restablish associations you had before the application setup.

Use Associate all to associate all extensions to 3DBrowser.
use Remove all associations to remove all associations with 3D Photo Browser.

Define the application to use with the Open and Open with... command
version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Preferences, Extensions and Windows shell tab
keyboard access: Alt+P

You can define the application to use with the Open and Open with... command for each extension.

By default, for each extension, the 3DBrowser internal viewer is associated to the Open command. The Open With command is associated to an application that can open a given extension.

For each extension, click on the Open or Open With column to select the internal viewer or the application to use for opening files. For example, for the PSD extension, you can associate the internal viewer to the Open command and Photoshop to the Open With command.

Use Copy to store the application choices for the selected extension and Paste to copy these choices to one or more extensions, by selecting them.

'Network repository and search' tab

Gather catalogues in a repository folder in order to perform network searches
version: 3DBrowser / 3DBrowser Pro (Windows NT/2000/XP only)
menu access: Edit / Preferences, network tab
keyboard access: Alt+P

This option is not available under Windows 98/Me.

Select a repository folder to store your catalogues in order to make them available through the network, when you perform a search. In fact, in order to reduce the space disk needs and to ensure that the information is updated, only a shortcut to the catalogue is stored in the repository.
By using a repository folder you simplify searching for files on a network, particularly if 3DBrowser is setup several times on the network. Select the same repository folder for each 3DBrowser setup. Links to catalogue is created each time an user browses a folder, allowing the application to localize multimedia files over the network.

Look at Search for files in a local network for more information.

Note: the repository folder must be reading and writing shared.
The browsed folders must be shared at least in reading, so their contents can be accessed from any computers.

Define a directories list for seaching files
version: 3DBrowser / 3DBrowser Pro
menu access: Edit / Preferences, network tab
keyboard access: Alt+P

This list is another way to search for files on a single computer or on a local network. It is really useful when your multimedia files are gathered in a single directory. Add one or more directories to the list and check Search in repository and search list in the search panel to look for files in these directories.

"Other" tab

Do not recycle viewers windows
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Others tab
Keyboard access: Alt+P

3DBrowser uses a single viewer when this option is unchecked. When you want to view a file, 3DBrowser the current opened viewer is replaced by a new viewer displaying the required file.
It's possible to open several viewers by checking this option. This can be useful to display and compare files. Automatic viewer substitution is not done by 3DBrowser and you can have a lot of visualization windows on your screen.
By default, this option is unchecked.

Copy / Rename / Delete files
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Others tab
keyboard access:Alt+P

These options defines automatic rules to apply, when 3DBrowser performs Copy / Rename / Delete operations.

  • Keep the extension if removed
    Check this option to automatically adds the extension, if you rename a file, without entering its extension.
    For example, when checked, if you rename file.jpg to example, the file is finally renamed example.jpg.
  • Rename also associated files
    Check this option to rename automatically files associated to a given file. This allows to keep the link between associated files. For example, file.jpg is associated to file.wav. By checking this option, when file.jpg is renamed to example.jpg, file.wav is automatically renamed to example.wav.
  • Copy also associated files
    Check this option to copy automatically files associated to a given file.

Automatically add directory to favorites
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Others tab
keyboard access:Alt+P

When this option is checked, current directory is automatically added to the favorites (if it contains files recognized by 3DBrowser).
If this option is unchecked, use "Add to favorites" function to add the current directory to favorites.
This option is unchecked by default.

Others
Version: 3DBrowser / 3DBrowser Pro
Menu access: Edit / Preferences, Others tab
keyboard access:Alt+P

  • Use large icons for toolbar
    When this option is unchecked, 3DBrowser uses small icons in toolbars.
    This option is checked by default.
  • Minimize 3D Photo Browser in the systray
    If this options is checked, 3DBrowser is reduced to a systray icon whenever you minimize the window or press the 3DBrowser hot key.
    If this options is unchecked, 3DBrowser is reduced in the task bar application list when you minimize it or press the 3DBrowser hot key.
    This option is unchecked by default.
  • 3DBrowser hot key
    Define key which allows to activate/deactivate 3DBrowser from Windows (key is enabled only if 3DBrowser is already launched).
  • Language
    Define the 3DBrowser interface language. 3DBrowser needs to be restart when you change the language. This feature is available only under Windows NT, Windows 2000 and Windows XP.


3DBrowser plugin for Ligthwave

A plugin for Lightwave 5.0, 6.0, 7.0, 8.0 is provided with 3DBrowser.
Once installed on your computer, then added to the Lightwave plugin list, the plugin can be run in :

  • The Custom menu for Lightwave 5.0.
  • The Additional menu for Lightwave 6.0 and more.

It's name is Dei_3Dbrowser. It allows you:

  • To launch 3DBrowser directly from Lightwave (Ctrl+Tab key).
  • To add drag and drop to Lightwave. You can drag and drop one or more LWO files from 3DBrowser to Lightwave window in order to open the files.
  • To load an object in the Lightwave current layer. Using this option synchronize the 3DBrowser and Lightwave current directory.
  • To save the object from the Lightwave current layer. Using this option synchronize 3DBrowser and Lightwave current directory.

You can launch directly the 3DBrowser plugin for Lightwave by pressing Ctrl+Shift+Tab key.


3DBrowser plugin for 3DS Max

3DS Max files are unreadable outside the software, as 3DS Max file format is compound of many informations issued of the plugins.
The 3DBrowser plugin for 3DS Max appears in the utility panel of 3DS Max. It must be activated to allow 3DBrowser to exchange information with 3DS Max files.

Use the "Launch 3DBrowser" function to open 3DBrowser directly from 3DS Max.

Creating thumbnails for 3DS Max file
Version: 3DBrowser / 3DBrowser Pro

In order to create thumbnails of 3DS Max files, you just have to open the 3DBrowser plugin for 3DS Max.Thumbnails computation can be launched using the following functions:

  • Scan computer: scans the selected directory in order to create the catalogues.
  • Scan current directory : creates or updates the catalogue of the current 3DS Max directory.

When a thumbnail is created in 3DBrowser, 3DS Max loads the corresponding 3D file, then reload the previous scene to disturb less as possible the user.

Note: that you can also update thumbnails directly from 3DBrowser if the plugin is activated.

Importing 3D files in 3DS Max
Version: 3DBrowser / 3DBrowser Pro

In order to import a 3D scene from 3DBrowser to 3DS Max, you just have to:

  • Activate the 3D Photo Browser plugin in the utility panel.
  • Activate 3DBrowser.
  • Open the 3D file you want to export to 3DS Max.
  • Use the 'Send to 3DS Max' function in the viewer.

See also the Send to 3DS Max section.


Printing - Print preview

Printing
Print preview

Print Preview
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

A print preview is displayed on the right of the dialog. Several tools help you to see what will be print.

Print

Click on this button to print the current document.
A dialog displays information on print progress. You can cancel the job by clicking on cancel.

Cancel

It closes the dialog without print anything. Click on Apply to memorize your settings or cancel only if you want to forget the current settings.

Save

Save replaces the template selected in the template menu by the current settings.

A template is a record of the whole Printing Catalogue parameters (number of cells, images background, selected printer...). Only the number of copies and the Page to print range are not saved in a template.

Save As

Save As saves the current settings in a new template file. This new template is displayed in the template menu.

A template is a record of the whole Printing Catalogue parameters (number of cells, images background, selected printer...). Only the number of copies and the Page to print range are not saved in a template.

Zoom in Zoom out | Click on one of these buttons to zoom in or out the preview window. Use scrollbar if your document does not fit the preview window.
Fit on page | Click on this button to view the whole document in the preview window
Display unprintable areas | Click on this button to red display the unprintable areas. Most of the printer can't print on the whole paper surface. Verify that your document will not be cropped on the page borders. Click again on this button to stop display unprintable areas.
Current unit | Select the unit among centimeters, millimeters and inches. Most of the print settings are defined in the unit you select here.


Printing - Printer settings

Printing
Printer settings

Printer Settings tab
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

Using this page you set your printer, define the paper format, its orientation, the number of copies you need and all the parameters of the current printing job.
You can also choose a template for the catalogue printing. A template is a record of the whole Printing Catalogue parameters (number of cells, images background, selected printer...). Only the number of copies and the Page to print range are not saved in a template. Use the Save and Save As button to save the current settings:

  • Save replaces the template selected in the template menu by the current settings.
  • Save As saves the current settings in a new template file. This new template is displayed in the template menu.
Printer | Select the printer on which you want perform the printing.
Properties | Click on this button to get access to the full printer control panel (provided by the printer manufacturer). This control panel usually gives access to the paper type selection, print quality settings.
Paper | Select the format of the paper on which you want print.
Template | Select one of the available template from the menu to choose a predefined page layout.

All pages

Current page

Page range

Selection

If several pages are needed to print the directory content, select which pages you want print.

Page range option is active only is the current document as several pages. Enter the page range in the From and To edit box when you want to print only a part of the document.
Selection option is available only if some thumbnails are selected in 3DBrowser thumbnails window.

Copies | Enter the number of copies you wish.
First page number | Enter the page number to print for the first printed page. This parameter is useful only when the page number is printed on the header or the footnote of the page. Set this number if you need to reprint a particular page of an already printed catalogue and make the numbering match on the both printing.
Two sided | Check Two sided if you want to perform a two sided printing. This parameter is disabled if the printing as a single page. This parameter is also disabled if you select a two side printing directly from your printer driver, using the printer properties dialog box. When you check this setting, you just have to select the page to print from the menu: odd then even pages, odd pages or even pages. When you print both odd and even pages, a dialog asks you to turn the pages once the odd pages are printed.

Margins | Define left, right, top and bottom margins on the page for your document.
Mirror margins | This parameter is active when you perform a two sided printing. It swaps the margins between the odd and the even pages, and allows you to print a catalogue for binding. Beware: some printers have a printable area that is not centered on the page. The left and right margins are different, which might truncate the printing. To avoid this problem, do not forget to click on Adjust to the printable area once you have selected Mirror margins.
Adjust margins to printable area | Most of the printer can't print on the whole paper surface. Some page areas are unprintable. Click on this button in order to exclude unprintable area. This allows you to use the utmost parper surface for the printing. When you perform a two sided printing with mirror margins checked, click on this button to be sure that the printing will not be truncated. You can display unprintable areas using the Display unprintable areas button (Look at Print preview page)

Orientation

Select the paper orientation among portrait (vertical printing) and landscape mode (horizontal printing).

Cells number

Page is divided into a grid. A file is displayed in each cell of the grid.
Select how many cells you want to display horizontally and vertically on the page.

These parameters can also be set in the Dimensions tab.
The Group by pages display mode is link to these settings.

Note: press the Control key to modify both rows and columns setting.


Printing - Images tab

Printing
Images tab

Onglet Images
Version: 3DBrowser / 3DBrowser Pro
menu access : File / Print Catalogue...
toolbar access
keyboard access : Ctrl+P

This page allows to define a background image on each page area. You can improve your printings by adding a page background texture, a frame around cells... You can also play on tints by applying the same background image to several elements. To do that, select an image and apply it to the page background and to the cell background then select a green (opacity 50) for the page background and a blue (opacity 50) for the cell background.

Images

You can use up to 3 different images, and apply them to one or several page areas.

To add an image to the current printing, check one of the image checkboxes. Select an image, using the file selector. 3DBrowser will ask you to copy the image in the print templates folder, so the image will be always available to the application.

Check or uncheck an image checkbox to enable or disable an image.
Modify Click on Modify to change the image settings. 3DBrowser asks you to select an image, if none is defined.

File and position

You define here the size of the image and its repeat mode.
Repetition mode Select one of the available repeat mode. If you select Do not repeat, the image is displayed one time at the size and position you set.
Relative to

Select a page area to position the image in this area.
For example, your image is a frame and you would like to frame each cell with it:

  • select Relative to cell.
  • enter the 0 value for X and Y.
  • enter 100% for width and height.
  • uncheck Constraint proportions.
X / Y
Width / Height 		These settings adjust the image position and size.
These values are relative to the element you have selected in the Relative to menu.
If the size is lower than 100% you can repeat or not the image, using the Repetition mode menu.

Note: press the Control key to modify both X and Y or width and height.
Constraint proportions

Check Constraint proportions to avoid an image stretching. Uncheck this setting if you do not want to truncate the image. For example, to cover the page background 4 times exactly:

  • select Repeat in both direction.
  • select relative to page.
  • enter the 0 value for X and Y.
  • enter 50% for the width and height.
  • uncheck Constraint proportions.
  • select Apply to page.

Apply to

Select one or more background area to cover it by the image. Note that if you did not define a background color for an element, its background is transparent and the image is visible through this element.

You can play on the background colors and elements opacity to tint the background image.

Image processing

These parameters allow you to perform some adjustements on the image. Note that the image file is not modified by these settings.

Check Black and white image to display the image in black and white.
Modify the Contrast value to increase (value < 1) or decrease (value > 1) the image contrast.